48.5 - June 26, 2025
====================

Fix release CI

48.4 - June 26, 2025
====================

* Bugs fixed:
  - #2604 "Installed on" label shown in about:applications reflects the usage /
    access time, not creation time (Michael Catanzaro)
  - #2651 Incognito Epiphany shouldn't automatically use saved HTTP Auth
    passwords from the regular Epiphany session(s) (Michael Catanzaro)
  - #2661 Crash on quit if the export dialog is dismissed before (Michael
    Catanzaro)
  - !1745 Improvements to HTTP authentication (Michael Catanzaro)
  - !1751 web-extension-manager: fix web process extension init regression
    (Michael Catanzaro)
  - !1752 Fixes for ephy_window_disconnect_active_embed (Michael Catanzaro)
  - !1755 Don't consider og:image for web app icon (Michael Catanzaro)
  - !1818 shell: Fix startup crash on Pantheon (Michael Catanzaro)
  - !1819 action-bar-end: Fix startup crash on Pantheon (Michael Catanzaro)
  - !1829 ci: generate new image for style checker (Michael Catanzaro)
  - !1843 ephy-password-import: improve robustness (Michael Catanzaro)
  - !1857 Fix PKCS #11 login for invalid cert/priv pairs (Jan-Michael Brummer)

* Translation updates:
  - Chinese (Taiwan) (Cheng-Chia Tseng)
  - Japanese (Takayuki Kusano)
  - Romanian (Antonio Marin)
  - Slovak (Peter Mráz)

48.3 - April 24, 2025
=====================

Fix crash when opening downloaded file (#2650)

48.2 - April 22, 2025
=====================

Fix crash when opening incognito window (#2647)

48.1 - April 21, 2025
=====================

* This release notably fixes CVE-2025-3839.

* Bugs fixed:
  - #2520 Crash when trying to select download location (Michael Catanzaro)
  - #2532 Crash in escape_csv_field() when exporting passwords (Michael
    Catanzaro)
  - #2561 Adding WhatsApp as a web app crashes (Michael Catanzaro)
  - #2596 Pressing Escape key in addressbar resets the cursor to beginning of
    the widget (ARAKHNID)
  - #2624 Epiphay shouldn't show the privacy dialog in incognito mode (Michael
    Catanzaro)
  - #2641 (CVE-2025-3839) Require user interaction before opening URL in
    external application (Michael Catanzaro)
  - !1716 Code cleanup (ARAKHNID)
  - !1721 window: fix crash when force closing window without session (Michael
    Catanzaro)
  - !1722 Several fixes for password export (Michael Catanzaro)
  - !1729 Remove Granite support from Tech Preview and Canary (Michael
    Catanzaro)
  - !1730 find-toolbar: fix crash on load-changed (Michael Catanzaro)

* Translation updates:
  - Basque (Asier Saratsua Garmendia)
  - Belarusian (Vasil Pupkin)
  - English (United Kingdom) (Andi Chandler)
  - German (Philipp Kiemle)
  - Spanish (Daniel Mustieles)

48.0 - March 13, 2025
=====================

* Bugs fixed:
  - #2591 Consistent Clear mnemonics (ARAKHNID)
  - #2595 Crash in populate_bookmarks_list_box (ARAKHNID, Philippe Normand)
  - !1706 Use consistent mnemonic for "Select All" (ARAKHNID)
  - !1707 Replace GtkTreeView with GtkColumnView in webapp URLs dialog (Dylan
    McCall)
  - !1714 Fix URL getting set to unfocused loading tab's URL (ARAKHNID)

* Translation updates:
  - Basque (Asier Saratsua Garmendia)
  - Catalan (Jordi Mas, Jordi Mas i Hernandez)
  - Danish (Alan Mortensen)
  - Finnish (Jiri Grönroos)
  - French (Jean-Marc Tissières)
  - Galician (Fran Dieguez)
  - Hungarian (Balázs Úr)
  - Korean (ChangSeok Oh)
  - Nepali (Pawan Chitrakar)
  - Polish (Piotr Drąg)
  - Swedish (Anders Jonsson)
  - Turkish (Sabri Ünal)

48.rc - February 26, 2025
=========================

* Bugs fixed:
  - #815 Deletion of bigger numbers of bookmarks is unintuitive (ARAKHNID)
  - #1769 Do not remove address bar content when switching tabs (ARAKHNID)
  - #2545 Importing existing bookmarks can create duplicate rows (ARAKHNID)
  - #2588 Crash upon launch  due to segmentation fault (ARAKHNID)
  - !1697 Change default protocol from http:// to https:// (Octopi)
  - !1698 window-commands: print warning when web app installation fails
    (Michael Catanzaro)
  - !1699 Add Matrix rooms to appstream metadata (Michael Catanzaro)
  - !1701 Fix cursor sometimes moving when typing in new tab (ARAKHNID)
  - !1703 Use gtk_list_box_remove_all () where possible (ARAKHNID)
  - !1705 Remove use of deprecated DNS prefetch setting (Michael Catanzaro)

* Translation updates:
  - Bulgarian (twlvnn kraftwerk)
  - Catalan (Jordi Mas)
  - Chinese (China) (Luming Zh)
  - Chinese (Taiwan) (Chao-Hsiung Liao)
  - Czech (Daniel Rusek)
  - Georgian (Ekaterine Papava)
  - Hebrew (Yaron Shahrabani)
  - Indonesian (Andika Triwidada)
  - Korean (ChangSeok Oh)
  - Lithuanian (Aurimas Černius)
  - Nepali (Pawan Chitrakar)
  - Persian (Danial Behzadi)
  - Portuguese (Hugo Carvalho)
  - Portuguese (Brazil) (Rafael Fontenelle)
  - Russian (Artur S0)
  - Slovenian (Martin)
  - Turkish (Sabri Ünal)
  - Ukrainian (Yuri Chornoivan)

48.beta - January 31, 2025
==========================

* Bugs fixed:
  - #2225 focus stays on address bar after switching tab with search (ARAKHNID)
  - #2329 Modernize import dialogs (ARAKHNID)
  - #2502 select all from address bar context menu doesn't work (ARAKHNID)
  - #2562 Display a Toast when failing to install site as a Web App (ARAKHNID)
  - #2569 Able to focus main view when in bookmarks sidebar (ARAKHNID)
  - !1686 embed-shell: ensure directories exist before adding them to sandbox
    (Michael Catanzaro)
  - !1692 Add download completed toast (ARAKHNID)
  - !1694 Modernize import dialogs (ARAKHNID)
  - !1695 Dismiss download started toast on download finish (ARAKHNID)
  - !1696 Bookmark dialog focus fixes (ARAKHNID)

* Translation updates:
  - Interlingua (International Auxiliary Language Association) (Emilio
    Sepúlveda)
  - Russian (Artur S0)
  - Slovenian (Martin)
  - Turkish (Sabri Ünal)

48.alpha - January 9, 2025
==========================

 * History dialog improvements (ARAKHNID)
   * Fix scroll position resetting when deleting history (#633)
   * Clear button now deletes only URLs matching search results (#2049)
   * Fix focus reset when opening pages in history (#2501)
   * Add toast when copying link (#2506)
   * Reduce unnecessary refreshes in history dialog (!1643, !1678)
   * Add history selection mode (!1665, #2048, !1688)
   * Fix missing accelerator on Clear button (!1682)
   * Various additional history dialog fixes (!1684)
 * Add warning regarding disabling website data storage (#1956, ARAKHNID)
 * Allow closing pinned tabs (#2264, ARAKHNID)
 * Add missing tooltip to unfullscreen button (#2345, ARAKHNID)
 * Simplify UI for importing bookmarks and passwords (#2430, Harshavardhan Navalli)
 * Allow cycling through items in address bar dropdown (#2450)
 * Improve Manage Additional URLs design (#2456)
 * Fix web app dialog not opening for pages with no title (#2465, Cleo Menezes Jr.)
 * Fix bookmark import from HTML (#2469, ARAKHNID)
 * Improve password form autofill (#2479, Harshavardhan Navalli)
 * Under flatpak, the downloads popover folder button now selects file in file manager (#2481, Dexter Reed)
 * Enable reload context menu item in new tab page (#2504, ARAKHNID)
 * Fix bookmark properties dialog when many tags are available (#2508, ARAKHNID)
 * Fix crash if tab is closed immediately after web process crash (#2511)
 * Fix failure to delete web app with apostrophe in name and XSS via web app name (#2516, two)
 * Disable Ctrl+K shortcut in web app mode (#2519, ARAKHNID)
 * Fix crash when displaying web view (#2523)
 * Do not accept disallowed URLs via drag and drop in web app mode (#2528, ARAKHNID)
 * Show toast when download is added (#2537, ARAKHNID)
 * Fix security popover layout with GTK 4.17.2 (#2560)
 * Redesign privacy report dialog (!1648, !1652, !1653, Automeris naranja)
 * Improve design of bookmarks dialog (!1663, !1671, ARAKHNID)
 * Add toast when copying password in passwords dialog (!1670, ARAKHNID))
 * Update to highlightjs-line-numbers 2.9.0 (!1647)
 * Fix crash on startup when restoring no tabs from previous session (!1677)
 * Update to highlight.js 11.11.0 (!1679)

47.2 - October 22, 2024
=======================

 * Fix crash loading Global Protect URL (#2490)
 * Fix Privacy Report dialog when no trackers are blocked (#2495, Automeris naranja)
 * Fix crash loading taobao.com (#2500, Alynx Zhou)
 * Disallow duplicate tag widgets on bookmark edit dialog (#2503, ARAKHNID)
 * Add workaround for DuckDuckGo redirect service failure (!1654, two)

47.1 - October 14, 2024
=======================

 * Allow adding bookmarks in incognito mode (#1250)
 * Disable tab navigation shortcuts in tab overview (#2148, Arak)
 * Don't store page snapshots in web app mode (#2442, Arak)
 * Fix ephy-about suggestions not using pretty URL (#2451, Arak)
 * Fix crash in save password popover (#2464)
 * Fix crash when opening multiple preferences or history dialogs (#2468, Arak)
 * Fix crash when long pressing page (#2477)
 * Fix target origin property when using CSV password import (#2479, Harshavardhan Navalli)
 * Add tooltips to bookmarks tag rows (#2480, Arak)
 * Fix crash in history dialog (#2488, Arak)
 * Improve certificate selection dialog (!1625)
 * Fix non-translatable strings in autofill preferences (!1628, Aleksandr Melman)
 * Stop setting web view background color (!1630)
 * Fix failure to unregister autofill message handler (!1635)

47.0 - September 12, 2024
=========================

 * Fix crash when using Ctrl+D or Ctrl+Alt+D (#2435)
 * Fix icon URL used for install web application dialog (#2436)
 * Remove tab overview shortcut in web apps (#2443, Arak)
 * Fix crashes in tab overview mode with no open tabs (#2448)
 * Fix pluralization in privacy report dialog (#2454)
 * Fix bookmark tag widget focus border (!1618, Arak)
 * Revert key event handling changes due to problems with non-Latin keyboard layouts (!1620)

47.rc - August 30, 2024
=======================

 * Extract .xpi during web app installation (#1818)
 * Show confirmation dialog when deleting web app (#2077, Arak)
 * Allow exporting passwords to CSV and improve CSV import (#2184, Harshavardhan Navalli)
 * Improve count of trackers in privacy report (#2419)
 * Fix crash on close multiple tabs dialog (#2426)
 * Many improvements to bookmarks sidebar and dialog
   (#2406, #2416, #2420, !1589, !1592, !1594, !1595, !1596, !1597,
    !1598, !1599, !1600, !1602, !1605, !1606, !1607, !1608,
    Arak, Automeris naranja, Hari Rana)

47.beta - August 2, 2024
========================

 * Add autofill support (#199, based on work by Abdullah Alansari)
 * Add bookmarks search bar (#332, !1571)
 * Improve sorting of bookmarks (#390, #2359, #2378, Arak)
 * Restore set image as wallpaper functionality under flatpak (#1198, based on work by Vanadiae)
 * New Window should always open a non-incognito window (#1758, Arak)
 * Prompt for confirmation when installing a WebExtension (#1817)
 * Add Ctrl+Shift+Delete shortcut for Clear Website Data (#1921, Arak)
 * Add Privacy Report feature (#1982) and improve its UI (!1546, Automeris naranja)
 * Use GtkGraphicsOffload to maybe improve graphics performance in fullscreen mode (#2274, #2417)
 * Replace bookmark properties popover with redesigned dialog (#2327, !1572)
 * Disable Firefox Sync (#2337)
 * Don't show reader mode button when page is loading (#2338)
 * Revert address bar UI changes due to pango bug (#2376)
 * Fix application mode when always start in incognito mode setting is enabled (#2380, Christopher Davis)
 * Don't warn about failure to download favicon when creating web app (#2383)
 * Fix crash when starting secondary instance (#2384)
 * Fix crash when web process becomes unresponsive (#2386)
 * Fix crash when closing window with context menu open (#2389)
 * Fix crash on exit (#2404)
 * Allow overriding fatal criticals using G_DEBUG= environment variable (!1513, Christopher Davis)
 * Fix hiding of developer context menu actions (!1515, Vitaly Dyachkov)
 * Fix a different crash when destroying window (!1516)
 * Stop using various deprecated GTK APIs (!1519, !1532, !1533) 
 * Support importing passwords from CSV files (!1521, Harshavardhan Navalli)
 * Reduce the size of the preferences dialog (!1529)
 * Use modern libadwaita spinners (!1537, Dexter Reed)
 * Fix yet another crash when destroying window (!1538)
 * Improve autofill dialog UI (!1539, Automeris naranja)
 * Update to highlight.js 11.10.0 (!1541)
 * Miscellaneous code robustness improvements (!1543)
 * Load only one web process extension rather than two (!1544, based on work by Patrick Griffis)
 * Add fallback web app icon (!1545)
 * Redesign the bookmarks UI to use sidebar instead of popover
   (!1547, !1565, !1573, !1578, !1580, !1581, #2401, #2405, #2408, #2410, #2412)
 * Rearrange the window/hamburger menu (!1549, !1564, !1566)
 * Adopt new floating bar style from nautilus (!1552, lo)
 * Focus address bar after deleting URL (!1553)
 * Reenable search in preferences dialog (!1554)
 * Make address bar dropdown suggestions selectable (!1558)
 * WebExtensions: support runtime.getManifest() API (!1560)
 * Modernize encoding dialog (!1563)

47.alpha - June 29, 2024
========================

 * Add preference to toggle navigation gestures (#1784)
 * Fix about:overview improperly shown in address bar (#1918, Vitaly Dyachkov)
 * Set brightness and contrast for dark reader mode (#2178)
 * Add Not Now option to save password popover (#2291)
 * Disable Home/End shortcuts in tab bar (#2296)
 * Add delete action to text box context menu (#2318, Harshavardhan Navalli)
 * Add additional debug info to about dialog (#2352, Harshavardhan Navalli)
 * Don't display placeholder text in address bar when unfocused (#2372)
 * Enable fatal criticals (!1377, !1488)
 * Add Clear button to location entry (!1446, !1483)
 * Fix set as default browser dialog in phosh (!1468, Guido Günther)
 * Improve UI of preferences dialog (#2325, kramo) (and !1472, Jamie Gravendeel)
 * Improve UI of about dialog (!1475, Jamie Gravendeel)
 * Improve UI of history dialog (!1476 and !1507, Jamie Gravendeel) (and !1490, Dexter Reed)
 * Improve UI of certificate dialog (!1490, Dexter Reed)
 * When not focused, display hostname centered in address bar (!1493, kramo)
 * Always enable web inspector keyboard shortcut (!1494)
 * Update use of libadwaita dialogs (!1504)

46.2 - June 29, 2024
====================

 * Improve robustness of password manager (!1495)
 * Fix crash when main resource response isn't ready yet (!1503)

46.1 - May 29, 2024
===================

 * Properly remember window size (#525)
 * Fix "sync secrets for the current sync user are invalid" (#1361)
 * Fix retrieving web app icon from web app manifest (#2118, #2297, !1473)
 * Don't delay internal Epiphany pages on adblocker initialization (#2267)
 * Fix inability to open custom JS or stylesheet (#2301)
 * Fix sync service criticals when glib-networking is not installed (#2320)
 * Fix WebExtension accelerator parsing (#2331)
 * Fix critical when creating a duplicate notification (#2344)
 * Fix crash on exit when tab sync is enabled (!1463)
 * Fix set as default browser dialog under phoc (!1468)
 * Fix failure to save session state when it would contain a blob URL (!1470)
 * Fix web app provider crash when user data directory is empty (!1477)
 * Hide broken close context menu item on pinned tabs (!1482)
 * Updated translations

46.0 - March 15, 2024
=====================

 * Improve keyboard navigation of address bar dropdown (#1726, Markus Göllnitz)
 * Add "Send Link by Email..." to context menu for links (#2037, Leon Marz)
 * Use selected text when middle clicking on New Tab button (#2159)

46.rc - February 29, 2024
===========================

 * Close security popover after selection (#2215)
 * Focus location entry on search hotkey (#2278)
 * Close page menu popover on print, search and fullscreen actions (#2283)
 * Forward key events directly to web view (#1915) (#2173)
 * Updated translations

46.beta - February 10, 2024
===========================

 * Fix a crash (#2021)
 * Allow closing pinned tabs (#2264)
 * Adjust labels to improve HIG compliance (!1431, Bart Gravendeel)
 * Support PKCS #11 smart card authentication (!1433)
 * Updated translations

46.alpha - January 5, 2024
==========================

 * Use web app manifest to get better app name and icon (#931)
 * Prevent websites from using certain Epiphany internal APIs (#1664)
 * Fix poor Firefox Sync error message when gnome-keyring is not installed (#1755)
 * Reduce adblock filter update interval on metered connections (#2152)
 * Rename Firefox Account to Mozilla Account (#2231)
 * Hide various context menu items when text is selected (#2258)
 * Remove Google Safe Browsing support due to terms of service changes (!335)
 * Hide developer context menu actions by default (!1392, Vitaly Dyachkov)
 * Update to highlight.js 11.9.0 (!1394)
 * Use AdwSpinRow in preferences dialog (Pig, !1411)
 * Many improvements to appstream metainfo (Sabri Ünal, !1398, !1399, !1414, !1422, !1425)
 * Updated translations

45.2 - January 5, 2024
======================

 * Fix encodings test to not depend on system locale (#1842)
 * Revert fix for URLs not found when searching history because it broke search for page titles (#2229)
 * Fix sync service error leak (!1412)
 * Fix user help not opening (!1420)
 * Fix memory corruption caused by ephy_string_shorten() (!1423)
 * Updated translations

45.1 - November 6, 2023
=======================

 * Fix URLs improperly not found when searching history (#2103)
 * Normalize text when middle clicking new tab button (#2160)
 * Fix critical when deleting bookmark tags (#2180)
 * Fix crash when dropping URLs onto Open Tabs view (#2211)
 * Fix window leak when installing web apps (#2214)
 * Update AdGuard YouTube ad blocker (!1396)
 * Fix memory leak when creating web apps (!1400)
 * Fix crashes related to WebExtensions (!1404 and !1407, Kdwk)
 * Updated translations

45.0 - September 15, 2023
=========================

 * Fix password manager JS error on certain websites (#2114)
 * Fix windows detached from tab bar not being destroyed properly (#2130)
 * Fix spinners not running properly when restoring tabs (#2143, two)
 * Fix keyboard navigation in bookmarks popover (#2145, two) 
 * Ctrl+Shift+o shortcut now toggles tab overview instead of only opening it (#2147, Matty Randazzo)
 * Fix untranslatable strings (not yet translated) (#2151)
 * Fix window restored at incorrect size (#2158, two)
 * Fix crash when closing last tab while displaying tab overview (#2161)
 * Assert shell and all windows are destroyed (#2170)
 * Fix changes to bookmarks not being saved (#2179)
 * Improve URL bar padding in mobile mode (!1373)
 * Don't force OpenURI portal to always display its user interface (!1387)
 * Updated translations

45.beta - July 28, 2023
=======================

 * Hide Sync Now button when Firefox Sync is disabled, avoiding crash (!1358)
 * Don't try to restore window position from session (!1359, !1364, two)
 * Don't show spinner on placeholder tabs after session is restored (!1371, two)
 * Hide "Search the Web for" context menu item in web app mode (#2097, Cleo Menezes Jr.)
 * Fix Save Password? permission requests, broken since 44.4 (#2113)
 * Fix unencoded % characters in URLs causing session to fail to save (#2128, Vanadiae)
 * Fix web views not being destroyed when window is closed (#2130)
 * Hopefully fix crash in ephy_sqlite_connection_create_statement (#2132)
 * Updated translations

45.alpha - June 29, 2023
========================

 * Fancy new tab overview replaces the tab list dropdown (!1190)
 * Use newer libadwaita and GTK APIs (!1302, !1306, !1311, !1338, !1353, !1355)
 * Use header capitalization for buttons on Firefox Sync dialog (!1318)
 * Temporarily remove the bookmarks sync feature due to issue #1118 (!1321)
 * Update to highlight.js 1.8.0 (!1325)
 * Support clipboard access permission request (!1327)
 * Clarify storage access and save password permission prompts (!1328, !1336)
 * Make address bar dropdown use full screen width in narrow mode (#1978)
 * Allow New Window action in web app mode (#2009, two)
 * Hopefully speed up loading bookmarks popover (#2091, two)
 * Updated translations

44.4 (sorry, tetraphobiacs) - June 29, 2023
===========================================

 * Bring back URL scheme in address bar, fixing incorrect URLs loaded in narrow mode (#2085)
 * Fix duplicate permission requests (#2088)
 * Fix changing web app title and URL with preferences dialog (#2089)
 * Fix failure to create web app when no icon or favicon is available (#2100)
 * Fix address bar stealing mouse clicks (!1348, Vitaly Dyachkov)
 * Fix broken Mute Tab context menu item (!1354)
 * Fix critical when creating WebExtension web view (!1356)

44.3 - May 25, 2023
===================

 * Fix failure to create web applications (#1989)
 * Fix crashes when using bookmarks popover (#2055)
 * Fix storage access (Intelligent Tracking Prevention) permission requests (#2065)
 * Remove Purism metadata from appdata file (!1326)
 * Updated translations

44.2 - April 20, 2023
=====================

 * Fix invalid characters in screenshot suggested filename (#2013, Cleo Menezes Jr.)
 * Relocate and fix Sync Now button in Firefox Sync dialog (#2042)
 * Fix crash when closing window and discarding modified forms (#2043)

44.1 - April 2, 2023
====================

 * Fix crash restoring session with view-source URI without host component (#1987)
 * Fix criticals when running search provider (#2006)
 * Increase file descriptor soft limit (#2010)

44.0 - March 17, 2023
=====================

 * Fix web app creation (#1989)
 * Build against WebKitGTK 2.39.91 (!1295)
 * Updated translations

44.rc - March 3, 2023
=====================

 * Fix password popover crash when username is empty (#1976)
 * Fix criticals from EphySuggestionModel (#1977)
 * Fix warning when WebExtensions directory is empty (#1984)
 * Handle WebKitGTK 2.39.90 API changes (!1281, !1294)
 * Reimplement elementary OS support (!1292)
 * Revert "add preference to set new tab page" (!1293)
 * Updated translations

44.beta - February 11, 2023
===========================

 * Add preference to set new tab page (#1569)
 * Reduce history window size (#1705, sunflowerskater)
 * Implement more of browserAction WebExtension API (!1148)
 * Add toast for switch to new tab in narrow mode (!1238)
 * Handle various changes in GTK, WebKitGTK (!1261, !1262, !1266, !1269, !1273, !1283)
 * Replace info bars with popovers, dialogs, banners (!1265, Jamie Murphy)
 * Improve tooltip text for add/remove bookmark button (!1271, Gotam Gorabh)
 * Search entry and address bar are accessible again (!1274, !1276)
 * Don't autofill passwords in sandboxed contexts (!1275)
 * Replace tab menu with AdwTabButton (!1279)
 * Many address bar behavior fixes (!1282)
 * Updated translations

44.alpha - January 5, 2023
==========================

 * Epiphany now uses GTK 4, libadwaita, and webkitgtk-6.0
   (!1073, !1203, !1209, !1210, !1221, !1222, !1225, !1226, !1227, !1229, !1230, !1231, !1233, !1254, !1255)
 * Avoid deprecated GTK APIs (!1232, !1233, !1236) (!1244, Christopher Davis)
 * Reduce height of preferences window (#1705)
 * Hide bookmark star in application mode (#1811)
 * Say "Force Stop" rather than "Kill" (#1849, Cassidy James Blaede)
 * Remove unreachable libsoup 2 code (#1892, Lukáš Tyrychtr)
 * Use AdwAboutWindow for about dialog (#1898, Przemyslaw Gorszkowski)
 * Fix crash on malformed ephy-tab:// URI (#1907)
 * Fix JS errors in about:overview (#1914, #1917)
 * Properly encode URIs when copied from address bar (#1930)
 * Bookmarks popover now uses AdwStatusPage (#1931, sunflowerskater)
 * Always show Mute Tab in context menu (#1934)
 * Hide address bar URL scheme in narrow mode (!996)
 * WebExtensions: Implement support for special shortcut commands (!1186, Jamie Murphy) (!1198)
 * Remove custom desktop notification implementation (!1187)
 * Fix some memory leaks (!1193)
 * Update icons (!1194, Sam Hewitt)
 * Add "epiphany" keyword to desktop entry (!1195, Hari Rana)
 * WebExtensions: Redesign Browser Actions to have a flexible presentation (!1199)
 * Add WebExtensions preferences (!1207, Jamie Murphy)
 * Improve confusing code layering (!1208, Vanadiae)
 * Accept single-label hostnames in URIs (!1223)
 * Update to highlight.js 11.7.0 (!1224)
 * Add Ctrl+comma shortcut to open preferences (!1234, Sabri Ünal)
 * Use terminology "web app" rather than "web application" (!1237, Jake Dane) 
 * Duplicate tab when middle clicking on Refresh button (!1240, two)
 * Tweak tooltips to follow HIG (!1242, sunflowerskater)
 * Fix issues found by Coverity (!1256, !1257)
 * Updated translations

43.0 - September 15, 2022
=========================

 * Updated translations

43.rc - September 1, 2022
=========================

 * Use internal copy of bookmarks icons instead of system version (!1185)
 * Fix various issues when closing tabs (!1188)
 * WebExtensions: Fix crash when failing to get translated string (!1189)
 * Fix loss of tab history if placeholder page is not removed (!1191)

43.beta - August 5, 2022
========================

 * WebExtensions: set Content Security Policy (#1777)
 * Fix crashes and misbehavior when importing bookmarks (#1800)
 * Remove PDF.js, moved to WebKit (!1113)
 * WebExtensions: implement commands API (!1165, !1171, !1172, Jamie)
 * WebExtensions: allow web inspector on background pages (!1169)
 * WebExtensions should not use separate network processes (!1170)
 * WebExtensions should use sandbox (!1170)
 * WebExtensions should not receive hardware acceleration (!1170)
 * Update to highlight.js 11.6.0 (!1173)
 * Add Take Screenshot to context menu (!1176, !1181, Cleo Menezes Jr.)
 * Preferences: do not show search suggestions in web app mode (!1178)
 * Fix desktop notification priority (!1179)

43.alpha - July 8, 2022
=======================

 * Major rearchitecting of WebExtensions, including many new APIs
   (#1442, #1448, #1449, #1754, #1790, #1796, #1804, !1111, !1114, !1116, !1117, !1118, !1119,
    !1120, !1122, !1123, !1125, !1130, !1132, !1135, !1136, !1137, !1138, !1139, !1140, !1141,
    !1142, !1143, !1145, !1146, !1150, !1152, !1153, !1154, !1156, !1157, !1158, !1159, !1160,
    !1161)
 * Add favicons to history dialog (#1682)
 * Fix critical errors when loading malformed session state (#1686)
 * Remove accelerator to open web app manager (#1697)
 * Fix reader mode crash when JavaScript is disabled by Content Security Policy (#1698)
 * Fix Epiphany icon in system sound settings (#1716)
 * Several fixes for downloads (#1712, #1733, #1746, #1747, #1748, #1803)
 * Support view-source: URI scheme (#1764)
 * Fix empty tmp directories after running custom profiles (#1768)
 * Improve reader mode stylesheet (!1044, Sam Hewitt)
 * Revamped web app support, including new D-Bus provider (!1067, !1098, Phaedrus Leeds)
 * Preparatory refactorings for GTK 4, and miscellaneous improvements
   (!1072, !1074, !1075, !1081, !1085, !1089, !1090, !1096, !1099)
 * Fix non-internationalized string on synced tabs dialog (!1078)
 * Update to PDF.js 2.13.216 (!1082)
 * Fix encodings test (!1083)
 * Fix broken link in README (!1086, Lillie Rugtveit)
 * Update to highlight.js 11.5.0 (!1088)
 * Improve description of search-engine-providers setting (!1091, Vanadiae)
 * Fix blurry favicons on hidpi (!1101)
 * Password manager should not print warnings when operation is cancelled (!1109)
 * Rename "Personal Data" dialog to "Website Data" (!1127)
 * New build requirements: libsoup-3.0, webkit2gtk-4.1

42.3 - July 8, 2022
===================

 * Fix crash when deleting all passwords (#1773)
 * Fix memory corruption caused by Sync failure (!1115)

42.2 - April 21, 2022
=====================

 * Fix Save As context menu items (#1760)
 * Fix CVE-2022-29536 (#1766)

42.1 - April 12, 2022
=====================

 * Fix regressions in "ask on download" dialog (#1747, #1749)
 * Fix bookmarks tag label alignment (from !1074)
 * Fix blurry favicons in bookmarks popover (!1101)

42.0 - March 17, 2022
=====================

 * Fix crashes when loading broken session state (#1686)
 * Fix crashes when entering reader mode with JS disabled (#1698)
 * Rework search engine manager code (!1055, Vanadiae)
 * Fix various memory leaks (!1071)
 * Fix icons on Synced Tabs dialog (!1077)
 * Update appdata screenshot (!1079, Sophie Herold)
 * Updated translations

42.beta - February 11, 2022
===========================

 * Update to latest readability.js (!1048)
 * Fix label for Show downloads list shortcut on shortcuts dialog (!1054, Vanadiae)
 * Update to highlight.js 11.4.0 (!1056)
 * Update to PDF.js 2.12.313 (!1057)
 * Fix handling of mailto: URIs with multiple emails (!1065, Vanadiae)
 * Don't depend on web-browser-symbolic icon (!1069, Vanadiae)

42.alpha - January 6, 2022
==========================

 * Rename metainfo from "GNOME Web" to "Web" (!1016, Sophie Herold)
 * Update to PDF.js 2.11.338 (!1017)
 * New network error icon (!1018, Jakub Steiner)
 * Support system dark preference (!1019, !1029, !1030)
 * Leak fixes (!1020), more leak fixes (!1042, Phaedrus Leeds)
 * Update to highlight.js 11.3.1 (!1022)
 * Enable accelerated compositing mode always (!1028)
 * Fix build with meson 0.60.0 (!1031, rvalue)
 * Many cleanups in preparation for GTK 4 (!1034, !1035, !1038)
 * Web app delete button is now red (!1040)
 * Detect Snap sandbox (!1041, Phaedrus Leeds)
 * Cleanup icons (!1043, Sam Hewitt)
 * Allow opening URIs via desktop actions (!1049, Sonny Piers)
 * Port to libportal 0.5 (!1051, Patrick Griffis)
 * Various search engine fixes (!1052, Vanadiae)

41.3 - December 20, 2021
========================

 * Fix Reload buttons on error pages (!1050)
 * Fix delete button in about:applications (!1050)

41.2 - December 16, 2021
========================

 * Fix reader mode (!1047)

41.1 - December 16, 2021
========================

 * Fix crash opening PDFs not loaded via HTTP (#1611)
 * Fix CVE-2021-45085, CVE-2021-45086, CVE-2021-45087, CVE-2021-45088 (#1612)
 * Fix web applications with non-Latin characters (#1626, #1627)
 * Fix close button position in Firefox Sync dialog (#1647)
 * Properly quote desktop file Exec line (!1013, Martin Puppe)
 * Somewhat improve password manager robustness (!1014)
 * Use correct tab close button position (!1025)
 * Various fixes for Firefox bookmark import (!1036)

41.0 - September 16, 2021
=========================

 * Fix several icons broken after updating PDF.js (#1593)

41.rc - September 2, 2021
=========================

 * Ask user whether an unresponsive page should be killed (#1561, #1583)
 * Fix crash when using Clear All passwords action (#1570)
 * Fix missing security padlock after using reader mode (#1580, #1584)
 * Update to highlight.js 11.2.0 (!1005)
 * Disable captive portal helper under Pantheon desktop (!1006, Cassidy James Blaede)
 * Disable system scrollbars when using Adwaita theme (!1007)

41.beta - August 12, 2021
=========================

Change of plans regarding libsoup-3.0 and webkit2gtk-4.1! We will enable these
by default in Epiphany 42 instead. Until then, back to libsoup-2.4 and
webkit2gtk-4.0 for now (!992).

 * Fix inconsistent capitalization in preferences (#1054)
 * Use PDF.js only for GET requests (#1505)
 * Always save pinned tabs in session (#1508)
 * Use AdGuard script to block YouTube ads (#1534)
 * Manually check adblock filter content type (#1543)
 * Fix UI process CPU usage issue (#1560)
 * Update to PDF.js 2.10.377 (!975)
 * Use real buttons in address bar (!977, Vanadiae)
 * Move bookmark button to bottom bar in narrow mode (!979)
 * Update to highlight.js 11.1.0 (!986)
 * Don't improperly lowercase bang searches (!988, Vanadiae)
 * Support Epiphany Canary builds (!989, Philippe Normand)
 * Don't open empty bookmarks or downloads popover (!990, Vanadiae)
 * Adjust unresponsive process killer to be less aggressive (!994)
 * Various code cleanups (!973, !987, !995)

41.alpha - July 2, 2021
=======================

Epiphany now depends on libsoup-3.0 and webkit2gtk-4.1 by default (!921, !957).
If you're not yet ready for this, you can build with -Dsoup2=enabled for now,
but we'll probably remove this fallback pretty soon. libsoup-3.0 and
webkit2gtk-4.1 add support for HTTP/2.

 * User smaller address bar font in narrow mode (#1172)
 * The address bar dropdown now supports various useful filters (#1461)
 * Move Firefox Sync to toplevel window menu (#1470)
 * Update to highlight.js 11.0.0 (#1480, #1501, !966, Jim Mason)
 * Highlight base domain in address bar (#1540)
 * Use actual reader mode fonts in preferences dialog (!912)
 * Update to PDF.js 2.6.347 (!924)
 * Minimize delays when toggling fullscreen mode (!939)
 * Use French quotes in St-Exupéry quotation (!950, Guillaume Bernard)
 * Fix various small memory leaks (!958)
 * Kill web process when it is unresponsive for too long (!965)
 * Add new keyboard shortcuts (!969, Vanadiae)
 * Improvements to bookmarks properties view (!978, Vanadiae)
 * Display WebKit Subversion revision for non-tarball builds (!982, Philippe Normand)

40.2 - June 4, 2021
===================

 * Fix some memory leaks (from !958)
 * Fix memory corruption in history dialog (!960)
 * Fix crash when checking for modified forms (!962)

40.1 - April 29, 2021
=====================

 * Allow launching external URLs when triggered by user action (#1385)
 * Fix untranslatable string in security popover (#1478)
 * Improvements to user help (Andre Klapper, #1481)
 * Stop advertising support for XML files (#1487)
 * Fix hidden expand-tabs-bar setting (#1512)
 * More improvements to user help (Sabri Ünal, !935)
 * Several improvements to fullscreen mode (!938)
 * Remove bad assert added in 40.rc (!941)
 * Fix crash importing bookmarks from Firefox (!949)

40.0 - March 19, 2021
=====================

 * Updated icon in user help (!930, Sabri Ünal)
 * Many updated translations (thank you!)

40.rc - March 12, 2021
======================

 * Close history when Escape is pressed (#728)
 * Fix potential loss of session state when web process is unresponsive (#1445)
 * Icons in page popover have a wrong scale after changing scale factor (#1450)
 * Crash switching to the second page of keyboard shortcuts (#1452)
 * Fix language preferences (#1456)
 * Dismiss search bar when Escape is pressed (#1463)
 * Fix overaggressive adblocker (#1467)
 * Avoid adding ephy-pdf: URIs to history (!923)
 * Fix clicking links beneath floating status bar (!925)

40.beta - February 11, 2021
===========================

 * Remember previous settings in Clear Personal Data dialog (#328)
 * Allow exporting bookmarks as HTML (#483)
 * Remove smooth scrolling preference. Smooth scrolling is now always enabled (#802)
 * Update user help for new preferences dialog navigation (#1263, Federico Bruni)
 * Rename mobile-capable setting to show-navigation-buttons (#1300)
 * Update gvdb (#1038)
 * Fix crash when Firefox Sync token is invalid (#1342)
 * Fix floating bar blocking links on bottom of page (#1368)
 * Disable application manager in app mode (#1405)
 * Fix certain searches being converted into invalid addresses (#1418)
 * Add experimental support for a few WebExtensions APIs (!866, !898, !899, !901, !904, !910, #1436, #1437)
 * Several improvements to search engine configuration (!872, #1430, Vanadiae)
 * Fix state issues with the back/forward buttons (!873, Elias Projahn)
 * Add preference to enable Google search suggestions (!883)
 * Select pre-filled search text in search entry (!887, Benjamin Berg)
 * Improve construction of web app titles (!888, Sonny Piers)
 * Use eslint and run it on CI (!890, Sonny Piers)
 * Fancy new tabs bar! (!814, !892, #1444)
 * Several UI improvements for the tabs list popover (!893, !895)
 * Remove preference to adjust position of tabs bar (!894)
 * Stop spinners when not visible (!905)
 * Update to highlights.js 10.6.0 (!906)
 * Improve empty states of various widgets (!909, Christopher Davis)

40.alpha - January 7, 2021
==========================

The Safe Browsing phishing protection feature is now disabled by default (#682)
to comply with changes to Google's terms of service, which now prohibit
inclusion of API keys in open source projects. You may provide your own Google
API key to enable this feature using the -Dgsb_api_key build option at your own
risk. Most Linux distributions will be unable to do this without similarly
violating Google's terms of service, since it would require some way to inject
a secret into the build. Most distributions include a Google API key in Firefox
or Chromium packaging in apparent violation of the new terms of service; such
distros may consider using the same key for Epiphany as well. Epiphany
Technology Preview is built using a secret API key. Flathub builds will likely
have Safe Browsing disabled.

 * Replace seach engine dialog with a listbox (#441, #631, Vanadiae)
 * Firefox Sync dialog is no longer modal (#468)
 * Fix primary menu popover changing size (#953)
 * Visit most recently-viewed tab with Alt+0 (#1050)
 * Fix hidpi favicons (#1298)
 * Allow history dialog to grow wider (#1354)
 * Remove Reopen Closed Tab from tab context menu (#1371)
 * Fix mnemonic conflict between Import Passwords and Import Bookmarks (#1386)
 * Fix Remove button sensitivity in history dialog (#1417)
 * Remove Firefox Sync from Preferences and add it to Import/Export menu (!766, Andrei Lișiță)
 * Improve language selection widget (!800, Andrei Lișiță)
 * Refine tab context menu (!815)
 * Improve tab muting icons (!817)
 * Update to highlight.js 10.5.0 (!824, !831, !862, !875)
 * Update to PDF.js 2.5.207 (!825)
 * Make bookmarks properties dialog resizable (!832)
 * Additional bookmarks popover fixes for mobile (!833)
 * Improve web app preferences (!834)
 * Various fixes for system web apps (!835)
 * libportal may not be disabled using -Dlibportal=disabled (!840, Simon McVittie)
 * Move destructive buttons in clear data and history dialogs (!848)
 * New Epiphany app icon (!849, Tobias Bernard)
 * Add X-Purism-FormFactor to appdata and desktop file (!855, Adrien Plazas)
 * Also add X-Purism-FormFactor to web app desktop files (!856)
 * Improve support for dark header bars in otherwise light themes (!857, Ian Santopietro)
 * Improve flatpak support for elementary OS (!858, Jordan Petridis)
 * Remove compulsory_for_desktop (gnome-software#445)

3.38.2 - December 1, 2020
=========================

 * Fix pinned tabs reordering themselves (#1341)
 * Avoid crash during Storage Access API permission requests (#1357)
 * Reduce size of Storage Access API permission request info bar (#1358)
 * Fix fullscreen reveal animation (!847)
 * Fix crash when Safe Browsing database is corrupted (!863)
 * History dialog title should be translatable (Piotr Drąg)

3.38.1 - October 6, 2020
========================

 * Fix failure to display new overview items (#1326)
 * Open portal helper in new tab (#1329)
 * Only run portal helper in non-GNOME environments (#1330)
 * Prevent configuring the same language multiple times (#1335, Andrei Lisita)
 * Run in Background setting should use a checkbox, not a radio button (#1337)
 * Fix new ephy-reader: URIs (#1339)
 * Show placeholder icon for pinned pages without favicon (#1351)
 * Fix opening custom CSS and JS under flatpak (#1352)
 * Remove ad-hoc query parameter stripping (!812)
 * Fix criticals when starting web apps (!828)
 * Fix launching system web apps (!835, Alexander Mikhaylenko)
 * Remove rogue underscore from title of Add Language dialog

3.38.0 - September 11, 2020
===========================

 * Updated translations

3.37.92 - September 04, 2020
============================

 * Fix download animation appearing twice (#1236)
 * Fix criticals when opening preferences dialog (#1281, Andrei Lisita)
 * Fix mobile-capable web app setting in mobile mode (#1313)
 * Fix web view test with no network available (#1314)
 * Fix rounding error when changing zoom levels (#1316, Zach Harbort)
 * Fix handling of mailto: links (#1324)
 * Open application manager in new tabs (#1325)
 * Disable "set image as wallpaper" function due to issue #1198 (Vanadiae)
 * Don't allow JavaScript to open new windows automatically
 * Fix translations of history dialog title bar

3.37.91 - August 20, 2020
=========================

 * Fix crash when visiting long pages like planet.gnome.org (#1282)
 * Clarify description of run-in-background setting (#1301)
 * Fix various theme problems (#1312, !797, !798, Alexander Mikhaylenko)
 * Code cleanups and fixes to history dialog (!793, Andrei Lisita)

3.37.90 - August 6, 2020
========================

 * Always show Go Home button in Pantheon unless homepage is about:blank (#3)
 * Allow self-hosted sync servers (#22)
 * Flash notebook arrow when new tab is not visible (#48, #1262)
 * Warn when reloading page would lose form data (#195)
 * Don't display duplicate in-app notifications from sync service (#446)
 * Store HTTP auth passwords in password manager (#719)
 * Hide action bar in fullscreen narrow mode (#813)
 * Add favicon for about:overview (#848)
 * Add history dialog selection mode (#903, !790, Andrei Lisita)
 * Downloads popover can now open download directory under flatpak (#948)
 * Fix favicons in tab labels on hidpi displays (#999, Stephan Verbücheln)
 * Print fewer warnings when sync data is invalid (#1019)
 * Add captive portal helper (#1061)
 * Use Ctrl+? to open keyboard shortcuts dialog (#1078, Vanadiae)
 * Ensure saved PDFs use the correct filename (#1235)
 * Closing new tabs interferes with order of newly-created tabs (#1240)
 * Fix criticals when deleting entries from History dialog (#1252, Andrei Lisita)
 * Do not expose ephy-pdf: URI scheme in address bar (#1253)
 * Improve behavior of reader mode URI scheme handler (#1255)
 * Add --search to manpage (#1256)
 * Improve background contrast in preferences dialog (#1257)
 * Fix entering ephy-reader: addresses in address bar (#1259)
 * Keep aspect ratio for overview snapshots (#1260)
 * Fix passwords dialog when deleting passwords in search view (#1261, Andrei Lisita)
 * Use Clear Data button on clear data dialog (#1271, Andrei Lisita)
 * Add Intelligent Tracking Prevention, enabled by default (!713)
 * Replace cookie storage prefs with ITP and setting to disable website data (!743)
 * Fix Remove Password button (!758, Andrei Lisita)
 * Enable popup blocking by default (!763)
 * Another major redesign of preferences dialog (!767, Adrien Plazas)
 * Fix build on OpenBSD (!770, Jasper Lievisse Adriaanse)
 * Permission request groundwork for WebRTC (!771)
 * Fix Safe Browsing feature (!776)
 * Various style improvements (!785, !786, Alexander Mikhaylenko)
 * Fix favicons in tab menu on hidpi displays (!787, Stephan Verbücheln)

3.37.3 - July 2, 2020
=====================

 * Add ephy-reader: URI scheme for reader mode (#50)
 * Allow muting individual tabs (#311)
 * Add paste as plaintext context menu option (#415)
 * Fix crash when setting homepage (#610)
 * Add --search command line option (#630)
 * Add run in background option for web apps (#673)
 * Allow reordering pinned tabs (#782)
 * Improve writes to Safe Browsing database (#790)
 * Pre-fill search bar with selected text (#809)
 * Fix a test (#829)
 * Redesign Privacy pages in preferences dialog (#1057, Andrei Lisita)
 * Fix various memory leaks in history code (#1178)
 * Fix insecure form focused warning (#1186)
 * Refactor PDF code (#1189, !696)
 * Fix back/forward mouse gesture (#1204)
 * Add option to immediately switch to a new tab (#1209)
 * Fix web app notifications (#1228)
 * Update to highlight.js 10.1.0 (#1230, Jim Mason)
 * Fix serif font setting not working properly (#1231)
 * Fix Firefox Sync not working under flatpak (#1233)
 * Improve suggested filename for PDF downloads (#1235)
 * Notifications now display correctly in mobile mode (#1247)
 * Remove mobile user agent since it doesn't work well (!601)
 * Add line numbers in view source mode (!674, Jim Mason)
 * Disable set image as wallpaper under flatpak (!679, Vanadiae)
 * Select entire address bar on Ctrl+L (!685)
 * Update readability.js (!692)
 * Various UI cleanups and improvements (!695, Alexander Mikhaylenko)
 * Default custom fonts to 12pt (!705)
 * Add dark mode support in view source mode (!706, Jim Mason)
 * Add per-site autoplay policy permission (!712, Charlie Turner)
 * Improve safety of Firefox Sync code (!716)
 * Update to PDF.js 2.4.456 (!718)
 * Link buttons on search engines dialog (!722, Vanadiae)
 * Update to libhandy master (Alexander Mikhaylenko)

3.37.2 - May 29, 2020
=====================

 * Search provider now offers to load URLs, rather than search the web (#150)
 * Redesigned password management dialog (#225)
 * Add user script support (like Greasemonkey) (#298)
 * Fix and reenable test-ephy-web-view (#378)
 * Import passwords from Chrome/Chromium (#424, #1187)
 * Drop duplicate bookmarks during bookmark import (#485)
 * Highlight active tab in mobile page view (#760)
 * Allow drag and drop from downloads popover (#766)
 * Allow opening multiple pages in history dialog (#862)
 * Fix non-default search engines appearing in search provider (#923)
 * Remove 10-tab limit on reopen closed tabs (#991)
 * Remove secret service access from flatpak builds (#1009)
 * Add keyboard shortcut to duplicate tab (#1167)
 * Update to highlight.js 10.0.2 (#1171, #1176)
 * Distribute unpacked version of highlight.js (#1173)
 * Restore bookmark tag search in URL entry (#1177)
 * Use GNotification and switch to appropriate tab when notification is clicked (#1180)
 * Fix bookmark lockdown enabled when current page cannot be bookmarked (#1196)
 * Refactor incognito recoloring and support HighContrastInverse (!626, Alexander Mikhaylenko)
 * Fix crash loading about:applications (!636)
 * Fix duplicate bookmarks causing import to go haywire (!639, ignapk)
 * Improve maintainability of preferences dialog (!651, Andrei Lisita)
 * Improve title and icon selection for web apps (!654)
 * Add import/export menu (!658)
 * Drop raised style for back/forward buttons (!665, Alexander Mikhaylenko)
 * Update images in user help (!677, Vanadiae)

3.37.1 - April 25, 2020
=======================

 * Address bar completion can now jump to tabs in other windows (#117)
 * Suppress navigation buttons with apple-mobile-web-app-capable (#212)
 * Add bookmarks import from Chrome/Chromium (#352)
 * Add bookmarks import from HTML files (#483, ignapk)
 * Fix Ctrl+Tab shortcut immediately after opening new tab (#890)
 * Fix Ctrl+Tab shortcut after using Ctrl+F (#911, Andrei Lisita)
 * Disable close actions in pinned tab context menu (#998)
 * Add Ctrl+K shortcut to search in default engine (#1088, Andrei Lisita)
 * Add confirmation dialog before deleting all passwords (#1094)
 * Set reasonable limit on address bar autocompletions (#1096, #1155)
 * Update highlight.js (#1124)
 * Invert back/forward shortcuts in keyboard shortcuts dialog in RTL locales (#1145)
 * Fix crash in web app creation dialog (#1151)
 * Fix two windows opened by new window action (#1152)
 * Increase back/forward button size in narrow mode (#1163)
 * Avoid using deprecated libnotify (#1168)
 * Add web app shortcuts to keyboard shortcuts dialog (!560, Sabri Ünal)
 * Remove "Epiphany" from user agent header (!595)
 * Mobile user agent now depends on chassis type (!601)
 * Hide new tab and reload buttons in narrow mode (!612, #1162)
 * Update gvdb (!615)
 * Fix various web app memory issues (!616)
 * Rename security popover settings (!620)
 * Improve transition to/from narrow mode (!627, Alexander Mikhaylenko)

3.36.1 - March 27, 2020
=======================

 * Fix bookmarks lockdown (#339)
 * Fix endless Epiphany launch loop loading ftp:// URIs (#1053)
 * Fix tab name on detached tabs (#1113)
 * Fix extra blank space in bookmarks popover (#1119)
 * Fix some downloads not working (#1127)
 * Use full width address bar dropdown in narrow mode (!611)

3.36.0 - March 7, 2020
======================

 * Fix crash when closing passwords dialog (#1120)

3.35.92 - February 27, 2020
===========================

 * Remove custom reader mode fonts (#1002)
 * Go to homepage when opening a new window (#1090, Andrei Lisita)
 * Remember maximize/fullscreen window state (#1091)
 * Fix memory leaks (#1098, #1099, #1101, #1102, #1103, #1104)
 * Fix extra strings marked for translation (#1106)
 * Fix crash on about:memory (#1115)

3.35.91 - February 14, 2020
===========================

 * Allow bookmarks files to be symbolic links (#198)
 * Fix new tab page with few items in history (#986)
 * Fix password manager user account selector (#1018)
 * Fix extra page when starting browser during background download (#1058, Andrei Lisita)
 * Reenable web process sandbox (#1060)
 * Remove extra PDF.js files (#1074)
 * Fix tab title after Alt+Home (#1082, Andrei Lisita)
 * "Switch to tab" should not switch tabs if URL is edited (#1085)
 * Fix crash when parsing session state (#1092)
 * Fix improper warning when closing multiple tabs (#1093)
 * Disallow top-level navigation to data:// URLs (!577, Adrian Perez)
 * Update Epiphany icon in user help

3.35.90 - February 1, 2020
==========================

- Update design of bookmark dialogs (#371)
- Disable new tab page when homepage is about:blank (#393, ignapk)
- Tab now autocompletes URL in address bar (#705)
- Reorganize the preferences dialog (#803, #1055)
- Changing web app icon in preferences dialog should copy icon (#810, ignapk)
- Update design of data management dialogs (#832, Adrien Plazas)
- Add placeholder text to address bar (#852)
- Add address bar dropdown icons for jump-to-tab and for bookmarks (#861, #895)
- Fix history dialog claiming history is empty until history has loaded (#992, Adrien Plazas)
- Fix Favorites and Mobile bookmarks not tagged correctly when localized (#1015, Jonathan Kang)
- Fix crash when loading empty sessions (#1043)
- Hide view source context menu item when on view source page (#1046)
- Use page URI as tab title in view source mode (#1048)
- Allow Ctrl+Tab in address bar (#1051)
- Fix inconsistent capitalization in preferences dialog (#1054, Devesh Vijaywargiya)
- Fix padding on incognito mode welcome page (#1056)
- Fix problems with the new PDF support (#1059, !548)
- Temporarily disable web process sandbox due to WebKit #206533 problems (#1060)
- Fix password saving, likely broken in 3.35.3  (#1064)
- Fix memory corruption in view source mode (#1065)
- Allow opening PDFs with file chooser (#1073)
- Fix view source mode for URIs with non-default port numbers (#1076)
- Fix occasional failure to start up (!537)
- Fix download time remaining "jumping around" (!553, Alexander Mikhaylenko)
- Avoid theoretical bookmark ID collisions (!555, Andrei Lisita)
- Standardize keyboard shortcuts and improve keyboard shortcuts dialog (!556, Sabri Ünal)
- Fix web background color to allow dark mode to work (!558, !559)
- Fix sides cropped off of new tab page snapshots (!563)
- Fix memory corruption when loading adblock filters
- Fix display of script dialogs, broken in 3.35.3
- Fix various scan-build warnings

3.35.3 - January 3, 2020
========================

Big stuff:

- View source mode now uses highlight.js syntax highlighting (!506)
- Now displays PDFs with PDF.js (!508)

The usual:

- Add Open Link context menu option for selected text (#349)
- Fix crash when bookmark time is invalid (#454)
- Remove support for external view source (#819)
- Try harder to avoid session data loss (#887)
- Remember page zoom levels during incognito session (#891)
- Always show overview close button (#906)
- Fix middle click on back button when titlebar action is configured (#919)
- Add lockdown setting to disable context menu (#921)
- Disable Send Link context menu option in application mode (#926)
- Reenable on-demand hardware acceleration (#932)
- Fix profile migrator error message (#944)
- Fix localization of reader mode preferences (#994)
- Fix crash on shutdown regression (#1004)
- Redesigned the downloads button (#947, #1005)
- Improve design of web process crash error page (#1013)
- Fix regressions with user style sheet monitor (#1026)
- Major refactor of IPC to web extension (!448)
- Enable process swap on navigation (site isolation) (!448)
- Security popover's per-website adblocker preference now actually works (!471)
- Improve reader mode icon on elementary (!490)
- Fix search provider crash when there are no bookmarks (!510)
- Fix crashes on web app creation dialog and theoretical crashes elsewhere (!511)
- Remove do-not-track setting, obsolete (!514)
- Remove enable-plugins setting (NPAPI plugins), now always off (!514)
- Remove enable-webaudio and enable-webgl settings, now always on (!514)
- Fix issues detected by cppcheck and scan-build
- Disable Search the Web in application mode
- Temporarily disable address bar DNS prefetch due to WebKit crash
- Require libhandy as system dependency

3.35.2 - November 22, 2019
==========================

- Open bookmarks in new tab with middle button (#86)
- Accept partial URLs with port but no protocol (#329)
- Remove custom FTP handling (#517)
- Fix anchors for local files when opened via command line (#550)
- Fix crash browsing to file under snap (#888)
- Show bookmarked URLs only once in search results dropdown (#897, Dimitrios Christidis)
- Use destructive style on close multiple tabs dialog (#950)
- Fix bookmarks import error handling (#965)
- Prevent detaching pinned tabs (#969)
- Exclude pinned tabs from "close other tabs" and "close tabs to left/right" (#975)
- Adjust icon to not use clipping masks for compatibility with KDE (#979, Jakub Steiner)
- Correctly handle zero matches in find toolbar (#984, Dimitrios Christidis)
- Fix remember passwords setting (#993)
- Enhance password manager to use secrets portal (!359, Daiki Ueno)
- Use two-line display format for address bar dropdown (!441)
- Treat localhost as secure origin (!457)
- Expose webkit://gpu (!458, Adrian Perez)
- Fix per-site adblock permission (!471)
- Add responsive layout for error pages (!477)
- Fix linked zoom menu buttons in right-to-left locales (!481)

3.35.1 - October 11, 2019
=========================

- Reenable on-demand accelerated compositing (#932)
- Many theme improvements specific to elementary OS
  (#2, #4, #69, #935, #936, #938, #940, #941, #956, Alexander Mikhaylenko)

3.34.1 - October 4, 2019
========================

- Fix maximize state not being remembered (#1, Alexander Mikhaylenko)
- Middle click should not close pinned tabs (#916)
- Fix Ctrl+Shift+G for Find Previous shortcut (#918, Ting-Wei Lan)
- Fix searching for special characters in address bar (!436, Ting-Wei Lan)
- Fix warning about invalid signal handler when closing browser
- Focus web view after creation in automation mode
- Various fixes to new adblocker (Adrian Perez)
- Separate font rows in preferences dialog (Adrien Plazas)
- Improve about:applications on small screens (Sam Hewitt)

3.34.0 - September 7, 2019
==========================

Major changes from 3.32:

 - New improved adblocker (!178, Adrian Perez)
 - Pinned tabs (!242, Jan-Michael Brummer)
 - Web process sandbox (!348, Patrick Griffis)
 - Improved overview page design (!370, Tobias Bernard)
 - Further enhancements for mobile devices (Adrien Plazas)

3.33.92 - September 1, 2019
===========================

- Fix overview snapshot removal animation (Tobias Bernard)
- Fix mistake in construction of web app icon URL (Sonny Piers)
- Ensure adblocker is ready before loading any resources (Adrian Perez)
- Failure to start web extension connection is now fatal

3.33.91 - August 16, 2019
=========================

- Partially fix regressions from overview redesign (#874)
- Fix crash when dragging tab to new window (#875)
- Fix load state tracking regression
- Disable accelerated compositing again

3.33.90 - August 5, 2019
========================

- New adblocker based on WebKit content extensions (Adrian Perez, #288)
- Close window after drag/drop last tab to another window (#731)
- Adjust address bar popover position (#855)
- Use Alt+Enter for opening pages in new tab (#860)
- Add Ctrl+G shortcut to search bar for next search result (#863)
- Fix search bar text highlighting (#864)
- Redesigned about:overview, the new tab page (Tobias Bernard)
- Add emoji picker context menu item
- Remove context menu item for inserting Unicode control characters
- Fix inappropriate context menu entries for non-downloadable videos
- Fix web app section of the preferences dialog
- On-demand accelerated compositing is once again enabled by default
- Enabled bubblewrap web process sandbox

3.33.4 - July 14, 2019
======================

- Support switching spellchecker languages (#181)
- Fix hangs when syncing bookmarks (#336)
- Fix glitched state when closing final tab from tabs popover (#637)
- Fix position of spinner in tabs (#796)
- Indicate when title of pinned tab has changed (#797)
- Fix tabs opening in strange places (#823)
- Don't refresh history dialog when loading page from history (#831)
- Allow loading more history dialog history using keyboard (#840)
- Make web view infobars work properly in mobile mode (#851)
- Add Ctrl+Tab and Ctrl+Shift+Tab to keyboard shortcuts dialog (Antoine Fontaine)
- Fix crash when web app profile lacks .app file
- Ensure web apps broken beyond repair crash nicely
- Various improvements to history dialog (Adrien Plazas)
- Major rework of the preferences dialog (Adrien Plazas)
- Fix password manager error on forms without action attributes
- Show number of open pages in mobile mode (Alexander Mikhaylenko)
- Fix overview thumbnails improperly displaying placeholder icons
- Expose mouse gesture setting in preferences dialog

3.33.3 - June 14, 2019
======================

- More fixes for web app migration (#713)
- More password manager fixes
- Add mobile user agent setting

3.33.2 - June 6, 2019
=====================

- Fix password manager for pages in iframes (#25, #26)
- Search engines now have favicons in address bar dropdown (#128)
- Allow searching for open tabs with address bar (#153)
- Show error message for moved or deleted downloads (#155)
- Fix preferences language button sensitivity (#279)
- Continue downloads in background when last window is closed (#322)
- Add custom error page for missing files when loading file URIs (#444)
- Add visual feedback for importing Firefox bookmarks (#484)
- Fix crash opening preferences dialog in weird locales (#545)
- Fix manage additional URLs web apps preference (#558)
- Fix downloading blob URIs in web apps (#593)
- Add search match counter (#639)
- Pages popover should not exceed window size in X11 (#656)
- Fix HTTP auth dialog losing focus when switching tabs (#750)
- Fix tab order reversing in session if tab is pinned (#777)
- Fix issues with ordering of pinned tabs (#780)
- Pinned tabs should not have a close button in tabs popover (#792)
- Add tooltips to items in address bar (#807)
- Log message to inspector console when adblocker blocks a resource
- New redesigned cookies dialog

3.33.1 - May 2, 2019
====================

- Change Tech Preview app ID to org.gnome.Epiphany.Devel (#20)
- Improve tab order when opening links in new tabs (#49)
- Use elementary-style headerbar icons in Pantheon (#67)
- Remember zoom state for file URIs (#102)
- Prompt to set as default browser (#112)
- Add preference to ask where to save downloads (#147)
- Fix yellow search highlight disappearing when repeating search (#166)
- Allow pinning tabs (#248)
- Expose saving pages as HTML or PNGs in addition to MHTML (#259, #412)
- Warn user when closing window with multiple tabs (#276)
- Comprehensively update user help (#293)
- Add preference to always start in incognito mode (#300)
- Add open in new incognito window to web app context menu (#313)
- Allow setting per-site permissions from security popover (#331, #467)
- Allow writing HTTP and HTTPS URLs without slashes (#377)
- Fix tab list alignment with tabs not on top (#456)
- Fix low-resolution overview thumbnails in hidpi (#605)
- Add Ctrl+Enter shortcut to prepend www. and append .com to URL (#645)
- Always show tabs bar (#650)
- Incognito mode landing page is now adaptive (#653)
- Add drop shadow to icon in about:web (#654)
- Add empty state to about:applications (#663)
- Keep URL entry centered (#666)
- Fix icons overlapping with URL entry in right-to-left locales (#686)
- Adjust margins of suggestions popover (#692)
- Allow Ctrl+click to open new tab in back/forward lists (#727)
- Remove process model and process count settings (Spectre mitigation)
- Use page instead of popover for mobile tab menu (Christopher Davis)
- Always try saved HTTP auth credentials before prompting user
- Use WebKit's code for processing punycode and IDN
- Add swipe gesture to keyboard shortcuts dialog
- Update reader mode to latest readability.js
- libdazzle is now required as a system dependency

3.32.2 - May 2, 2019
====================

- Fix remembering printer settings (#138)
- Fix fuzzy incognito mode icon in hidpi (#257)
- Add search button and allow type to search on history dialog (#632)
- Fix critical deleting URLs from history dialog (#691)
- Fix crash changing reader mode preferences (#706)
- Fix many actions being disabled by mistake in incognito mode (#724)
- Fix password manager asking to remember passwords when disabled (#725)
- Close history dialog on Escape (#728)
- Fix crash during Safe Browsing update (#736)
- Unfullscreen automatically when web process crashes (#752)
- Fix markup appearing in search provider results
- Fix a search provider crash
- Fix password manager crash on certain websites
- Fix password manager autofill when form has no username
- Fix tab bar context menu reopen closed tab action crash and sensitivity
- Fix websites opening file choosers under flatpak
- Fix searching for bookmarks in top bar

3.32.1.2 - March 21, 2019
=========================

- Recreate Safe Browsing database when it might be corrupted (#57)
- Update libdazzle subproject to improve compatibility with new meson versions (#699)

3.32.1.1 - March 20, 2019
=========================

- Really bring back libdazzle subproject, for 3.32 branch only (#699)

3.32.1 - March 20, 2019
=======================

- Switch to WebKit's two-finger back/forward swipe gesture (Alexander Mikhaylenko)
- Fix search highlight disappearing when repeating search (#166)
- Fix pages without title always appearing first in address bar dropdown (#579)
- Bring back libdazzle subproject for 3.32 branch only (#699)
- Fix new web apps being saved in wrong place under certain circumstances (!224)
- Fix web process settings being saved in the wrong place (!224)

3.32.0 - March 11, 2019
=======================

Major changes since 3.30:

- Redesigned address bar dropdown with new dazzling
- Redesigned open tabs menu, now displays tab favicons and allows closing tabs
- Greatly improved adaptive mode support for small displays
- Three-finger swipe touchpad gesture now available for back/forward navigation
- Automation mode, for running WebDriver tests (useful for website developers)

Changes since 3.31.92:

- Fix preferences dialog crash
- Fix password manager crash on 32-bit systems
- Bump to libhandy 0.0.9 (Adrien Plazas)

3.31.92 - March 4, 2019
=======================

- Add animation when download completes (#629)
- New tab popover should close tabs on middle-click (#643)
- Fix context menu in history dialog (#651)
- Add separators to tab bar context menu (#652)
- Fix crash in mouse gesture controller (#679)
- Disable safe browsing test by default (#684)
- Improve reliability of password form detection
- Fix encoding dialog (Arnaud B.)
- Restore unsafe process model and process count settings for 3.32 branch only
- Change -Dunit_tests meson option to feature rather than bool type
- Require system libdazzle and recent GTK 3.24
- Build libhandy as static lib (Jeremy Bicha)
- Bundle newer libhandy to fix i18n (Adrien Plazas)
- Fix licence in appstream metadata to GPLv3+

3.31.91 - February 18, 2019
===========================

- Fix test failure when not installed (#675)
- libhandy and libdazzle now use git submodules (#676)
- Improve tab bar style in incognito mode (Alexander Mikhaylenko)

3.31.90 - February 4, 2019
==========================

- Hide new tab button in app mode (#19)
- Move all stored data to appropriate locations (#182, #477, Patrick Griffis)
- Middle-click on new tab button now loads URL from clipboard (#203)
- Animate to web app in GNOME shell overview after installing (#206)
- Fix next/previous accelerators in right-to-left locales (#239)
- Rename "New tab page" homepage option to "Most visited pages" (#394)
- Animate downloads button instead of intrusively opening popover (#395)
- New three-finger swipe gesture for back/forward navigation (#435)
- Don't close menu when changing zoom (#462)
- Fix zoom in internal pages (#539)
- Fix some tests (#617)
- Fix crash setting web app title without hostname (#618)
- "Search the Web" -> "Search the web" (#635)
- Tab menu is now a featureful popover (#647, Adrien Plazas)
- Remove PDF support for now, not stable yet (#659)
- New shortcuts for reload bypassing cache and reader mode (#661)
- Fix crashes caused by password manager rework (Patrick Griffis)
- Fix crash when $XDG_CURRENT_DESKTOP is undefined (Adrian Perez de Castro)
- Make find toolbar adaptive (Adrien Plazas)
- Make bookmarks import dialog adaptive (Adrien Plazas)
- Add tab menu for narrow mode (Adrien Plazas)
- Many CSS style improvements (Alexander Mikhaylenko)
- Fix too-tall switch in search engines dialog (Alexander Mikhaylenko)
- Remove process model and process count settings (Spectre mitigation)
- New design for security popover, appropriate for small screens
- Remove all deprecated settings and associated migrators
- Add setting to configure hardware acceleration policy
- Fix modified form submission warning
- Fix opening downloads under flatpak

3.31.4 - January 7, 2019
========================

- Add default zoom level option to preferences dialog (#8)
- Double click on reader mode icon should not maximize window (#44)
- Move new tab button to start of the header bar, always (#69, #447)
- Hide Help and About when running in Pantheon (#71, #72)
- Reenable address bar DNS prefetch (#79)
- Add hidden setting to keep window open on Ctrl+W (#80)
- Fix file extension when saving a View Source page (#98)
- Add reload all tabs to tab context menu (#118)
- Remember last upload/download directory (#133)
- Highlight matching text in address bar dropdown (#164)
- History dialog should respect desktop 12/24 hour clock setting (#197)
- Add reload tab and reopen closed tab to tab context menu (#199, #226)
- Convert all hostnames to lowercase (#230)
- Add support for viewing PDFs using libevince (#264)
- Add application manager to window menu (#267)
- Fix passwords dialog expanding after deleting password (#285)
- Hide various menu items from app mode (#309)
- Remove MIME type restrictions (#310)
- Remove broken bookmarks command line options (#338)
- Reenable some tests that were broken (#341, #419, #494)
- Open in new tab when middle clicking homepage button (#368)
- Monitor for changes to user CSS file (#370)
- Fix Ctrl+Shift+Page[Up,Down] (#399)
- Remove obsolete shortcuts documentation (#407)
- 127.0.0.1 and ::1 are now always considered secure (#410)
- Floating status bar no longer blocks clicks (#428)
- Add experimental support for mouse gestures (#430)
- Allow search the web context menu item in text fields (#438)
- Improve documentation of command line options (#440)
- Allow more zoom levels (#492)
- Adopt standard behavior for clicks with modifier keys pressed (#493)
- Add preference to disable smooth scrolling (#577, Sharaz Ali)
- Use /etc/os-release to set distributor name (#586)
- Fix remote inspector (#600, Loïc Yhuel)
- Alt-number tab switching can no longer be intercepted (#606)
- Fix crash after bookmark sync (#612)
- Add --automation-mode, for control by WebKitWebDriver
- Use libhandy for improved narrow mode (Adrien Plazas)
- Make history and encoding dialogs responsive
- Don't show new fullscreen header bar for fullscreen videos
- Move copy/search items to the top of the context menu (Jonathan Kang)

3.31.3 - December 10, 2018
==========================

- Improve padding in bookmarks view (#496, Apostol Bakalov)
- Do not show progress bar on empty new tabs (#574)
- Fix crash storing password on paypal.com (#575)
- Add column spacing to encoding dialog grid (#576)
- Fix suggestion entry not closing after Paste & Go (#581)
- Fix suggestion entry reopening after closed with Escape (#582)
- Tags with empty labels are no longer allowed in bookmarks (#585, Aral Balkan)
- Fix freeze when closing window or tabs when secondary process is hung (#587)
- Fix crash when web view has not loaded anything yet (#590)
- Temporarily disable hardware accelerated page rendering (#595)
- Stop lowercasing spellcheck and Accept-Langs locales
- Locales on language selection dialog are now displayed translated
- Locales on language selection dialog are no longer limited
- Several miscellaneous code improvements (Thomas An)

3.31.2 - November 11, 2018
==========================

- Add preview widgets to file choosers (#552, Que Quotion)
- Fix window height being saved incorrectly (#571, Jonathan Kang)
- Fix crash when right clicking on tab bar (Kieran Elmes)
- Add Close Other Tabs tab bar context menu item (Kieran Elmes)
- Replace Move Tab Left/Right with Close Tabs to Left/Right (Kieran Elmes)
- Fix new tab improperly opened on Ctrl+L
- Fix URL entry accidentally loading the wrong page

3.31.1 - October 10, 2018
=========================

- Add keyboard shortcut for reader mode (#526)
- Fix too many button being available for small windows in app mode (#544, Adrien Plazas)
- Move password management from the web process to the UI process (Patrick Griffis)
- Fix Google Search in Russian localization and switch to google.ru (Alexandr Sidorenko)
- Add preferences for reader mode and improve styling (Adrián Pérez de Castro)
- New, redesigned Epiphany icon (Jakub Steiner)
- New fancier address bar dropdown based on libdazzle
- Removed GNOME application menu

3.30.1 - September 21, 2018
===========================

This release is intended to fix video playback on YouTube. We believe that
YouTube began requiring media source extensions to play WebM videos on Tuesday
of this week, so we have enabled it.

You are strongly encouraged to update to WebKitGTK+ 2.22.2 and the forthcoming
GStreamer 1.14.4 to minimize video playback disruptions. It's not really
reliable enough to be enabled yet, but it's a whole lot better than no YouTube.

- Enable media source extensions
- Don't show reader mode icon on internal pages (e.g. about:incognito)
- Add reader mode styling for <mark> elements (#46, Adrián Pérez de Castro)
- Fix searches using a colon in the first word (#90)
- Fix frequent crashes, and also fix address bar with multiple windows open (#519)
- Fix crash on homedepot.com
- Hide homepage button in app mode
- Ensure Firefox Sync preferences web view uses Epiphany data directories

3.30.0 - September 2, 2018
==========================

- Updated translations

3.29.92 - August 27, 2018
=========================

- Ensure the correct address is displayed in security popover during loads (#503)
- Improve bookmark tag theming for non-Adwaita themes (#504, Alexander Mikhaylenko)
- Enable smooth scrolling by default (#508)
- Fix location entry URI normalization on cut and copy (#513)
- Fix features that rely on web extension message handlers (Carlos Garcia Campos)
- Fix location entry dropdown bookmark icon
- Improve location entry icon style (Alexander Mikhaylenko)
- Improve reader mode icon (Jakub Steiner)

3.29.91 - August 12, 2018
=========================

- Fix security indicator appearing improperly in reader mode (#45, Jan-Michael Brummer)

3.29.90 - July 26, 2018
=======================

- Address bar now uses GtkEntry's progress support (#78, Jan-Michael Brummer)

3.29.4 - July 16, 2018
======================

- Add responsive action bar used at small window sizes (Adrian Plazas)
- Add web application section to preferences dialog (Carlos Garcia Campos)
- Move progress bar into address bar (Jan-Michael Brummer)
- Added continuous integration configuration (Jordan Petridis)

3.29.3 - June 18, 2018
======================

- View source now displays in Epiphany instead of text editor (#738475)
- Add experimental reader mode (#772831)
- Web apps now again open only in new tabs (#796204)
- Fix crash when page does not have a URI (#795740, CVE-2018-11396/CVE-2018-12016)
- Change color of bookmarks star to orange (GitLab #27)
- Run internal JavaScript in isolated world to block access to websites
- Fix overview thumbnails not appearing after Ctrl+T
- Fix broken themeing in web app mode
- NPAPI plugins are now disabled by default
- Remove enable plugins checkbox from preferences dialog
- Remove about:plugins

3.29.2 - May 22, 2018
=====================

- Change zoom sooner (#787486)
- Improve incognito mode with non-Adwaita themes (#783912, Adrian Perez)
- Add hidden setting to disable autosearch (#789776)
- Better handle webmail when signing into Firefox Sync (#794352, Gabriel Ivascu)
- Rewrite web process extension using JavaScript (#794395, Carlos Garcia Campos)
- Again disallow new tab action in app mode (#795007)
- Remove problematic adblock filters (#796245)
- Fix crashes when signing out of Firefox Sync (Gabriel Ivascu)
- Remove New Window menu items from hamburger menu

3.29.1 - April 16, 2018
=======================

- Speculatively fix crash related to changing search engines (#783756)
- Clarify that blocking web trackers also blocks social media buttons (#790189)
- Never automatically open downloads, since it can't be done safely (#794681)

3.28.1 - April 10, 2018
=======================

- Fix bookmarks migration from Epiphany 3.24 not working (#794645)
- Do not auto-open adblock filters in text editor after download (#794646)
- Fix crash when destroying sync service (#794728)
- Remove the experimental HTTPS Everywhere support (#794803)
- Fix width of bookmarks popover in certain locales (#794861, Exalm)
- Don't activate search bar when pressing ' or / (#795083)
- Take snapshots only of most-visited web pages

3.28.0.1 - March 10, 2018
=========================

- No changes, new release because 3.28.0 was mistagged

3.28.0 - March 10, 2018
=======================

- Fix buffer overflow in profile migrator test
- Updated translations

3.27.92 - March 2, 2018
=======================

- Add middle click close support to tab bar

3.27.90 - February 12, 2018
===========================

- Improve handling of zoom (#621067, #792949, Jan-Michael Brummer)
- Bookmark properties button is now always visible (#772268, Jan-Michael Brummer)
- Drop gnome-desktop dependency, copying needed thumbnailer code (#778578)
-- Save snapshot thumbnails under ~/.cache/epiphany instead of global directory
-- Delete snapshot thumbnails when clearing history
- Fix profile migrator deleting bookmarks if run multiple times (#792683)
- Add touch support for address bar icons (#792876, Jan-Michael Brummer)
- Save Safe Browsing data only once, not once per web app (#792929, Gabriel Ivascu)
- Fix crash caused by unexpected Safe Browsing data (#792930, Gabriel Ivascu)
- Fix placement of select element with multiple monitors (#792940, Jan-Michael Brummer)
- Long press in address bar now selects the text (#793267, Jan-Michael Brummer)
- Hopefully fix the search provider (Bjørn Lie)
- Fix password prompt after #742573 (Exalm)

3.27.4 - January 6, 2018
========================

- Show desktop notification when download finishes (#722142)
- Expand tag view in bookmarks popover (#778843)
- Fix downloading blob URLs (#788576)
- Fix launching WhatsApp web app (#790781)
- Add protection against IDN homograph attacks (#791168)
- Fix error in sync migration when migrating from 3.26.2 or earlier
- Improved logic to avoid corrupting session state

3.27.3 - December 11, 2017
==========================

- Don't require gvfsd-http for downloading adblock filters (#776682)
- Expand bookmarks popover tag area when there are many tags (#778843)
- Don't attempt to sync when there's no network connectivity (#790286)
- "Search the web" context menu item should switch to the new tab (#790693)
- Revert back to the old address bar dropdown for the time being (#790732)
- Make default sync device name translatable (#790905)
- Fix sync failure warnings appearing multiple times (#790094)
- Remove Epiphany version from user agent (see WebKit #180365)
- Remove support for vendor user agents (see Debian #883712)
- Several miscellaneous Firefox Sync fixes
- Several miscellaneous Google Safe Browsing fixes
- Flatpak: custom stylesheets are now supported
- Flatpak: downloading files is now supported
- Flatpak: view page source is now supported
- Flatpak: Add Epiphany Tech Preview branding for nightly builds

3.27.2 - November 13, 2017
==========================

- Hide Copy from context menu when appropriate (#772106)
- Hide home page button when appropriate (#783299)
- Fix multiple issues with the bookmark popover (#788584)
- Major change: web apps are now more like silos, rather than prisons (#788845)
- Various fixes for safe browsing implementation (#788899)
- Fix Firefox Sync crash on 32-bit systems (#789656)
- Move Firefox Sync settings to the right GSettings path (#789786)
- Fix middle click on back/forward navigation buttons (#790017)
- Various fixes for Firefox Sync implementation
- Restore search engine support
- Fix incognito mode theme

3.27.1 - October 16, 2017
=========================

- Fix search engine dialog, which has been borked since 3.24.3 (#787458)
- Allow overriding autofilled username in password forms (#787498)
- Fix non-HTML/MHTML files being saved as MHTML (#788111)
- Don't disable navigation actions when history is cleared (#788329)
- Various improvements to Flatpak support
- Fix bookmarks import crash when there's no Firefox profile
- Allow access to web inspector in application mode
- Add new address bar dropdown using libdazzle
- Add Google Safe Browsing support

3.26.0 - September 8, 2017
==========================

- Disable Firefox Sync except in browser mode (#787412)
- Disable emoji chooser in location entry
- Updated translations

3.25.92 - September 3, 2017
===========================

- Rename the meson build options
- Switch to nontransitional IDN2008
- Many improvements to password form detection (#666326)
- Fix crash of bookmarks popover (#780549)
- Don't create Mobile bookmarks tag when syncing unless needed (#786590)
- Handle invalid input from gnome-keyring (#786811)
- Password manager should operate on security origins (#786818)
- Adblocker must not block main resource during redirects (#787011)

3.25.91 - August 21, 2017
=========================

- Miscellaneous improvements to Firefox Sync support
- Updated translations

3.25.90 - August 8, 2017
========================

- Greatly improved Firefox Sync support, enabled by default (#777631)
- Use new custom popup menu for HTML select elements (#783408)
- Disable homepage shortcut in web app mode (#785996)
- Add social media and annoyance blocking to default adblock settings
- Fix location of icon database on disk
- Updated translations

3.25.4 - July 17, 2017
======================

- Fix crash when download fails (#778653)
- Fix homepage radio button glitch (#783290)
- Use default system font on about pages (#783489)
- Improve font color in the address bar dropdown (#784431)
- Fix crash if search engine settings get desynced
- Updated translations

3.25.3 - June 21, 2017
======================

- Fix formatting of year in the date column of the history dialog
- Hide tags without bookmarks in popover
- Updated translations

3.25.2 - May 20, 2017
=====================

- Floating URL bar should disappear when hovered to not block page (#668493)
- Add [Shift+]Ctrl+Tab shortcuts for switching tabs (#762631)
- Address bar search now again considers bookmark tags (#781746)
- Fix notification permissions in web app mode (#782386)
- Do not use a popover for the tab selection menu, to allow scrolling it
- Fix incorrect choice of context menu when Ctrl key is held
- Add hidden setting for disabling quirks mode
- Improve wording of insecure password form warning
- Remove libgd subproject and dependency on libgd
- Fix race introduced during meson port that could cause build failures
- Updated translations

3.25.1 - April 26, 2017
=======================

- Port to meson build system and removed Autotools build. Please report bugs.
- Add explicit New Window action to desktop file (#670929)
- Add Alt+Home and F10 shortcuts to keyboard shortcuts dialog (#779916, #779916)
- Decode last component of URIs to determine file names for saving (#780086)
- Fix regression allowing Ctrl+T to work in application mode (#781440)
- Updated translations

3.24.1 - April 10, 2017
=======================

- Fix issues with add bookmark popover (#780443, #780851)
- Fix issues with bookmark importing (#780564)
- Use native file choosers for Flatpak compatibility (#780468)
- Updated translations

3.24.0 - March 19, 2017
=======================

- Updated translations

3.23.93 - March 12, 2017
========================

- Fix Alt+Home keyboard shortcut (#779901)
- Use native file choosers for Flatpak support (#779922)
- Fix info bars not being removed when expected

3.23.92 - March 11, 2017
========================

 - Use different GtkApplication ID for web apps (#778985)
 - Fix history service crash if database is locked (#779180)
 - Fix multiple memory safety issues in code that handles info bars
 - Add x-suse-ymp to safe MIME types
 - Remove obsolete bookmarks documentation
 - Updated translations

3.23.91.1 - February 27, 2017
=============================

- Add missing file to tarball

3.23.91 - February 27, 2017
===========================

- Add new search engine dialog and support for search engine bangs (#776738)
- Restore keybinding Ctrl+Shift+N for opening incognito windows (#778606)
- Fix major data loss and safety bugs in history service (#778649)
- Use heart icon for favorite bookmarks (#778849)
- Fix various issues affecting the new clear personal data dialog (#779100)
- Fix many bugs affecting the bookmark list popover
- Disable forget actions in history dialog when in incognito mode
- Do not show add bookmarks popover star in incognito mode
- Fix old overview snapshots not being properly replaced
- Delete old bookmarks files during profile migration
- Remove the default encoding preference again due to bugs
- Fix some critical warnings

3.23.90 - February 13, 2017
===========================

- Remove the integrated view source mode, not ready for stable release (#775145)
- Fix the search provider (#775902)
- Rearrange bookmarks app menu items (#778280)
- Multiple fixes to the new insecure password form focused warning (#778369)
- Fix condition where the new tab menu could get desynced from the current tabs
- Many settings are now stored separately for each web application
- Updated translations

3.23.5 - February 03, 2017
==========================

- Add option to subscribe to EasyPrivacy filters and enable by default (#739631)
- Introduce new, more powerful clear personal data dialog (#741447)
- Fix serious password extraction sweep attack on password manager (#752738)
- Adblock filters are now configured in GSettings (#755193)
- Restore support for having multiple adblock filters at once (#755193)
- Fix many bugs affecting the bookmarks popover (#772131, #777615)
- Remember fallback window size in GSettings (#777055)
- Prefer common_name to name when reading ISO 3166 data (#774466)
- Fix the Stop button (#777585)
- Fix adblocker blocking too much stuff, breaking Twitter (#777714)
- Avoid writing anything to disk in incognito mode (#777736)
- Change keyboard shortcut for export bookmarks to Ctrl+Shift+X (#777872)
- Fix F6 keyboard shortcut for focusing address bar (#777873)
- Properly set initial notification permissions (#777835)
- Add empty state to bookmarks popover, so it looks better with no bookmarks
- Automatically delete unused adblock filters when the adblocker is enabled
- Renamed Privacy preferences tab to Stored Data
- Moved do not track preference to General preferences tab
- Improve warning text when closing tab with modified form
- Allow saving session even if a tab has a blank URL
- Display full security origins rather than just hostnames when appropriate
- Fix recently-introduced critical warnings when focusing password forms
- Do not ever use session in web app or incognito mode
- Fix off-by-one in profile migrator -d option
- Avoid crash if profile migrator is passed invalid -d
- Restore preference to set default encoding
- Updated translations

3.23.4 - January 16, 2017
=========================

- Add Copy Image context menu item (#169747)
- Add support for displaying IDN (punycode) URLs (#747376)
- Do not offer to remember empty passwords (#771073)
- Fix Alt+Left/Right keyboard shortcuts (#772437)
- Added new tab menu to improve management of large numbers of tabs
- New Tab button now moves to tab bar when tab bar is visible
- Fix build failure with Firefox Sync support disabled
- "Press key to exit fullscreen" message is now legible
- Add Alt+D keyboard shortcut to focus the address bar
- Store permissions for hosts displayed in info bar, not the current page
- Animate appearance of add bookmark and security indicator popovers
- Fix various minor memory leaks
- Internationalize the "Favorites" bookmarks category
- Updated translations

3.23.3 - December 12, 2016
==========================

- Experimental HTTPS Everywhere support is now disabled by default
- Experimental Firefox Sync support is now disabled by default
- Restore ability to import/export bookmarks (#772423)
- Fixes to key event handling (#772437)
- Fix crash in certain locales when right-clicking address bar (#772994)
- Detect new password forms after page is loaded (#773327)
- Fix focusing the address bar when opening new tabs (#774599)
- Fix redirect loop caused by HTTPS Everywhere (#774925)
- Improve Firefox Sync error handling (#774940)
- Again handle adblock and HTTPS Everywhere in the web process (#775067)
- Warn users about insecure password forms (#775167)
- Distribute missing icon (#775209)
- Fix displaying new overview item when one is removed (#775604)
- Expose homepage setting and show a home button when enabled (#775641)
- Remove the progress bar (#775710)
- Hide new bookmarks button in application mode (#775760)
- Hide lock icon when visiting about:blank
- Handle focus stealing prevention properly when opening downloads
- Do not run Epiphany web extension in Firefox Sync login view
- Search provider D-Bus service name now matches GtkApplication ID
- Remove the homepage-loads-in-new-tabs setting added in 3.23.2
- Fix tags not being created when migrating bookmarks from 3.22
- Fix various memory safety issues
- Updated translations

3.23.2.1 - November 21, 2016
============================

- Fix bookmarks migration from 3.22 (#774785)
- Fix crash starting browser with do not track mode disabled
- Fix miscellaneous critical warnings and memory safety issues
- Fix miscellaneous memory leaks

3.23.2 - November 20, 2016
==========================

- Add hidden homepage settings (#702435)
- New Window action now opens non-incognito window in incognito mode (#723185)
- Web apps now share adblock filters with the default profile (#755379)
- Rework key event handling to fix events received twice (#764653)
- Restored smart bookmarks functionality removed in 3.23.1 (#772407)
- Form detection no longer requires named password field (#773327)
- Improve permissions request handling and support webcam/mic requests (#773447)
- Fix infinite loop in form detection introduced in 3.23.1 (#773830)
- Consistently use proper Unicode characters in UI (#774217)
- Restored all the plugin functionality that had been removed in 3.23.1
- Fix "search the web" menu item name when search contains an underscore
- Fix "search the web" truncating search results (broken in 3.23.1)
- Actually delete history database from disk when clearing all history
- Revert questionable attempt to sanitize passwords from displayed URIs
- Hide bookmark page star on about pages
- Fix overview thumbnails sometimes appearing twice
- Add missing F1 keyboard shortcut to open help
- Fix bogus libhttpseverywhere warning when update lock exists
- Fix critical warnings when displaying overview introduced in 3.23.1
- Fix critical warnings when starting in incognito mode
- `epiphany --incognito-mode` now uses the default profile if unspecified
- Cleanly handle SIGINT and SIGTERM
- Miscellaneous code safety/correctness fixes
- Updated translations

3.23.1.2 - October 27, 2016
===========================

- Restore enable-plugins setting, hidden and off by default.
- Fix compatibility issue with form autofill (#772530)

3.23.1.1 - October 25, 2016
===========================

- Fix critical warnings when blocking ads.
- Enable automatic updates of HTTPS Everywhere rulesets.
- Really remove settings with no effect.

3.23.1 - October 24, 2016
=========================

Epiphany has been relicensed from GPLv2+ to GPLv3+.

New dependency:
 libhttpseverywhere

Removed dependencies:
 avahi-client, avahi-gobject, gdk-x11-3.0, gsettings-desktop-schemas, x11

- Address bar is once again visible at all times, except in web app mode.
- Redesigned user interface for bookmarks management.
--- Support for zeroconf bookmarks has been removed. (Help welcome to restore.)
--- Support for smart bookmarks has been temporarily removed. It will return.
- HTTPS Everywhere support added and enabled unconditionally.
- Support for bookmarks sync between Epiphany browsers via Firefox Sync.
--- Epiphany uses the Firefox Sync service, which can store arbitrary data.
--- Epiphany cannot sync with Firefox. (It would be possible. Help welcome!)
--- Epiphany is not Firefox.
--- Epiphany is not produced or endorsed by Mozilla.
--- Privacy Policy: https://wiki.gnome.org/Apps/Web/PrivacyPolicy
- Integrated source code view returns, utilizing Prism JavaScript library.
- Overview now shows three rows of three previews each.
- Remember password info bar now has a "never remember" option.
- Web apps now have a basic app menu.
- Web apps are once again confined to their original domain.
- Disable history lockdown setting now actually disables access to history.
- Removed enable-plugins option. NPAPI browser plugins are no longer supported.
- Removed hidden enable-javascript option. (Help welcome to support NoScript.)
- Removed several old settings that no longer had any effect.
- Removed --netbank-mode command line option. Use --incognito-mode instead.
- Updated translations

Thanks to Iulian Radu (port to GAction, bookmarks subsystem rewrite), Gabriel
Ivascu (sync integration), and Daniel 'grindhold' Brendle (libhttpseverywhere)
for their major contributions to this release.

===============
Epiphany 3.22.1
===============

- Remember decision to allow or deny notifications (#748339)
- Do not copy cookies when creating web app (#771540)
- Fix dock to right button in web inspector
- Improve overview layout in small windows
- Escape URL for markup in new web app dialog
- Updated translations

===============
Epiphany 3.22.0
===============

- Updated translations

================
Epiphany 3.21.92
================

- Add support for opening FTP URIs in an external application (#136501)
- Fix crash in non-English locales (#765374)
- Don't crash if loading a local web app that uses an absolute path (#767101)
- Fix several features that were broken when multiple tabs share a web process (#769627)
- Remove keyboard shortcut for Duplicate Tab since it clashes with GtkInspector
- Remove assertion that was breaking error pages on certain network errors
- Updated translations

================
Epiphany 3.21.90
================

- Fix memory leaks (#769228)
- Limit geolocation/notification permission request info bars (#764593)
- Fix mistake in tracking the remember password info bar
- Updated translations

===============
Epiphany 3.21.4
===============

- Check for NULL SoupURI when trying to load invalid url(#768250)
- Fix misleading ChangeLog generation code(#768218)
- Limit side of ChangeLog file(#768218)
- Add keyboard shortcuts dialog(#757830)
- Update POTFILES.in(#757830)
- Generate ChangeLog in builddir(#768218)
- Updated translations

===============
Epiphany 3.21.3
===============

- Require WebKitGTK+ 2.13.1
- Allow toggling web inspector with keyboard shortcuts (#676870)
- Activate downloads popover only for active window (#764303)
- Allow running system web apps outside GNOME (#767101)
- Indicate when running in web app mode in user agent (#767123)
- Find web app names using OpenGraph site_name in name attribute (#767184)
- Support large standard HTML icons and SVG for web app icons (#767257)
- Increase default webapp icon size to 192 (#767407)
- Middle-clicking the title bar doesn't send Epiphany to the background (#767585)
- Updated translations

===============
Epiphany 3.21.2
===============

- *** Removed NSS and libwnck dependencies ***
- Cleanups in downloads code (#610586)
- Improved reliability of displaying overview snapshots (#763184, #765863)
- Incognito mode theme fixes
- Updated translations

===============
Epiphany 3.21.1
===============

- Add Paste and Go context menu item to address bar (#319506)
- Always store passwords in web app mode (#672573)
- Allow opening WebP files with open dialog (#739934)
- Redesigned error pages (#744063)
- Activate downloads popover when download is started or completed (#763141)
- Avoid stale overview snapshots (#763184)
- Add Duplicate Tab context menu item to tabs (#763221)
- Switch to sane default bookmarks (#763307)
- Fix security popover opening above the window in Wayland (#763921)
- Fix session saving of multiple windows (#764101)
- Add hidden settings to control tab expand and location (#764368)
- Allow closing history dialog with Escape key (#764408)
- Updated translations

===============
Epiphany 3.20.0
===============

- Translation updates

================
Epiphany 3.19.92
================

- Downloads popover should browse to file when it cannot be opened (#610586)
- Fix occasional failure to display snapshots in overview (#758470)
- Add workaround to avoid taking new white snapshots for the overview (#761065)
- Avoid placeholder images in downloads popover (#762825)
- Fix the restore session preference (#762906)
- Updated translations

================
Epiphany 3.19.91
================

- Always do case-insensitive find (#722019)
- Maybe fix security popover being clickable when not visible (#744307)
- Fix session state being deleted if UI process crashes very early (#747860)
- Improved labels for reload buttons on error pages (#747973)
- Fix remove button on cookies dialog (#757230)
- Do not assume pages loading when Epiphany was last closed had crashed (#761735)
- Improved visual layout of the downloads popover (#761857)
- F1 now launches user help (#762041)
- Switch to new tab when opening a page from history (#762381)
- Fix crash downloading files if gnome-session is broken or missing (#762651)
- Improved welcome message on first run (#762812)
- Allow translating error page access keys properly (#762818)
- Fix fill color of the downloads progress icon
- Update the label on tabs with the URL when the page has no title
- Updated translations

================
Epiphany 3.19.90
================

- Session saving should save window/tab history and re-instate it on session restore (#119432)
- overview: Display a placeholder image on empty overview (#683582)
- Make new tabs inherit history of parent (#706731)
- prefs-dialog: Expose restore-session-policy (#724583)
- Remove encoding preference from preferences dialog (#734381)
- Use GdTwoLinesRenderer to display the location entry completion (#736364)
- Activate downloads popover when a download is started (#757753)
- overview: Do not show local files on the overview (#758469)
- web-overview: Do not drop thumbnail update requests (#758470)
- Improvements to the encodings dialog (#759164)
- Fixups for help files (#759279)
- Revert "EphyUriTester: Drop keys/signatures logic" (#759501)
- downloads: Value returned by ephy_download_get_content_type() should not be freed (#759200)
- ephy-profile-migrator: Call setlocale and gettext functions in main function (#760417)
- ephy-session: restore session state when restoring recently closed tabs (#760782)
- Switch web extensions to using private D-Bus connections (#761009)
- web-view: Add mnemonics for error page buttons (#761069)
- location-entry: Encode URI before copy/paste (#761660)
- embed: Ignore beforeunload events
- Allow opening downloaded .tar.xz files
- Take safetypes patch from Debian
- downloads-popover: Disappear more smoothly
- web-view: Fix security level of error pages
- Various fixes for compatibility with GTK+ 3.20
- Various code cleanups
- Various improvements to the appdata file
- Updated translations

===============
Epiphany 3.19.1
===============

 - Enable WebGL and WebAudio by default.
 - Add a new downloads manager.
 - Properly propagate key-bindings to pages (#113449)
 - Only warn about unsubmitted changes if form has text (#668260)
 - Use x-scheme-handler to get default browser (#750275)
 - Add search to cookies dialog (#720978)
 - Add categories to web apps (#672574)
 - Many cleanups to the application dialogs (history, cookies, passwords, etc)
 - Several fixes to the ad blocker (#754954)
 - Add support for system-wide installed web applications.
 - Hide floating bar on mouseover (#742590)
 - Allow notification requests in web applications (#759176)
 - Fixes to the about:applications page.
 - Display insecure content warning on all insecure pages (#744064)
 - Fix builds, code fixes, etc.
 - Updated help and translations.

===============
Epiphany 3.18.0
===============

 - Allow opening links in a new incognito window.
 - Add option to search selected text in user-preferred search engine.
 - Display page titles in tabs tooltips.
 - Enable Do Not Track and the ad blocker by default.
 - Improvements to the form filler and password saving.
 - Many other UI improvements, bug fixes, and memory improvements.
 - Updated help and translations.

================
Epiphany 3.17.91
================

 - Remember passwords for French tax office (#750024)
 - Inhibit logout and suspend while downloading files (#339809)
 - Display decoded URIs in the UI (#710004)
 - Enable Do Not Track and the ad blocker by default (#754273)
 - Several code fixes, memory leaks plugged, UI and code improvements.
 - Updated translations.

===============
Epiphany 3.17.2
===============

 - Navigation improvements to web applications.
 - Do not leak data in private instances (#751307)
 - Fix a critical crasher (#747422)
 - Theming fixes for latest Adwaita (#736363)
 - Display page titles in tabs tooltips (#752606)
 - Code fixes, build system improvements.
 - Updated translations.

===============
Epiphany 3.17.1
===============

 - Allow opening links in a new incognito window (#749454)
 - Add option to search selected text in user-preferred search
   engine (#663545)
 - Theme fixes and improvements (#728874, #746778)
 - Fix regressions in the form filler (#750842)
 - Fixes to internationalization in search provider (#737085)
 - Other code fixes and minor improvements.
 - Updated translations.

===============
Epiphany 3.16.1
===============

 - Improvements to the HiDPI support (#744796)
 - Updated help and translations.

===============
Epiphany 3.16.0
===============

 - Multiple fixes to improve incognito mode's privacy and discoverability.
 - Show a speaker icon in tabs playing audio.
 - New support for HTML5 Web notifications.
 - Make the URL bar visible in application mode.
 - Show network error page on TLS errors.
 - Many UI improvements, code fixes, memory leaks plugged.
 - Help updated, translations updated.

================
Epiphany 3.15.92
================

 - Make F6 focus the address entry (#729060)
 - Toggle the search bar with Ctrl+F (#734316)
 - Fix DOM-binding related crashers with some websites (#745306)
 - Other crashers fixed (#744896)
 - Build fixes (#745247)
 - Updated translations.

================
Epiphany 3.15.90
================

 - Make sure that locale changes do not lose search engine.
 - Add a new Incognito Window desktop action.
 - Allow access to the URL bar in application mode.
 - Show a speaker icon in tabs playing audio.
 - Show a network error page on TLS errors.
 - Remove unused cache size preference.
 - Handle notification permissions.
 - Fix cookies policy values.
 - Fix memory leaks, segfaults, code improvements, ui fixes.
 - Help updates, updated translations.

===============
Epiphany 3.15.1
===============

 - Open web pages source in default text editor (#738475)
 - String improvements
 - Bump WebKitGTK+ requirement to 2.7.2.
 - Use script messages instead of dbus.
 - Use custom local storage location to prevent leaking local storage in
   incognito mode. (#738720)
 - Fixes to the file utils.
 - Updated translations.

===============
Epiphany 3.14.1
===============

 - Fix download failure when overwriting file (#737329)
 - Style fixes with GTK+ 3.14 (#737688)
 - Add mhtml to supported mimetypes (#737738)
 - Do not keep visited pages in incognito history.
 - Remove unused contextual-menu options from application mode (#699584)
 - Use single-process model in application mode.
 - Make sure that external links in application mode open in the default
   browser (#658395, #712402)
 - Updated translations

===============
Epiphany 3.14.0
===============

 - Block pages with invalid SSL certificates and warn users about mixed
   content, for improved security.
 - Important improvements to the security lock icon and certificates dialog.
 - Improvements to the history dialog.
 - Performance improvements to the AdBlocker.
 - Better integration with the GNOME Shell dock.
 - UI improvements all over the place, many bugs fixed,
   and polishing all around.
 - Updated translations and docs translations.

================
Epiphany 3.13.91
================

 - Fixes to the title box (#732713, #734952)
 - Fix multiple external uri loads (#735577)
 - Incognito mode message text improvements (#736065)
 - Do not accidentally empty the adblocker filters (#697329)
 - Fix integration with GNOME Shell dock (#736332)
 - Open search provider results in default browser (#720245)
 - UI cleanups, code fixes, etc.

================
Epiphany 3.13.90
================

 - AddBlocker: performance improvements (#730129)
 - Documentation updated and improved (#730503)
 - Allow sorting history by title and URL (#699519)
 - Clean the certificates dialog (#699519)
 - Improvements to the security lock icon (#666808)
 - Many other UI polishing and code fixes.
 - Updated translations and docs translations.

===============
Epiphany 3.12.1
===============

 - Fix a crasher with password forms (#723909)
 - Fix Ctrl+L when completion menu is shown (#611435)
 - Fix leak in Downloads button.
 - Do not clear typed address on first page load (#728143)
 - Updated translations.

===============
Epiphany 3.12.0
===============

 - New title and location bar.
 - Revamped 'Most visited' homepage.
 - One process per tab model for improved stability and performance.
 - A new and simple history dialog.
 - Most dialogs brought up to GNOME 3.12 style.
 - Improved style of Incognito mode.
 - Improved style of the Downloads bar.
 - Run the gnome-shell search provider as its own, separate process.
 - Added preference setting to change the search engine.
 - Use HTTPS with the search engines by default.
 - Style cleanups to the about: pages.
 - Many, many, many bug fixes, and code improvements.
 - Updated user help manual to reflect new UI.
 - Updated translations and user help translations.

================
Epiphany 3.11.92
================

 - A few more fixes to the HTML overview (#724652, #725190)
 - Fix download on Shift+click (#725818)
 - Several code-cleanups.
 - Fix a crash when opening new windows from the application menu (#725953)
 - Fixes to the snapshot service (#725815)
 - Updated translations, user help, and user help translations.

================
Epiphany 3.11.91
================

 - Further improvements to the new html overview (#723950, #724697)
 - Performance optimizations to about: pages (#724862)
 - Other optimizations to tab creation.
 - Some fixes to the DoNotTrack mode (#724724)
 - Other minor code fixes.
 - User help updated for 3.12.
 - Updated translations and user help translations.

================
Epiphany 3.11.90
================

 - New and revamped title/location bar (#711408)
 - New and improved HTML-based overview page (#723950)
 - Fix popup windows in multiprocess mode (#724052)
 - Make the find-toolbar work again (#724230)
 - Do not spawn the profile migrator unnecessarily
 - Move the new tab button to the left of the toolbar (#724664)
 - Bump WebKitGTK+ requirements to 2.3.90
 - Many other code cleanups and fixes.
 - Updated translations.

===============
Epiphany 3.11.4
===============

 - New history window (#721415)
 - Add one-process-per-tab multiprocess support (#723302)
 - Make sure popup windows respect window properties (#723238)
 - Use header bars in dialogs (#723803)
 - Do not open an additional empty window when started with arguments in private
   mode (#723022)
 - Other many code fixes.
 - Updated translations.

===============
Epiphany 3.11.3
===============

 - Add preference option to change the search engine (#709459)
 - Clean up the style of about: pages (#721288)
 - Use a custom style for the incognito mode (#696078)
 - Reset the language setting when all languages are removed from the UI (#720896)
 - Don't open downloads automatically (#675854)
 - Improved looks of the location entry (#721285)
 - Improved looks of the downloads bar (#720941)
 - Use HTTPS for DDG and Google searches by default (#707694)
 - Improve filename suggestion for downloads (#674291)
 - Remove analytics from browsed urls when using 'Do Not Track' (#720520)
 - Many other code fixes
 - Updated translations

===============
Epiphany 3.11.2
===============

 - Center and expand tabs (#709444)
 - Show a different Search bar in each tab (#710542)
 - Port the toolbar to GtkHeaderBar (#711668)
 - Do not lock when resizing history window columns (#696653)
 - Fix critical warnings and other adblocker fixes (#719405, #719399)
 - Change default charset to iso-8859-1 for greater web compatibility (#720247)
 - Improve phrasing of the save password infobar (#615742)
 - Cookies dialog revamp (#720113, #703492)
 - New passwords dialog (#720239)
 - Several dialogs cleaned up (#720098, #720113, #703825, #681552, #671424)
 - Close automatically tabs created only for downloads (#607233)
 - Move the GNOME Shell search provider to a separate binary (#711409)
 - Drag 'n Drop fixes in the URL bar (#171180)
 - Use suggested filename for images (#572819)
 - Oops screen improvements (#692336)
 - Remember mailman passwords (#671424)
 - Fix glow of Download buttons (#720531)
 - Remove all WK1 dependent code.
 - Many help fixes and updates (#711176)
 - Wayland fixes (#708955)
 - Many other code fixes.
 - Updated translations

===============
Epiphany 3.11.1
===============

Changes:

 - Expand the list of languages in preferences dialog (#710664)
 - Update EasyList filter rules URL for ad blocker (#710661)
 - Set default size and allow to reduced the entry (#708994
 - Detect .xz as compressed too to avoid filenames like "filename.tar(1).xz" (#711750)
 - Restore undo/redo in editable content (#698703)
 - Work again / and ' to activate the find bar (#708550)
 - Some code fixes
 - Documentation updates
 - Updated translations

===============
Epiphany 3.10.0
===============

- Updated translations.

===============
Epiphany 3.9.91
===============

Changes:

 - Do not open a new window when resuming a session (#707451)
 - RTL UI fixes.
 - Minor code fixes and UI polishing.
 - Bump WK dependency to 2.1.4.

===============
Epiphany 3.9.90
===============

Changes:

 - Switch to DuckDuckGo for search results.
 - Add a search provider for the GNOME Shell (#694943)
 - Renewed toolbar style using GtkHeaderBar (#706050)
 - Renewed search bar style using GtkSearchBar (#707086)
 - Display favicons in the overview thumbnails.
 - Display a popup with available usernames in login forms (#675060)
 - Warn upon closing when there are pages with modified forms (#695642)
 - Code cleanups, removal of deprecated GTK+ API usage, and other code
   improvements.

==============
Epiphany 3.9.3
==============

Changes:

 - New user manual.
 - Avoid poking at remote websites on external load (#703772)
 - Many fixes to application mode.
 - Pre-fill password fields with username field updates (#699606)
 - Avoid new windows popping up in the wrong workspace (#705811)
 - Many other minor fixes and code clean-ups.

==============
Epiphany 3.9.2
==============

Changes:

  - Remove WebKit1 support, epiphany is now WebKit2 only.
  - Fix the encoding dialog, it was broken.
  - Compile template pages as GResources (#696792)
  - Allow running a standalone instance with a custom profile (#699602)
  - Make ephy startup with Wayland
  - Lots of minor fixes

===============
Epiphany 3.7.92
===============

Changes:

  - We now use WebKit2 by default.
  - Fix all the remaining WebKit2 feature regressions that were on
    track for 3.8. See bug #678610
  - Other bugfixes and cleanups.

===============
Epiphany 3.7.91
===============

Changes:

  - Add a setting to control delayed tab loading on startup (#694470)
  - Port Web to libsecret for password storage (#679918)
  - New startup page for Incognito mode (#694200)
  - More missing features and bug fixes in the WebKit2 backend.
  - Other bugfixes and cleanups.

===============
Epiphany 3.7.90
===============

Changes:

  - Add "undo closed tab" functionality (#128184)
  - Remove installed headers, API doc and pc files, since we don't
    have extensions anymore.
  - Only load pages when their tab is switched to on session restore
    (#675302)
  - Support notification filtering (#690996)
  - Add a New Tab button in the toolbar (#684616)
  - More bugfixes and missing functionality for the WebKit2 backend.
  - Other bugfixes and cleanups.

==============
Epiphany 3.7.5
==============

Changes:

  - Remove ability to open URIs in the clipboard through middle
    click. This option was disabled by default since a long time ago,
    and broken in WK2.
  - Load and save the session asynchronously. Should make the UI more
    responsive! (#681782)
  - Remove spaces in Accept-Language header for compatibility (#671652)
  - Smarter copy email address action (#688166)
  - A bunch of WebKit2 improvements. The WebKit2 version is now really
    close to feature-complete.
  - Other bug fixes and cleanups.

==============
Epiphany 3.7.3
==============

Changes:

  - Vastly improve the icon generation for Web Applications (#657755)
  - Allow to zoom images, since this is actually supported by WebKit now
  - New design for the find bar (#689929)
  - Add an 'Incognito window' mode in the UI (#676914)
  - Support back/forward mouse buttons (#337852)
  - Improve heuristics to decide whether to open new windows or where
    to append new tabs when Web is invoked from other applications
    (#685976)
  - Add zoom controls to the gear menu (#683625)
  - Use GtkSearchEntry all over the place instead of our own version
    (#687744)
  - Tidy up the application menu to be more in sync with other core
    apps (#678962)
  - Add support for favicons in WebKit2.
  - Tons of cleanups and other bugfixes.

==============
Epiphany 3.7.1
==============

Changes:

  - *NOTE* this release removes support for traditional extensions (as
    found in the 'epiphany-extensions' module and elsewhere). They
    will *not* work anymore, and won't be loaded on startup. See
    https://mail.gnome.org/archives/epiphany-list/2012-October/msg00006.html
    for a longer explanation. (#685630)

  - Adblock is now imported into the core browser, disabled by
    default. See Preferences->Privacy to enable it (#681657)
  - Remove JavaScript preference from the UI. Pretty much every single
    page the average user visits needs JavaScript, so this is a
    "Please break my web" preference in disguise. For those concerned
    about security and/or privacy the GSetting remains
    available. (#685393)
  - Merge the application menu in the gear menu when not running under
    the Shell. (#673054)
  - Do not automatically load resources we cannot handle unless they
    are the main resource in the page. (#683635)
  - Many other bugfixes.

==============
Epiphany 3.6.0
==============

Changes:

  - Translation updates.

===============
Epiphany 3.5.92
===============

Changes:

  - Respect 'new-windows-in-tabs' when opening links (#641949)
  - Present windows when opening new links in tabs (#641949)
  - Use symbolic icon for downloads box close button (#683966)
  - Add a close button to the find toolbar (#683967)
  - Make the overview work when building with WK2.
  - Many code cleanups, minor bug fixes, leak fixes, new tests.

=================
Epiphany 3.5.91.1
=================

Changes:

  - Fix the epiphany-extensions build.

===============
Epiphany 3.5.91
===============

Changes:

  - New overview with most visited pages as starting page (#455173)
  - Avoid using 'Blank page' as title for pages without title (#682354)
  - Do not restore tool windows on startup (#682966)
  - Port preferred language preferences to WK2 (#679685)
  - Add code coverage reports (--enable-code-coverage) (#683297)
  - Several fixes and updates to the test suite.
  - Many fixes and improvements in the profile migrator.
  - Many other code fixes and cleanups.

===============
Epiphany 3.5.90
===============

  - Improved url entry autosearch (#681022)
  - Show information about TLS certificates and SSL errors when
    clicking the lock icon (#681506)
  - Store http disk cache with temporary profiles for improved privacy
    (#681147)
  - Do not add error pages to back forward list.
  - Do not add error pages to history (#655619)
  - wk2: Show information about web and plugins processes in
    about:memory (#679764)
  - Port saving to WebKit2 (#679368)
  - Update to recent WebKit2 API changes.
  - Dependencies cleanup.
  - Many code cleanups and bug fixes.

==============
Epiphany 3.5.5
==============

Changes:

  - Rewrite EphyEncoding(s) so that it does not use EphyNode
    anymore. Add tests for their APIs. (#680735)
  - Remove Seed support for extensions. Seed is unmaintained and there
    are no useful extensions written in it. Hopefully this will change
    in the future, but for now drop this code.
  - Make the browser recover from broken session state files (#680590)
  - Stop setting 'persist-key' in our filechooser (#655508)
  - Do not copy history from parent tab when doing Ctrl+T (#651918)
  - Suggest the right name in 'Save As' more often, using the
    information available in the Content-Disposition
    headers. (#674291)
  - Add a 'enable-webaudio' setting, false by default.
  - Port disk cache, inspector and spell-checking to WebKit2.
  - Many other bugfixes and cleanups.

==============
Epiphany 3.5.4
==============

Changes:

  - Make the security level indicator work in WebKit2.
  - Make site-specific quirks work in WebKit2.
  - Make cookies work in WebKit2.
  - Fix the page title not being updated properly in WebKit2.
  - Make the fullscreen popup work in WebKit2.
  - Make find work in WebKit2.
  - Make downloads work in WebKit2.
  - Make resource tracking work in WebKit2.
  - Code cleanups and refactorings (ie, moving EphyFileMonitor out of
    EphyWebView).

==============
Epiphany 3.5.3
==============

Changes:

  - Initial WebKit2 support!

    This is still in the early stages of development, but the basic
    functionality is already in place. It is under heavy development,
    and the goal is to deliver a Beta quality version for 3.6. You can
    follow the WebKit2 metabug:
    https://bugzilla.gnome.org/show_bug.cgi?id=678610, and enable the
    WebKit2 port passing "--with-webkit2" to 'configure' (disabled by
    default).

  - Improve fullscreen UI, and add support for HTML5 fullscreen
    (#676905)
  - Add support for 'Do Not Track', http://donottrack.us/
  - Migrate profile directory to the XDG config directory
    (~/.gnome2/epiphany -> ~/.config/epiphany) (#522810)
  - Add new unit tests for EphyShell, EphySession,
    EphyProfileMigrator, EphyWebAppUtils, ...
  - Lots and lots of cleanups and other minor fixes.

==============
Epiphany 3.5.1
==============

Changes:

  - Use the linked style class for the download bar (#672712)
  - Use glib resources for the UI and CSS files
  - Default to always restoring the last session on startup,
    regardless of how epiphany was closed.
    To go back to the old behavior (only restore the session when
    epiphany crashes), or to choose the new option of never restoring
    the old session, you can set
    org.gnome.Epiphany.restore-session-policy. (#673453, #673122)
  - Use intltool 0.50 (#672932)
  - Improvements in the url entry layout (#672927)
  - Fix stop/reload button misalignment when using custom font size
    (#668135)
  - New org.gnome.Epiphany.ui.tabs-visibility-policy setting. It's now
    possible to always hide tabs.
  - Consider email-type entries when doing login/password autocomplete
    (#666326)
  - Prioritize smart bookmarks URIs over normal URIs when exporting
    bookmarks (#534565)
  - Restore right-click/long press menus in back/forward buttons
    (#671609)

===============
Epiphany 3.3.92
===============

Changes:


  - Fail in application mode if we get a nonexistent profile (#669700)
  - Add unit tests for EphyWebView (#669548)
  - Open pages in a new tab on middle click for the history editor
    (#671635)
  - Set a max width the statusbar label (#671520)
  - Automatically add file:// when existing absolute paths are typed
    in the URL entry (#671792)
  - Fix bookmarklet's titles when they are created (#672194)
  - Replace the EphyFaviconCache with WebKit's favicon cache (#648653)
  - Other bugfixes and cleanups.

===============
Epiphany 3.3.91
===============

Changes:

  - The big change is that the history backend has been completely
    rewritten. It now uses SQLite as the storage medium, and can keep
    your browsing history indefinitely (so gone is the 10-day
    limit). This has been an heroic team effort by Martin Robinson,
    Claudio Saavedra and Xan López, so buy them a beer next time you
    see them.
  - Validate web applications before listing them in
    about:applications (#669836)
  - Fix loading of <IP>:<port> URIs (#669461)
  - Fix loading of <domain>:<port> URIs (#670674)
  - Add back the extensions menu (#669951)
  - Many other small fixes and improvements.

===============
Epiphany 3.3.90
===============

Changes:

  - Enable accelerators in the supermenu (#668325)
  - Use the symbolic icon for the clear action in the search entry
    (#669131)
  - Convert web application names to the proper encoding before saving
    them (#658028)
  - Make the global menu work in private mode too (#669740)
  - Several fixes for the web inspector (#669835)
  - Other bugfixes and cleanups

==============
Epiphany 3.3.5
==============

Changes:

  - Make about window modal again (#668113)
  - Remove statusbar hits for menu actions (#668191)
  - Support external protocols (apt://, magnet://, etc) properly
    (#551857)
  - Disable most menu actions in about:blank (#668105)
  - Make the name 'Web' visible in more places (#666587)
  - Stop shipping the bookmarks editor .desktop file
  - Run all unit tests on 'make check'
  - Restore <alt>+<number> accels for tabs (#668702)
  - Add toggle to enable WebGL support, off by default
  - *Lots* of cleanups and refactorings.

================
Epiphany 3.3.4.1
================

Changes:

  - Remove Find Next/Previous from the super menu.
  - Remove Print Preview and Print Setup from the super menu.
  - Remove "Send link by mail..." from the super menu, move it to the
    document context menu.
  - Hide EphyWindow's titlebar when maximized.
  - Fix crash when updating the EphyEmbed statusbar after dispose
    (#668171)

==============
Epiphany 3.3.4
==============

Changes:

  - Merge the stop/reload button with the location entry (#667176)
  - Merge the back and forward buttons in a single button group (#666604)
  - Use the Shell globalmenu for application actions when available
  - Drop the menubar in favor of a supermenu a-la Chrome (#665479)
  - Make sure to hide all chrome in application mode (#667634)
  - Add mnemonics for password and recovery inforbars (#667238)
  - Enable latest HTML5 fullscreen support (#665341)
  - Make g_setenv calls early during startup to avoid threading race
    conditions (#659145)
  - Stop using gtk_button_{press,release} to fake middle clicks in the
    toolbar buttons (#628364)
  - Try to be smarter about the content type of downloads (#662059)
  - Lots of other small fixes and cleanups

==============
Epiphany 3.3.3
==============

Changes:

  - Combine the stop/reload buttons (#657655)
  - Drop bookmarks/topics bar
  - Properly save about: URIs in session (#664483)
  - Use a vanilla GtkToolbar instead of an EggEditableToolbar (#664483)
  - Use an overlay progressbar for the load progress (#665470)
  - Use GtkOverlay for the statusbar (#653996)
  - Kill right/left padding in the toolbar so that icons are
    accessible from the edge of the screen (#665518)
  - Use new-windows-in-tabs by default (#656091)
  - Remove "Go" and "Tabs" menu
  - Remove user visible concept of "homepage" (#665469)
  - Remove the toolbar editor (#664260)
  - Use uniform style for about: pages (#665136)
  - Use GTK+ 3.0 icon names (#665170)
  - Make sure WebApps are always shown in the shell (#664751)
  - Use SoupSession:ssl-use-system-ca-file property instead of copying
    the detection code (#633109)
  - Never show tabs in application mode (#663668)
  - Layout fixes for the properties dialog (#662252)

==============
Epiphany 3.3.2
==============

Changes:

  - Use GNetworkMonitor to monitor network changes (#664096)
  - Remove use of deprecated GTK+ APIs (#664120)
  - Fix icon in PDM's "Clear All" button (#663159)
  - Show the WebKit version in the about dialog
  - Other  minor fixes

==============
Epiphany 3.3.1
==============

Changes:

  - Don't crash when NetworkManager is not available (#659103)
  - Fix markup in in dialog string (#660749)
  - Port from GtkTable to GtkGrid (#661347)

==============
Epiphany 3.2.0
==============

Changes:

  - Translation updates.

===============
Epiphany 3.1.92
===============

Changes:

  - Disable irrelevant actions in web app mode (#657624)
  - Disable session resume in web app mode (#658739)
  - Normalize web app profile directory and desktop file names (#658010)
  - Remove G_DIRECTORY_SEPARATOR from web app names (#658028)
  - Other fixes and cleanups.

=================
Epiphany 3.1.91.1
=================

Changes:

  - Fix mistake in error pages.

===============
Epiphany 3.1.91
===============

Changes:

  - Implement about:applications to manage Web Applications. This
    should go away in 3.4 in favor of a GNOME-wide solution.
  - Fix warnings when coming back from fullscreen (#657936)
  - Hide irrelevant context menu actions when in app mode (#657624)
  - Remove unneeded markup in glade files (#102382)
  - Recursively delete temporary profile dirs (#658201)
  - Improve messages in error pages (#637903)
  - Fix error pages for RTL locales (#314205)
  - Ask for confirmation before overwriting web applications (#658060)

===============
Epiphany 3.1.90
===============

Changes:

  - Add support for saving web pages as standalone "Web Applications".

==============
Epiphany 3.1.5
==============

Changes:

  - Use new symbolic icons for security status (#650789)
  - Fix gir scanner invocation (#653031)
  - Unescape tooltips in download widget (#653690)
  - Fix "Browse to" in downloads (#651699)
  - Clear finished downloads when closing downloads bar (#653918)
  - Use a CSS file for styling (#644805)
  - Many other fixes and cleanups.

==============
Epiphany 3.1.3
==============

Changes:

  - Port to GtkApplication
  - Do not use GNOME font settings as our default, just rely on more
    generic system config ("sans", "serif")
  - Port to GDBus
  - Assume NetworkManager is present. This is not a hard dependency
    since we only require it at runtime, as we use it through dbus.
  - Fix "Use picture as background" (#647604)
  - Implement a basic about:memory page with memory usage data
  - Respect gtk-keynav-wrap-around in our page-change handler
  - Fix removal of items by DnD in toolbar editor (#647265)
  - Many other cleanup and fixes

==============
Epiphany 3.1.2
==============

Changes:

  - Add an option in the chrome context menu to hide the menubar.
  - Open new tabs to the right of the current one also for Ctr+Enter
    (#647976)
  - Use WebKit's internal source viewer by default (#597156)
  - Drop yellow background in secure location entry and use symbolic icons.
  - Add spell checking, enabled by default.
  - Warn again about unsubmitted forms on close (#604986)
  - Add about:plugins support (#575498)
  - And lots of other bugfixes.

==============
Epiphany 3.0.0
==============

Changes:

  - Use the system 'web-browser' high-res icon instead of our own
    low-res version. (#645713)
  - Use /org/gnome as starting path for schemas.
  - Respect our documented special key values for the download dir
    (#644641)

================
Epiphany 2.91.92
================

Changes:

  - Fix pages opening in the wrong tab when a session has been
    resumed. (#625116)
  - Cleanups in autotools setup. (#609498)
  - Other bugfixes.

==================
Epiphany 2.91.91.1
==================

Changes:

  - Fix theming issues in the primary toolbar. (#644261)
  - Remove minimum font size setting from the UI. (#644247)
  - Use GNOME document font for the default font, instead of the UI
    font. (#644521)
  - Use Serif as default family instead of Sans Serif, like Every
    Other Modern Browser Does(tm) (#644523)

================
Epiphany 2.91.91
================

Changes:

  - The downloads UI has been totally revamped. It is very similar to
    how Chrome works, and should fit much better in the overall GNOME
    3.0 design (#618443)
  - Add a border and some padding around the floating statusbar.
  - Do a DNS prefetch on the completion items when the cursor is set
    over them more than a 1/4th of a second. Should speed-up page
    loading. (#606087)
  - Other minor bugfixes.

================
Epiphany 2.91.90
================

Changes:

  - Port statusbar to GeditOverlay; fixes a bunch of bugs and should
    be more efficient.
  - Group new tabs by default when opened from another page; this
    obsoletes the tab-group extension.

===============
Epiphany 2.91.6
===============

Changes:

  - Use libsoup's cache implementation instead of WebKit's, which has
    been removed now.

===============
Epiphany 2.91.5
===============

Changes:

  - Compilation fixes for GTK+ 2.99.0
  - Fix potential dataloss in topic selection dialog (#518727)
  - Fix color setting in location bar (#636501)

=================
Epiphany 2.91.4.1
=================

Changes:

  - Various compilation fixes.

===============
Epiphany 2.91.4
===============

Changes:

  - Blacklist Flash plugin, since it will just crash in our GTK+ 3.x
    process.
  - Use custom (and nicer) error pages (#592667)
  - Fix minimum font size setting, add custom setting for font sizes
    (#636761)
  - Separate migration code into another binary, makes the main ephy
    binary not link with NSS (#636685)
  - Fix errors properly, particularly do not clobber the global error
    state for errors not happening in the main frame (#623012)

===============
Epiphany 2.91.3
===============

Changes:

  - Fix WebKitSoupCache size setup (#635066)
  - Fix some leaks in the GObject DOM using code.
  - Other small changes.

===============
Epiphany 2.91.2
===============

Changes:

  - Get rid of the spinner in the toolbar, port tab spinners to
    GtkSpinner (#524809, #598442)
  - Enable web inspector unconditionally.
  - Use full content zooming by default (#615362).
  - Various cleanups and bugfixes.

===============
Epiphany 2.91.1
===============

Changes:

  - Port to GSettings (##624485)
  - Updated to use GTK+ 3.x (unconditionally) and
    gobject-introspection 0.9.5.
  - Use the geolocation support in WebKit (#626687)
  - A ton of bugfixes.

===============
Epiphany 2.31.5
===============

Changes:


  - Show All files in Save dialogs, not only "supported" ones (eg,
    HTML).
  - Fix epiphany .pc files to have the correct dependencies.

===============
Epiphany 2.31.4
===============

Changes:

  - Port to GTK+ 3.x. GTK+ 3.x is now required to build, 2.x support
    is dropped.

===============
Epiphany 2.31.3
===============

Changes:

 - Remove encoding breaking translations of '...' strings (#613119)
 - Fix URL entry eating up your manually entered URLs in some cases
   (#620129)

===============
Epiphany 2.31.2
===============

Changes:

 - Use an infobar to inform of session restoration instead of a modal
   dialog.
 - Show a dialog when F7 is pressed to enable caret browsing (#501666)
 - Use a Chrome-like embedded statusbar and get rid of the traditional
   one (#609713)
 - Highlight matches when doing "Find again" in search bar (#611499)
 - Refactor load status management in EphyWebView (#593743)
 - Open URIs on a new tab when doing middle click in history items
   (#611400)
 - Re-enable favicons in entry completion (#616345)
 - Change sensitiviness of back/forward buttons when clearing history
   (#539716)
 - Make sure we clear webkit's internal history when clearing the
   history in Epiphany (#539716)
 - Send 'Referer' on headers sent for context menu HTTP
   downloads. (#136292)
 - Fix leave-fullscreen button visibility (#611445)

===============
Epiphany 2.30.2
===============

Changes:

  - Correct extensions dir definition in lib/ too.

===============
Epiphany 2.30.1
===============

Changes:

  - Improve page print implementation (#609756)
  - Ignore case of URL schemes (#605089)
  - Check if URL is NULL before setting its history title (#582629)
  - Fix crasher when pressing Up arrow twice (#599156)
  - Look for extensions in the correct directory, using our API
    version as versioning number.

=============
Epiphany 2.30
=============

Changes:

  - Fix form-based login detection in many sites (#608740)
  - Make sure we show notifications in all cases for downloads
    (#611635)
  - Various fixes to the migration code (#608687)

================
Epiphany 2.29.92
================

Changes:

  - Fix shift+click being broken in input areas (#610844)
  - Always use i18n'd Desktop and Downloads dir names (#610721)

================
Epiphany 2.29.91
================

Changes:

  - Fix window moving and resizing through DOM methods, a.k.a. 'Fix
    Browser Pong' (#604991)
  - Show favicons instead of radiobuttons in the tabs menu (#405505)
  - Replace 'Enable Java' preference (which wasn't working) with a
    'Enable Plugins' preference (which works).
  - Report broken SSL certs through the usual 'broken padlock' icon in
    the URL entry (#600663)
  - Make Ctrl+Shift+Click open links in a new window again (#604950)
  - Lots of bugfixes and code cleanups.

================
Epiphany 2.29.90
================

Changes:

  - Remove support for XML legacy format in extensions (#607881)
  - Implement EphyEmbedPersist using WebKitDownload (#600987)
  - Reimplement support for cookie acceptance policies (#607484)
  - Change default toolbar layout to have just one toolbar (#412385)
  - Reimplement print preview (#609021)
  - A bunch of other small bugfixes.

===============
Epiphany 2.29.6
===============

Changes:

  - Enable the webkit page cache by default; this should give a
    noticeable to the back/forward page transition.
  - Make text search more responsive by introducing a small delay
    between a key stroke and the actual search. (#598322)
  - A bunch of other small bugfixes.

===============
Epiphany 2.29.5
===============

Changes:

  - Reimplement EphyEmbedSingle::handle-content signal, useful for
    external download managers
  - Add a gconf key (/apps/epiphany/general/url_search) to set the
    default search engine. (#604087)
  - Reimplement favicon support (#601859)
  - Do not override page specific context menus with our own (#603326)
  - Store all form auth data in GNOME Keyring, and ask the user to
    remember and prefill new logins/passwords with an
    infobar. (#582267)
  - Reimplement EphyWebView::ge-feed-link, emitted when a feed link is
    found in the view. 
  - Reimplement support for the 'Accept-Language' HTTP header
    (##528893)
  - Reimplement custom User Agent support, see commit e896b194fbff for
    details (#580903)
  - Reimplement support for window.close (#599009)
  - Reimplement support for mime type safety check during downloads
    (#605026)
  - Reimplement EphyWebView::new-window signal, emitted when the view
    opens a new window (like a JS window)
  - Lots of bugfixes

===============
Epiphany 2.29.3
===============

Changes:

  - Don't assume all seed extensions return an object as a value
    (#599714)
  - Fix refcounting of seed extensions (#599838)
  - Provide the Inspect Element menu item in context menus again
    (#599473)
  - Many fixes to our gobject-introspection support (#599757)
  - Disconnect dbus callbacks when disposing of the network monitor
    (#572326)
  - Only use the main frame to fetch the document type for pages
    (#602400)
  - Restore 'Close' and 'Help' buttons in dialogs (#590387)
  - Fix auto-google search when using Ctrl-Enter (#603324)

===============
Epiphany 2.29.1
===============

Changes:

  - Reimplement middle-click-to-open-clipboard-contents.
  - Reimplement traditional epiphany context menu(s). (#562617)
  - Reimplement Up arrow behavior (#595653)
  - Make most of epiphany compile with sealed GTK+ structs (#595791)
  - Prevent PDM from getting keyring passwords in private mode
    (#591395)
  - Take into account WEBKIT_LOAD_FAILED status for is_loading API.
  - Depend on libtool 2.2 and dump dolt.
  - Replace .glade files with .ui files natively instead of generating
    .ui files at compile time from the .glade files. (#590387)
  - Several fixes in the automatic search of url entry contents on
    enter feature (#596717, #595690)
  - Use new syntax for Seed imports (#598562)
  - Add back support for javascript: and mailto: URIs
  - Fix for Seed extensions preventing epiphany from shutting down
    (#573551)
  - Allow popups when the user asks for them (#528799)
  - Refactor EphyShell lifetime tracking (#599348)
  - Don't crash when detaching multiple Seed extensions (#599422)
  - Reimplement type checking on downloads and "Open" dialog option
    (#598167)

================
Epiphany 2.27.92
================

Changes:

  - Import passwords from the gecko profile on first run. This adds a
    dependency on NSS, which can be disabled with --disable-nss (but
    then, of course, passwords won't be imported).
  - Enable undo/redo on forms (#591072)
  - Save session data more often to avoid data loss when crashing
    (#593149)
  - Reimplement direct search on the location bar (#583795)
  - Do not save failed loads in history or show a valid security
    status for them (#593200)
  - Reimplement search by just pressing '/' (#587864)
  - Fix .desktop file (#588979)
  - Fix warning when loading NULL URIs (#593701)
  - Reimplement view source functionality (#503968)
  - Show initial request before the server responds to avoid empty
    location entry (#591294)
  - Reset font size with ctrl+0 from num block (#573624)
  - Do not auto-shrink images, since ephy/gecko used to do that.
  - Reimplement adblock support (#562762)

================
Epiphany 2.27.91
================

Changes:

  - Use new keyring support in libsoup instead of the old webkit
    session feature.
  - Performance and functionality improvements for the find toolbar.
  - Always show images in the bookmarks menu items. Makes them
    re-appear after recent changes that set icons off by default in
    menus for 2.28 (#588563)
  - Update URL in entry when clicking on #anchors (#584506)
  - Re-implement about:recover lookalike (#583953)

================
Epiphany 2.27.90
================

Changes:

  - Port PDM's password viewer to gnome-keyring so that it works
    again. (#579217)
  - Fix address normalization when opening URLs from the command line.
  - Fix spurious whitespace when hiding downloader status
    icons. (#591189)
  - Re-add the spinner so that we have some kind of progress
    notification before we receive any response from the
    server. (#585035)
  - Workaround bug in WebKitGTK+ that made us never stop the progress
    notification while loading in some pages. (#590170)
  - Move default bookmarks to a separate RDF file instead of
    hardcoding them. (#300190)
  - Do not show about:recover URLs for now, since the service is not
    implemented. (#583953)

===============
Epiphany 2.27.5
===============

Changes:

  - Use the font families set in the GNOME preferences when possible.
  - Fix opening multiple pages in a row from command line (#588143)
  - Add several new mime types to the safe mime types list (#582905,#565346)
  - Fix middle click on back/forward buttons (#583440)
  - Recognize favicons with mime type image/vnd.microsoft.icon. Keep
    in mind that favicons in general still do not work in
    epiphany/webkit. (#578575)

===============
Epiphany 2.27.4
===============

Changes:

  - Simplify widget hierarchy in EphyEmbed by removing a dummy GtkBin
    layer. This fixes some focus problems.
  - Various fixes for issues related to the recent refactoring of the
    Epiphany internals.
  - Bugfixes and performance improvements to the location/completion
    code.

===============
Epiphany 2.27.3
===============

Changes:

  - Preserve back/forward history when opening new tabs. (#583459)
  - Preserve HTTP information (eg, referrer) when opening new tabs. (#120341)
  - Strip superfluous whitespace from URLs before loading them. (#584466)
  - Remove Python support for extensions, the only supported language
    other than C/C++ is now JavaScript through Seed.
  - Pretty large refactoring of internals: we now have a new
    EphyWebView class, subclass of WebKitWebView, which holds most of
    our extra methods/information that used to be in
    EphyEmbed. EphyEmbed is no longer an interface, just a wrapper
    that contains an EphyWebView and that properly sets it up. Since
    there aren't any more interface classes to be implemented by
    backends the webkit/ directory is gone, and all the code is now in
    embed/.

===============
Epiphany 2.27.2
===============

Changes:

  - Show link messages in a floating statusbar when the normal
    statusbar is hidden.
  - Fix opening links with target=_blank in a new tab with middle
    click.
  - Many download improvements and bugfixes.
  - Use GNOME settings for default font sizes.
  - Implement caret browsing mode (press F7 to activate).

===============
Epiphany 2.27.1
===============

Changes:

  - Fix click-to-download.
  - Require WebKitGTK+ 1.1.3 and libsoup 2.26.0, both with important
    bugfixes.

===============
Epiphany 2.27.0
===============

The first release of the WebKit era.

  - The only backend is now WebKit, Gecko support has been removed.
  - Greatly improved entry completion.
  - Progress indicator is now in the location entry, the one in the
    statusbar has been dropped.
  - Ported to GtkBuilder.
  - Support for the WebInspector from WebKit, similar to Firebug.
  - Support for Seed extensions.
  - Allow to force new windows to be opened in tabs. Set the gconf key
    /apps/epiphany/general/open_new_windows_in_tab to TRUE.
  - Many, many bugfixes for the WebKit backend.
  
================
Epiphany 2.21.90
================

What's new in Epiphany 2.21.90?

  - gnome-vfs was dropped, the gio port is completely functional, a few minor 
    bugs remain to catch and fix.
  - location entry now searches inside bookmarks urls.
  - avoid showing duplicate entries for bookmarks and history items in the 
    location entry.
  - open externally opened links in current tab if it's blank.
  - new "Reset Epiphany" dialog to clear history, cache and cookies
  - history window now open links in new tabs
  - history window groups hosts that only vary in the port
  - restored gnome-session windows are now the correct size 
  - downloads now show notifications on start/finish when the download-dialog 
    is hidden
  - it is now possible to middle click on a smart bookmark to have it search for
    primary selection contents
  - internal clean ups and minor fixes.
  
You can see a list of fixed bugs since 2.21.4 (since there were no NEWS for .5):
  http://bugzilla.gnome.org/buglist.cgi?product=epiphany&bug_status=RESOLVED&bug_status=VERIFIED&bug_status=CLOSED&resolution=FIXED&chfield=resolution&chfieldvalue=FIXED&chfieldfrom=2007-12-16

===============
Epiphany 2.21.4
===============

A big refactoring of the Epiphany internals was done in order to achieve better
cross-engine support. It can be roughly separated in two chunks:

 - EphyTab and its usage of GtkMozEmbed specific signals was transformed
   into generic code under EphyBaseEmbed with backend-agnostic gobject-properties.
   Backends are now encouraged to subclass EphyBaseEmbed and update its
   properties to keep them in sync with the engine state. In turn, the browser
   chrome will connect to the notify:: signals for the properties to update its
   UI to reflect those changes.

-  In some situations the embed/ code will need to know some specific details of
   the fronted (for example, the active child among all the embed instances in the
   popup management code). Instead of directly accessing the fronted, an generic
   EphyEmbedContainer interface has been created, offering all the needed methods.
   In Epiphany, this interface is implemented by EphyWindow.

Bug fixes:
    * Add saved files to the GtkRecent list. Fixes Bug #148401.
    * Make cursor be at the end of the URL when selecting entries from the
	  completion popup. Fixes bug #466344.
    * Fix multihead problems in toolbar editor.
    * Fix download-icon toolip updates. Fixes bug #343238.
    * Default to Cancel on Cert dialogues. Fixes bug #163379.
    * Remove "Add bookmark" and "Save as" from the document context menu.
	  Part of bug #332968.
    * Fix completion model to show icons for history items too,
      history/bookmarks/favicon_cache service objects are now stored in the
      completion priv. Fixes bug #459811.
    * Sets page header and footer margins to a reasonable value when printing.
      Workaround for bug #346110.
    * Adds a check for NULL pointer in ephy-session.c, fixing wrong behaviour when
      restoring Epiphany in some cases. Fix for bug #488718.
    * Updates to new NetworkManager API signals for status monitoring.
    * Take the page orientation from the page setup, not from the print settings.
      Bug #485670 (see also gtk+ bug #485685).
    * Makes the Go button behaviour consistent with the "Enter" behaviour. Both
      actions search for keywords or load the url. Fixes #484178.
    * EphyContentPolicy::ShouldLoad: use the same content policy for
      http and https, allowing adblock to work on https. Fixes bug #471583.
    * Make Epiphany properly remember the last saved location in the FileChooser.
      Fix for bug #336251.
    * Make session recovery focus work properly and remember the active tab.
      Fixes bug #317272.
    * Fix disable_toolbar_editing lockdown not respected for Remove and Move
      actions on toolbar buttons. Fixes bug #475641.
    * Change the hint of the bookmarking properties dialog to DIALOG, instead
      of NORMAL. Make bookmarking work in fullscreen mode and does not put
      bookmark properties windows in the taskbar. Fixes bug #478928.
	* Find toolbar now remembers last pattern searched also when opened with
      slash or apostrophe. Fixes bug #343337.
	* Add a somewhat tricky fix for url titles not visible on the completion 
      popup of the location entry when using a dark theme (like Darkilouche).
      Fixes bug #446898.
	* Private instances of Epiphany now remove the profile dir on exit.
      Note that the profile dir won't be deleted if it's a custom path.
      Fixes bug #329680.
	* Make "Up" button dropdown menu show titles instead of URLs for already
	  visited pages. Fix for bug #323764.
	* Remove ellipsis from View -> Page Security Information, as it does not
	  require further user interaction to complete. Fix for bug #483312.
	* Hide Back/Forward buttons when disable_history lockdown key is enabled.
	  Fixes bug #394795.
	* Add explanation label to "Only from sites you visit" radio button.
	  Fixes bug 493422.
	
Changes: 
    * Add accessibility theme icons for our apps icon.
	* Enable printing to PDF file on gecko 1.9, now that moz#367907 is
	  fixed.
	* Make 'Not found' on find toolbar temporarily bold and sounds the 
	  bell signal when searching on a page and no results are
	  found. Fixes bug #363004.
	* Makes tooltips for Back and Forward buttons display the titles of
      relative pages. Fixes bug #341400. 
	* Add drag-and-drop of URLs onto "New Tab" and "New Window" buttons in
      the toolbar. Fixes bug #382383.
	* Add a broom icon in the search entry of the History window,
	  like in Bookmarks Editor. Fixes bug #476179.
	* Use friendly display for mailto: links; shows a nice text in status bar
      when hovering a mailto: link. Fixes bug #339161.
	* Fix the build of the custom GTK+ filepicker. Add a preview for the 
	  FileChooser. The default size is 150x150. Fixes bug #440859.
    * Make the location entry completion cells smarter, now bookmarks take the 
	  full width of the popup. Also make titles of history entries align
      to the left so it's easier to browse a lot of entries with similar 
	  titles. Almost-fixes bug #419475.
	* Change the "Powered by" name in the About dialog according to the used
      backend. Fix for bug #478196.
	* Display "Execute script <title>" string as tooltip for bookmark action
	  instead of the whole javascript code when bookmarking a scriptlet.
      Fix bug #492695.
	* Update to latest EggToolbarEditor code.
      This supports changing the editor's model during runtime and
      tries to avoid some possibly leaking signal handlers. 
	  Fixes bug #493149.
	* Adds a column in the history window showing the date and the time of the
      visit, substitutes radiobuttons with checkboxes in the View menu of the 
	  window. Fix bug #380156.
	* Enable a --with-distributor-name configure option, defaulting to Epiphany.
      Use it on an error page to designate the distributors/developers to
	  contact. Fixes bug #433796.
	* Add a "Remove all" button to the Personal Data Manager for both the
	  cookies and the passwords. Addresses bug #148314.
	* Fix a bug in EphyNodeView which caused problems when setting columns
	  as resizable; thanks to Kristian Rietveld for finding out the cause.
	  Make history window columns resizable and bookmarks editor columns
	  resizable and sortable. Fixes bug #132808.
	
Contributors to this release: 
Cosimo Cecchi, Dale Parquette, Leonardo Boshell, Djihed Afifi, Matthias Clasen,
Christian Persch, Diego Escalante Urrelo, Josselin Mouette, Cyril Brulebois,
Imran Patel, Carlos Garcia Campos, Xan Lopez, Nicholas E. Manley, Alp Toker, 
Michael Monreal, friemann, Ed Catmur, Reinout van Schouwen, 
Jan Michael Alonzo

Translations:
Hendrik Richter, iharh, gforcada, Claude Paroz, frolix68, ituohela, Changwoo Ryu,
Luca Ferretti, ifelix, Priit Laes, jorgegonz, ankitp, Kjartan Maraas, dnylande, 
Takeshi AIHANA, Leonardo Ferreira Fontenelle, snavin, Sunil Mohan Adapa, 
Inaki Larranaga Murgoitio, ssato, stephaner, Adam Weinberger, Artur Flinta,
raphaelh, ymarcheg, Gabor Kelemen, Duarte Loreto, zygis, fwang, Clytie Siddall,
icq, Jan Arne Petersen, Maxim Dziumanenko, Jonh Wendell, Robert-André Mauchin,
Cyril Brulebois, zyang, Youssef Chahibi, yairhr, mateju, iharh, Ivar Smolin,
Alexander Shopov, Ignacio Casal Quinteiro, cwryu, Djihed Afifi, Vasiliy Faronov

===============
Epiphany 2.19.6
===============

The most important change in this release is obviously that an experimental 
WebKit back-end was added by Xan Lopez. Read all about it here:
http://blogs.gnome.org/xan/2007/07/17/epiphany-webkit/

Furthermore, we have been joined by Cosimo Cecchi who contributed a lot of
small but not less important gnome-love bugfixes! 

Changes: 
	* Add support for the WebKit engine, compile with --with-engine=webkit
          to activate
	* #162489: Added a checkbox for smooth scrolling. 
	* String changes based on user feedback:
	  - "Local sites" -> "Nearby sites" (because it is a
	  better description)
	  - Drop the "Quick" prefix from Topic/Bookmark items in
	  toolbar editor, because it has no function besides
	  confusing users.
	* We now use g_get_user_special_dir to get the Desktop and Downloads
	  directory location
	* Use the new gtk functions to persist and load the print settings and
	  page setup. Migrate our old settings, if present.
	* All tooltips are now created using the new GTK tooltips API.

Bug fixes:
	* #459552: Improve the restricted ports message 
	* #448610: Make the status icon clickable so it shows/hides 
	  the download window, works across workspaces
	* #318947: Update tab title when the statusbar text is updated, 
	  so we don't have out of sync messages 
	  (like "Loading <page-you-were-before>")
	* Misc: #461689, #433173, #313636, #410223, #385872, #452707, #347637,
	  #450904

Contributors to this release:
Diego Escalante Urrelo, René Stadler, Xan Lopez, Carlos Garcia Campos, 
Reinout van Schouwen, Cosimo Cecchi, Kraai, Wouter Bolsterlee,
Christian Persch, Nguyễn Thái Ngọc Duy, Luca Ferretti

Translations: 
Priit Laes, Reinout van Schouwen, Inaki Larranaga Murgoitio, Jorge Gonzalez, 
Daniel Nylander, Theppitak Karoonboonyanan, Gabor Kelemen, Wouter Bolsterlee, 
Ilkka Tuohela, Takeshi AIHANA, Žygimantas Beručka, I. Felix

===============
Epiphany 2.19.5
===============

For those who are wondering: Epiphany 2.19.3 and 2.19.4 were never released. 

Changes:
	* Copy the lock icons from g-i-t 2.16 into epiphany, since the new ones
          in g-i-t are broken (see bug #348350 comment 93 ff).
	* Sync with latest libegg toolbareditor
	* use "document-page-setup" named icon for STOCK_PRINT_SETUP (now 
          available on gnome-icon-theme trunk)

Bug fixes:

	* #452769: Use GTK_STOCK_ABOUT icon instead of GNOME_STOCK_ABOUT
	* #450590: Add a workaround to take into account that Gtk{Radio,Toggle}Actions
                   only set either the stock-id or the icon-name property depending on
                   the image type. This makes it possible to display the icon of such
                   actions in the toolbar editor.
	* #450146: Use g_option_group_set_translation_domain to
                   translate commandline options.

Contributors to this release:
Jaap Haitsma, Luca Ferretti, Felix Riemann, Gabor Kelemen, Diego Escalante Urrelo, Jared Moore, 
Christian Persch

Translations: 
Theppitak Karoonboonyanan, I. Felix, Ankit Patel, Ilkka Tuohela, Josep Puigdemont i Casamajó, 
Artur Flinta, Nguyễn Thái Ngọc Duy, Takeshi AIHANA, Pema Geyleg, Daniel Nylander, 
Clytie Siddall, Kjartan Maraas, Priit Laes, Jorge Gonzalez

===============
Epiphany 2.19.4  
===============

These bugs were fixed since last release (2.19.2):

	* #346243 Modified first-time dialog when visiting a secure page, to mention
			  the color and padlock icon in the address entry.
	* #351100 Assign control+T as default delete shortcut in Bookmarks editor.
			  Also move the Delete item to Edit menu.
	* #383698 Finished download should not open target directory if that directory is Desktop
	* #300826 javascript files of a document are saved with no extension
	* #324166 add a print progress window
	* #336739 Right click on textarea should provide “Select all”
	* #422114 URL-completion of ftp-URL only works when specifying ftp:// protocol identifier
	* #437798 Show password in PDM should be plural
	* #441419 Go button's behaviour: act on button-release-event
	* #444500 Epiphany misses some SelectAll icons

Summary of changes from 2.17.4 - 2.18.2:

	* Avoid opening nautilus if downloads are done to Desktop. This re-fixes
	  bug #383698.

	* Quicktime and a number of other mime types are now recognized as safe

	* Middle clicking the Go button should open the location bar address
	  content in a new tab. Bug #362591.

	* Fix printing of frames.

	* Don't crash when we cannot access the system bus. Bug #404514.

	* Changed the "redirected too many times" error page to be more
	  friendly. Bug #395990.

	* Clear some print settings in the settings we hand to the print job, so
	  they don't get applied twice. Bug #394818.

	* Puts OpenInWindow over OpenInTab in the Bookmarks Editor so we meet
	  the HIG. Fixes bug #340775.

	* Opens images in a new browser window if EOG is not found. Bug #167595.

	* Corrects the expand of the Privacy tab in the Preferences window.

	* Don't allow the add bookmark ui to appear if it's locked down, more lockdown improvements

Contributors to this release:

Jared Moore, Sebastiaan Samyn, Bastien Nocera, John Millikin, Jan de Groot, Benjamin Berg,
Jean-François Rameau, Jens Granseuer, Björn Lindqvist, Vitali Ischenko, Chris Wilson,
Diego Escalante Urrelo, Luca Ferretti, Christian Persch

Translation updates:
Priit Laes, I Felix, Christophe Merlet, Luca Ferretti, Leonardo Ferreira Fontenelle,
Stéphane Raimbault, Hendrik Richter, Takeshi AIHANA, Peter Bach, Ignacio Casal Quinteiro,
Pema Geyleg, Inaki Larranaga Murgoitio, Jovan Naumovski, Baris Cicek, Goran Rakić,
Nikos Charonitakis, Gintautas Miliauskas, Artur Flinta, Ankit Patel, Changwoo Ryu,
Matic Zgur, Abel Cheung, Jakub Friedl, Josep Puigdemont i Casamajó, Gabor Kelemen,
Nguyễn Thái Ngọc Duy, Kjartan Maraas, Maxim Dziumanenko, Roberto Majadas, Reinout van Schouwen,
Alexander Shopov, Nickolay V. Shmyrev, Duarte Loreto, David Lodge, Djihed Afifi,
Daniel Nylander, Ilkka Tuohela, Theppitak Karoonboonyanan, Evandro Fernandes Giovanini,
Žygimantas Beručka, Yair Hershkovitz, Clytie Siddall, David Planella

===============
Epiphany 2.17.4
===============

Changes:
	   * Show favicons in location entry drop-down. Bug #112748, patch by Diego
	   Escalante Urrelo.

	   * Adblock manager has get a much wanted UI

	   * Fix secure location bar colouring with dark themes. Bug #347343,
	   patch by Diego Escalante Urrelo.

	   * List title and URL in location entry drop-down. Bug #169550,
	   patch by Diego Escalante Urrelo.

	   * Epiphany has (almost) completed the themed icons support
	porting thanks to hard work of Luca Ferreti, Andreas Nilsson and
	others :). New icons are present for almost everything, go check them
	out!

	   * Fix bookmarks export to HTML. Bug #345925, patch by Stefan Stuhr.

	   * Thanks to Chris Wilson, bookmarks and history use a smarter way to
	determine time related information. Bug #391845, #391852

	   * Allow to drag plaintext to tabbar. Bug #339339, patch by
	   Michael Hofmann.

	   * Some bookmarks lockdown fixes (bug #165536) and lots of minor UI
	fixes are also present in this version.

	   * Other bugs fixed in this release: #389560, #382207, #334463, #347343,
	#324052, #320514, #166662, #381546, #373549, #363837, #358986, #353854,
	#340560, #390287, #391521, #377039, #372283, #350575

Contributors to this release:
Wouter Bolsterlee, Eric Butler, Diego Escalante Urrelo, Luca Ferreti,
Michael Hofmann, Björn Lindqvist, John Millikin, Andreas Nilsson, Paul,
Christian Persch, Stefan Stuhr, Chris Wilson

Translation updates:
Khaled Hosny (ar), Gil Forcada (ca), Jakub Friedl (cs), Gintautas Miliauskas (lt)


===============
Epiphany 2.17.3
===============

Changes:
	 * Add some more F5 shortcuts to handle all the MSIE
	   "refresh page" bindings. Fixes bug #372906.
	   * Change default font sizes to match other popular
	   browsers. Fixes bug #346026.
	   * Lower the priority of the spinner animation so that the animation
	   does not stop page loading. Fixes bug #374623.
	   * Add "si" to locales always using pango. Patch by Harshula
	   harshula at gmail dot com, Fixes bug #361538.
	   * Make progressbar smaller. Fixes bug #368759.

Misc. bug fixes: #372760, #362882, #381099, #382207

Also you might want to know that this release has initial work to
provide Epiphany icons as themed icons. See
http://wayofthemonkey.com/index.php?date=2006-11-15&month=11&year=2006
for more information

Contributors to this release:
Benjamin Berg, Wouter Bolsterlee, Gerald E. Butler,
Diego Escalante Urrelo, Luca Ferretti, Ryan Lortie,
Baptiste Mille-Mathias, Christian Persch.

Translation updates:
Jakub Friedl (cs), Francisco Javier F. Serrador (es), Gil Osher (he).


===============
Epiphany 2.17.2
===============

Changes:
	* Clicking favicon in the location bar selects URL. Fix bug
		  #349557.
	* Default to printing background images.
	* Add middle-click on New Tab/Window button to open URL on
		  clipboard. Fix bug 149715.
	* Automatically open a Nautilus window after downloading has
		  finished. Fixes bug #138876. Try this and tell us what you
		  think!
	* Fix printing of page ranges.
	* Misc bug fixes: bug #347750, bug #330415, bug #357456, Bug #352733,
	  bug #361606, Bug #362063, bug #349349, bug #358007, bug #350053.

Contributors to this release: John Millikin, Diego Escalante Urrelo,
Jean-François Rameau, Wouter Bolsterlee, Ed Catmur, Christian Persch.

Updated translations:
Runa Bhattacharjee (bn_IN), Gil Forcada (ca), Mindu Dorji (dz),
David Lodge (en_GB), Ivar Smolin (et), Iñaki Larrañaga Murgoitio (eu),
Roozbeh Pournader (fa), Ilkka Tuohela (fi), Satoru SATOH (ja),
Erdal Ronahi (ku), Žygimantas Beručka (lt), Åsmund Skjæveland (nn),
Leonardo Ferreira Fontenelle (pt_BR), Woodman Tuen (zh_HK, zh_TW)


===============
Epiphany 2.16.0
===============

Contributors:
Johannes Berg, Wouter Bolsterlee, Luca Ferretti, Crispin Flowerday,
Thomas de Grenier de Latour, Michael Hofmann, Nguyễn Thái Ngọc Duy,
Kjartan Maraas, Victor Osadci, Christian Persch, Frederic Peters,
Celso Pinto, Jean-François Rameau, René Stadler, Diego Escalante Urrelo

Documentation:
Victor Osadci

Translations:
Ales Nyakhaychyk (be), Rostislav "zbrox" Raykov (bg), Progga (bn_IN),
Progga (bn), Gil Forcada (ca), Jakub Friedl (cs), Hendrik Richter (de),
"Last-Translator: Mindu Dorji\n" (dz), Kostas Papadimas (el),
Crispin Flowerday (en_GB), Francisco Javier F. Serrador (es),
Ivar Smolin (et), Iñaki Larrañaga Murgoitio (eu), Ilkka Tuohela (fi),
Robert-André Mauchin (fr), Ignacio Casal Quinteiro (gl), Ankit Patel (gu),
Rajesh Ranjan (hi), Gabor Kelemen (hu), Mohammad DAMT (id),
Satoru SATOH (ja), Vladimer Sichinava (ka), Changwoo Ryu (ko),
Žygimantas Beručka (lt), Raivis Dejus (lv), Fanomezana Rajaonarisoa (mg),
Jovan Naumovski (mk), Ani Peter (ml), Badral (mn), Rahul Bhalerao (mr),
Kjartan Maraas (nb), Shyam Krishna Bal (ne), Reinout van Schouwen (nl),
Åsmund Skjæveland (nn), Subhransu Behera (or), Artur Flinta (pl),
Licio Fernando Nascimento da Fonseca (pt_BR), Duarte Loreto (pt),
Nickolay V. Shmyrev (ru), Matic Žgur (sl), Laurent Dhima (sq),
Daniel Nylander (sv), Theppitak Karoonboonyanan (th), Baris Cicek (tr),
Maxim Dziumanenko (uk), Clytie Siddall (vi), Funda Wang (zh_CN),
Woodman Tuen (zh_HK, zh_TW)

Documentation translations:
Francisco Javier F. Serrador (es), Inaki Larranaga (eu),
Christophe Bliard (fr), Takeshi AIHANA (ja), Nickolay V. Shmyrev (ru),
Daniel Nylander (sv), Maxim Dziumanenko (uk)


================
Epiphany 2.15.92
================

Contributors to this release:
Kjartan Maraas, Christian Persch, Jean-François Rameau.

Translations updates:
Rostislav "zbrox" Raykov (bg), Gil Forcada (ca), Hendrik Richter (de),
Mindu Dorji (dz), Kostas Papadimas (el), Francisco Javier F. Serrador (es),
Ivar Smolin (et), Ilkka Tuohela (fi), Ankit Patel (gu), Gabor Kelemen (hu),
Mohammad DAMT (id), Satoru SATOH (ja), Changwoo Ryu (ko),
Žygimantas Beručka (lt), Jovan Naumovski (mk), Badral (mn),
Rahul Bhalerao (mr), Kjartan Maraas (nb), Reinout van Schouwen (nl),
Subhransu Behera (or), Artur Flinta (pl), Nickolay V. Shmyrev (ru),
Matic Žgur (sl), Daniel Nylander (sv), Theppitak Karoonboonyanan (th),
Baris Cicek (tr), Maxim Dziumanenko (uk), Clytie Siddall (vi),
Funda Wang (zh_CN).


================
Epiphany 2.15.91
================

Changes:

	* Spell check support using the gecko 'spellchecker' extension.
	  No corrections context menu or language switching yet. The default
	  dictionary is based on applicable locale names.

	* Add page security info dialogue from Certificates extension.

	* Drop libgnomeprint[ui] and use gtk printing. Add our options in
		  a custom tab in the print dialogue. Print settings and page setup
	  persist now.

	* Add methods to EphyNode to set typed properties. This change improves the
	  Python API so it should be easy now to play with bookmarks.
	  Add https and ftp local bookmarks. Based on a patch by Celso Pinto,
	  bug #330679.

Bug fixes:

	* Misc fixes: #337913, #312869, #345934, #346662, #339548, #347022,
	  #344848, #343592.

	* Add a way to turn off password remembering. Bug #332374.

	* Don't crash when adding zeroconf bookmarks while bookmarks are locked
	  down. Bug #341379.

	* Fix middle-click and ctrl-enter in the location entry autocompletion
	  drop-down. Bug #345934, based on a patch by johannes@sipsolutions.net.

	* Make the crash recovery dialog appear on the taskbar.
	  Fixes bug #345010.

	* copy history over when opening link in new tab/win using
	  context menu. Fixes bug #340742, patch by René Stadler.

	* Don't crash on error from zeroconf bookmarks. Fixes bug #343922.

	* Don't set cookies from favicon downloads. Bug #337835.

	* Allow cookie list to be sorted.  (fixes #337845)

	* Fix crash when moving zoom widget on toolbar (#338682)

	* Display the find bar for "Find Next" and "Find Previous"
	  if it wasn't visible already. Entry focus is handled
	  with care so that use cases like incremental search work
	  as expected. Fixes bug #333020.

	* Remove Shift+Ctrl+T accelerator, it was pressed accidentally
	  too often and people would lose their toolbars. Bug #328783.

Documentation:

		* Manpage update from Victor Osadci.

Contributors to this release:
Johannes Berg, Nguyễn Thái Ngọc Duy, Luca Ferretti,
Crispin Flowerday, Victor Osadci, Christian Persch,
Frederic Peters , Celso Pinto, Jean-François Rameau,
René Stadler, Diego Escalante Urrelo.

Documentation translations:
Francisco Javier F. Serrador (es), Daniel Nylander (sv), Vitaly Kormilov (ru).

Translations:
Ales Nyakhaychyk (be), Rostislav "zbrox" Raykov (bg), Gil Forcada (ca),
Jakub Friedl (cs), Hendrik Richter (de), Mindu Dorji (dz),
Kostas Papadimas (el), Crispin Flowerday (en_GB),
Francisco Javier F. Serrador (es), Priit Laes (et),
Iñaki Larrañaga Murgoitio (eu), Ilkka Tuohela (fi),
Christophe Merlet (RedFox) (fr), Ankit Patel (gu), Satoru SATOH (ja),
Changwoo Ryu (ko), Jovan Naumovski (mk), Øivind Hoel (nb),
Reinout van Schouwen (nl), Daniel Nylander (sv),
Theppitak Karoonboonyanan (th), Maxim Dziumanenko (uk), Funda Wang (zh_CN).


===============
Epiphany 2.15.4
===============

No news available.


===============
Epiphany 2.15.3
===============

No news available.


===============
Epiphany 2.15.2
===============

NOTE: This release drops support for mozilla 1.7. Only Gecko versions 1.8
(firefox >= 1.5 and xulrunner >= 1.8) and trunk are now supported.


Contributors to this release:

Wouter Bolsterlee, Thomas de Grenier de Latour, Michael Hofmann,
Christian Persch and Celso Pinto

Documentation:
Victor Osadci

Translations:
Rostislav "zbrox" Raykov (bg), Francisco Javier F. Serrador (es),
Ivar Smolin (et), Ankit Patel (gu), Fanomezana Rajaonarisoa (mg),
Øivind Hoel (nb) and Clytie Siddall (vi)


===============
Epiphany 2.15.1
===============

No news available.


===============
Epiphany 2.14.3
===============

Contributors to this release:
Johannes Berg, Wouter Bolsterlee, Nguyễn Thái Ngọc Duy,
Frederic Peters, Christian Persch, Jean-François Rameau.

Documentation translations:
Francisco Javier F. Serrador (es), Daniel Nylander (sv).

Translation updates:
Hendrik Richter (de), Christophe Merlet (RedFox) (fr),
Raivis Dejus (lv), Shyam Krishna Bal (ne).


=================
Epiphany 2.14.2.1
=================

Changes

	* Fix launching the background capplet

===============
Epiphany 2.14.2
===============

Translation updates:
Hendrik Richter (de), Benoît Dejean (fr).


=================
Epiphany 2.14.1.1
=================

Changes:
	* Add Esperanto (eo) to available languages in prefs
	* Add -p as short option format for --private-instance
	* Fix mnemonic activation of download path button [#339139]
	* Fix accelerator assignment in Tabs menu [#339548]
	* Monitor also directories, not just files [#332049]
	* Fix crash with lockdown and zeroconf bookmarks [#341379]
	* Fix build with gecko 1.8 branch
	* Make status icon transparent [Patch from #150726]
	* Documentation and man page updates

Contributors to this release:

Wouter Bolsterlee, Christian Persch, ZeBob

Documentation:
Victor Osadci

Translations:
Rostislav "zbrox" Raykov (bg), Progga (bn), Oublieuse (br), Lukas Novotny (cs),
Mindu Dorji (dz), Francisco Javier F. Serrador (es), Ivar Smolin (et),
Iñaki Larrañaga Murgoitio (eu), Benoît Dejean (fr),
Ignacio Casal Quinteiro (gl), Ankit Patel (gu), Mohammad DAMT (id),
Satoru SATOH (ja), ? (mg), Kjartan Maraas (nb), Reinout van Schouwen (nl),
Åsmund Skjæveland (nn), Kjartan Maraas (no),
Licio Fernando Nascimento da Fonseca (pt_BR), Duarte Loreto (pt),
Daniel Nylander (sv), Theppitak Karoonboonyanan (th), Baris Cicek (tr),
Maxim Dziumanenko (uk), and Clytie Siddall (vi).


===============
Epiphany 2.14.1
===============

Changes:
	* Hooks have been added for the new epiphany-extensions
	documentation, written by Baptiste Mille-mathias

Bug fixes:
	* Enable pango for some indic languages, which depend on it for correct
	rendering. Bug #335799.
	* Improve the current code (less complex) and add a timeouted call
	to NetworkManager when requesting network status. Bug #330479.
	* Disable export when locked down. Bug #337028.
	* Make sure we don't show "100%" on downloads unless they're really
	completed.
	* Don't crash when we cannot connect to the system dbus. Bug #336557.
	* Mozilla backend now supports adblock. Fix #335919.
	* Add support for local directory monitoring (in addition to local file
	monitoring). Bug #332049.
	* Add support for IE link files. Bug #330735.

Contributors to this release:
Wouter Bolsterlee, Jean-François Rameau, Christian Persch.

Documentation updates:
Victor Osadci.

Updated translations:
Jérémy Le Floc'h (br), Lukas Novotny (cs), Mindu Dorji (dz), Ivar Smolin (et),
Ilkka Tuohela (fi), Ignacio Casal Quinteiro (gl), Mohammad DAMT (id),
Francesco Marletta (it), alina (ka), Theppitak Karoonboonyanan (th).


===============
Epiphany 2.14.0
===============

Contributors to the Epiphany 2.14.0 release:

Jorn Baayen, Emmanuele Bassi, Robert O'Callahan, Piers Cornwell,
Crispin Flowerday, Gustavo Gama, Peter Harvey, Philip Langdale,
Robert Marcano, Bastien Nocera, Guilherme de S. Pastore,
Brian Pepple, Christian Persch, Jean-François Rameau,
Sergey Al. Safonov, Reinout van Schouwen, Raphael Slinckx,
thetroublemaker, and Matthew P. Thomas.

Documentation:
Victor Osadci.

Documentation translations:
Alexander Shopov (bg), Francisco Javier F. Serrador (es),
Reinout van Schouwen (nl).

Translations:
Ales Nyakhaychyk (be), Rostislav "zbrox" Raykov (bg), Progga (bn),
Gil Forcada (ca), Petr Tomeš (cs), Rhys Jones (cy), Ole Laursen (da),
Hendrik Richter (de), Kostas Papadimas (el), Adam Weinberger (en_CA),
Crispin Flowerday (en_GB), Francisco Javier F. Serrador (es),
Ivar Smolin (et), Iñaki Larrañaga (eu), Roozbeh Pournader (fa),
Ilkka Tuohela (fi), Christophe Merlet (RedFox) (fr),
Ignacio Casal Quinteiro (gl), Ankit Patel (gu), Gil Osher (he),
Rajesh Ranjan (hi), Gabor Kelemen (hu), Mohammad DAMT (id),
Satoru SATOH (ja), Vladimer Sichinava (ka), Young-Ho Cha (ko),
Erdal Ronahi (ku), Žygimantas Beručka (lt), Kjartan Maraas (nb, no),
Pawan Chitrakar (ne), Reinout van Schouwen (nl), GNOME PL Team (pl),
Licio Fernando Nascimento da Fonseca (pt_BR), Duarte Loreto (pt),
Mugurel Tudor (ro), Leonid Kanter (ru), Steve Murphy (rw),
Marcel Telka (sk), Laurent Dhima (sq), Слободан Д. Средојевић (sr, sr@Latn),
Daniel Nylander (sv), Theppitak Karoonboonyanan (th), Maxim Dziumanenko (uk),
Clytie Siddall (vi), Liu Songhe (zh_CN), and Woodman Tuen (zh_HK, zh_TW).


===============
Epiphany 1.9.99
===============

No news.

==============
Epiphany 1.9.8
==============

Changes:
	* Distinguish different firefox profiles when showing the list to
	  choose which one to import.
	* Incorporate UI review recommendations for View > Toolbars menu
	* Various improvements for XULRunner back-end
Bug fixes:
	* Use the same mechanism for Ctrl-W as clicking the tab's close
	  button. Fixes bug #319530.
		* Fix crash on switching to/from fullscreen mode. Bug #331462.
		* Set the tooltip for bookmarks on the toolbar, using a
		  'title\nlocation' format. Bug #332113.
	* Misc fixes: #329118, #327764, #148940.

Contributors to this release:
Peter Harvey, Christian Persch, Sergey Al. Safonov.

Updated translations:

	* Rostislav \"zbrox\" Raykov (bg)
	* Miloslav Trmac (cs)
	* Rhys Jones (cy)
	* Hendrik Richter (de)
	* Kostas Papadimas (el)
	* Adam Weinberger (en_CA)
	* Crispin Flowerday (en_GB)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Iñaki Larrañaga (eu)
	* Ilkka Tuohela (fi)
	* Ignacio Casal Quinteiro (gl)
	* Ankit Patel (gu)
	* Gabor Kelemen (hu)
	* Satoru SATOh (ja)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Reinout van Schouwen (nl)
	* Kjartan Maraas (no)
	* GNOME PL Team (pl)
	* Licio Fernando Nascimento da Fonseca (pt_BR)
	* Laurent Dhima (sq)
	* Слободан Д. Средојевић (sr, sr@Latn)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)
	* Liu Songhe (zh_CN)


==============
Epiphany 1.9.7
==============

Changes:
	* Show the backend in the about box.
	* Disable blink tags
	* Reversed some regressions: Add tooltips to toolitems again,
		  Restore the 'Show on Toolbar' functionality.
		* Topic chooser: Add enter-to-auto-complete when there is just one
		  possible match. Will close dialog if no current key. Will do nothing
		  otherwise.

Bug fixes:
	* Warn the user on logout when there are unfinished downloads.
	  Bug #128048.
	* Fix removing zeroconf bookmarks when the service disappears,
	  and updating them when they reappear. Bugs #329637, #330883.
	* Block popup with NULL url (javascript:window.open() for instance)
	  but don't show them when unblocking. Bug #155009.
	* Fix opening of local files. Bug #330104.
	* Push a null JS context on the stack when we run a recursive mainloop.
	  Fixes the epiphany equivalent of camino bug
	  https://bugzilla.mozilla.org/show_bug.cgi?id=179307.
	* Fix some memory leaks.
	* Queue commands received from the main and remote instances,
	  and process them after autoresume has completed. Bug #328286.
	* Use GTK_STOCK_DIALOG_AUTHENTICATION. Bug #329438.

Contributors to this release: Crispin Flowerday, Peter Harvey,
Christian Persch and Jean-François Rameau.

Updated translations:

	* Rostislav "zbrox" Raykov (bg)
	* Miloslav Trmac (cs)
	* Hendrik Richter (de)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Ilkka Tuohela (fi)
	* Ignacio Casal Quinteiro (gl)
	* Ankit Patel (gu)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Reinout van Schouwen (nl)
	* Kjartan Maraas (no)
	* Laurent Dhima (sq)
	* Слободан Д. Средојевић (sr, sr@Latn)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)
	* Liu Songhe (zh_CN)


==============
Epiphany 1.9.6
==============

Changes:
		* libnm-glib be-gone! Use NetworkManager directly via DBUS, by
	  importing the excellent net-monitor extension directly into
	  Epiphany. Code by Jean-François Rameau.
	* Revamped Bookmark Properties/Add Bookmark/New Topic dialogues.

Bug fixes:
	* Misc fixes: bug #328747, #328064, #328351, #327381, #125723,
	  #320686, #327845, #326807.
	* Open smart bookmark url in new tabs when using Ctrl+Enter (part of
	  bug #310814)
	* Disable pango rendering by default, unless MOZ_ENABLE_PANGO env
	  var is set. Bug #328844.
	* Don't use favicon as window icon. Bug 131010.
	* Fix URL opening with two concurrently starting instances.
	* Fix a couple of memory leaks
	* Add license to about dialogue. Patch by Brian Pepple, bug #327998.
	* Add caret mode indicator UI. Bug #145581.
	* When adding a column that can be sorted on, re-create the sort
	  model, so that it sets up the sort method correctly. Fixes #320686.

Contributors to this release: Christian Persch, Peter Harvey, Brian Pepple,
Jean-François Rameau, Crispin Flowerday, Reinout van Schouwen


Updated translations:

	* Rostislav \"zbrox\" Raykov (bg)
	* Jordi Mallach (ca)
	* Ole Laursen (da)
	* Kostas Papadimas (el)
	* Adam Weinberger (en_CA)
	* Crispin FLowerday (en_GB)
	* Francisco Javier F. Serrador (es)
	* Ilkka Tuohela (fi)
	* Ignacio Casal Quinteiro (gl)
	* Ankit Patel (gu)
	* Gil Osher (he)
	* Mohammad DAMT (id)
	* Takeshi AIHANA (ja)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Pawan Chitrakar (ne)
	* Reinout van Schouwen (nl)
	* Kjartan Maraas (no)
	* Evandro Fernandes Giovanini (pt_BR)
	* Duarte Loreto (pt)
	* Nickolay V. Shmyrev (ru)
	* Steve Murphy (rw)
	* Слободан Д. Средојевић (sr, sr@Latn)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)
	* Liu Songhe (zh_CN)


================
Epiphany 1.9.5.1
================

Rerelease.

==============
Epiphany 1.9.5
==============

Changes:
	* Add NetworkManager magic for connection status autodetection. (disabled by default)
	* Add more methods to EphyAdblock interface and EphyAdblockManager
		* Override mozilla prompts by our own.
		* Enable zeroconf by default now that gnome-vfs dns-sd can use avahi
	* Override the page that is shown for the about: url so that it doesn't say "Deer Park"
	* Go back to using the gtk stock close icon, to get correct themeing in a11y themes.
	* Fix compilation with DBUS 0.6
	* New bookmark properties window with improved topic selector.

Bug fixes:
	* Don't require a HTML document to activate typeaheadfind. Bug #326813.
	* Add Zoom In/Out buttons to default toolbar layout and toolbars editor repertoire. Bug #117923.
	* Now 'Loading' is not displayed when loading a new tab. Bug #323468.
	* Exit print preview mode when clicking the window close button. Bug #326136.
	* Make ESC cancel the content handler dialogue. Bug #325811.
	* Fix next/prev button sensitivity when find wrapped around.
	* Don't include generated files in the tarball. Bug #319440.
	* Bonobo is dead; long live the Bonobos! Patch by Gustavo Gama, bug #322463.
	* Dragging and dropping onto a topic on the toolbar works. Bug #320494.
	* Gave user more control over favicon visibility. Bug #320860.
	* Miscellaneous fixes: #148925, #300725, .

Contributors to this release: Christian Persch, Jean-François Rameau, Crispin Flowerday, thetroublemaker,
Gustavo Gama, Matthew Thomas, Peter Harvey

Updated translations:

		* Miloslav Trmac (cs)
		* Hendrik Richter (de)
		* Adam Weinberger (en_CA)
		* Francisco Javier F. Serrador (es)
		* Ilkka Tuohela (fi)
		* Christophe Merlet (RedFox) (fr)
		* Ignacio Casal Quinteiro (gl)
		* Ankit Patel (gu)
		* Gabor Kelemen (hu)
		* Mohammad DAMT (id)
		* Žygimantas Beručka (lt)
		* Kjartan Maraas (nb)
		* Kjartan Maraas (no)
		* Theppitak Karoonboonyanan (th)
		* Clytie Siddall (vi)

==============
Epiphany 1.9.4
==============

Changes:
		* When in automatic mode, update the treeview to reflect the currently selected encoding. Fixes bug #127757
		* Add include subdirs for broken distros. Bug #321841. Add plugins.symbols to EXTRA_DIST.
		* Improve "gecko not found" message. Bug #319253.
		* Put a marker in the environment to detect when we launch ourself as a helper app. Fixes bug #324828.
		* Zoom on Ctrl-=, Ctrl-KP+, Ctrl-KP- too. Bug #105183.
		* Always center dialog on screen. Bug #324896.
		* Show warning on mixed content in the tooltip. Bug #321508.
		* Add some code so ad blocking should be more easy.
		* Use a gtk stock cursor (GDK_HAND2) instead of already removed image. Fixes bug #324265.
		* Fix a compile warning.
		* Install the fonts schemas file too.

Contributors to this release:
Christian Neumair, Christian Persch, Claudio Saavedra,
Crispin Flowerday and Jean-François Rameau.

Updated translations:

	* Rostislav \"zbrox\" Raykov (bg)
		* Adam Weinberger (en_CA)
		* Francisco Javier F. Serrador (es)
		* Ilkka Tuohela (fi)
		* Christophe Merlet (RedFox) (fr)
		* Ignacio Casal Quinteiro (gl)
		* Ankit Patel (gu)
		* Gabor Kelemen (hu)
		* Takeshi AIHANA (ja)
		* Žygimantas Beručka (lt)
		* Reinout van Schouwen (nl)
		* "" (nn)
		* Afonso Celso Medina (pt_BR)
		* Marcel Telka (sk)
		* Clytie Siddall (vi)
		* Liu Songhe (zh_CN)
		* Chao-Hsiung Liao (zh_HK)
		* Chao-Hsiung Liao (zh_TW)

================
Epiphany 1.9.3.1
================

Changes

	* Fix desktop file install

Updated translations:

	* Miloslav Trmac (cs)
	* Reinout van Schouwen (nl)
	* Theppitak Karoonboonyanan (th)


==============
Epiphany 1.9.3
==============

Changes:
	* Add certificate manager. Patch by Robert Marcano and Crispin
	  Flowerday. Fixes bug #119090.
	* Fix crash when adding a cookie while the dialogue is open.
	* Also check for GDK_ISO_Enter.
	* Close the find toolbar when loading a new page.
	* Forward up/down/page up/page down from the findbar entry to the
	  embed.
	* Fix a compile warning, and don't bother requesting a close if the
	  find bar is already closed
	* Updated comment to refer to the schema autogeneration tool.
	* Remove the paper selector from the print setup dialogue, we have
	  one in the print dialogue already.
	* Fix spacings to be HIG compliant. Set window roles.
	* Add image/x-png type to list of safe mime types.
	* Use --with-gecko in the distcheck configure args.
	* While in find mode, set the selection colour to "attention".
	* Refactor find toolbar closing not to crash with auto-closing
	  popups. Unset the selection colour on close.
	* Open the PDM dialogue on the cookies page scrolled to show the
	  cookies of the currently loaded page, if there are any. Sort
	  cookies by domain. Allow treeview typeaheadfind search to find
	  by substring not prefix.
	* Add chrome: and resource: to the safe list; otherwise forms
	  and scrollbars break. Fixes bug #316498.
	* Delay reloads when we get many change notifications in a short
	  time. Fixes bug #319993.
	* Add F5 as accelerator for reload.
	* Set the model's sort column only after filling it. Vastly reduces
	  delay when opening the PDM dialogue when you have many cookies.
	* Prettify Certificate Revocation List import dialogue. Fixes
	  bug #321590.
	* Don't put the prefs/pdm dialogue over all windows. Make the
	  add-language dialogue modal to the prefs dialogue.
	* Mark message for translation. Patch by Guilherme de S. Pastore,
	  fixes bug #319988.
	* Transition over to the Galeon mechanism for handling extra
	  keybindings. This maps the keybindings to actions so that no extra
	  actions are required. The only subtlety is that some of the
	  actions come from the toolbar, so access to its action group is
	  required.

Contributors to this release: Crispin Flowerday, Philip Langdale,
Robert Marcano, Christian Persch, Guilherme de S. Pastore and
Reinout van Schouwen.

Updated translations:

	* Ales Nyakhaychyk (be)
	* Rostislav "zbrox" Raykov (bg)
	* Miloslav Trmac (cs)
	* Nikos Charonitakis (el)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Priit Laes (et)
	* Ignacio Casal Quinteiro (gl)
	* Ankit Patel (gu)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Åsmund Skjæveland (nn)
	* Kjartan Maraas (no)
	* Marcel Telka (sk)
	* Theppitak Karoonboonyanan (th)
	* Liu Songhe (zh_CN)
	* Chao-Hsiung Liao (zh_TW)


==============
Epiphany 1.9.2
==============

Changes:

	* Fix download window type hint
	* Allow compilation against xulrunner
	* Fix some memleaks [#320901]
	* Scroll the view so the selected cert is visible [#320758]
	* String cleanup
	* Add status text to the find toolbar, reverse Next/Previous button order
	* Use a gtk stock cursor instead of our own, un-themed one in toolbar editor
	* Show drag icon with page title + URL when dragging from the drag handle
	* Simplify context menu code [#320520]
	* Fix error page title capitalisation, and change the icon on the netOffline error page
	* Remove spinner from fullscreen toolbars file
	* Portability and gcc 2.95 fixes
	* Get the window name from the popup-blocked event
	* Use curly quotes
	* Use the history window as parent for the new-bookmark dialogue [#320329]
	* Fix string capitalisation [#320330]
	* Remove glade callbacks
	* Use G_MODULE_BIND_LAZY when dlopening modules
	* Fixes for new toolbar code [#320169, #319536]
	* Skip spinner update when we're not loaded [#320079]
	* Change downloader and pdm dialogue titles [#319843]
	* Fix middle button activate of actions [#319529]

Contributors to this release:
Emmanuele Bassi, Piers Cornwell, Peter Harvey,
Philip Langdale, Bastien Nocera, Robert O'Callahan,
Christian Persch, Jean François Rameau, Raphael Slinckx.

Updated translations:

	* Ales Nyakhaychyk (be)
	* Miloslav Trmac (cs)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Ivar Smolin (et)
	* Takeshi AIHANA (ja)
	* Erdal Ronahi (ku)
	* Žygimantas Beručka (lt)
	* Reinout van Schouwen (nl)
	* Afonso Celso Medina (pt_BR)
	* Marcel Telka (sk)
	* Liu Songhe (zh_CN)


==============
Epiphany 1.9.1
==============

New features:

	* Add a way to view stored password [#316821]
	* Peter Harvey's bookmarks patch
	* Copy the session history to new tabs
	* Improved context menu
	* Handle drags of .desktop link files from nautilus

UI changes:

	* Use a GtkFileChooserButton for the download path selector [#135738]
	* Use lock and background colour in the location entry for secure sites
	* Hide the filters combo if there's only the "All" filter
	* Back out the fix for bug #158486 by re-enabling keyword: searches [#314974]

Code changes:

	* Point main menu UI at toolbar actions
	* Expose the extension description keyfile directly to the loaders
	* Remove fullscreen and leave-fullscreen stock icons; they're available in gtk+ 2.8
	* Adapt folder import to new menu code
	* Update python API to the new bookmark headers
	* Fix the check-python-binding makefile target to work properly
	* Remove extension description .xml parsing code and use XSLT instead
	* Extend the EphyLinkAction to handle middle-click in one place
	* Enable favicons for https: sites when using gecko 1.8
	* Adapt to changed and new mozilla APIs
	* Add configure switch to disable zeroconf bookmarks
	* Make spinner multihead safe
	* Add a tiny spinner test program
	* Don't spin unmapped spinners. Slightly decrease the frequency [#315232]
	* Add GDK_ISO_Enter to recognised keyvals
	* Reset the IM context before activating the entry
	* Add a function to get the tab's real title [#317418]
	* Unify background image and image code (context menu, context event) [#154887]
	* Add disable_quit to lockdown gconf schema [#316499]
	* Add autoconf macro packages for use in extensions
	* Handle 'contentEncodingError' error in our error pages implementation
	* Allow loading extensions from home dir
	* New extensions description format based on GKeyFile
	* Use the filechooser's stock confirm-overwrite checking
	* Make the methods to unset/release the context event semi-public
	* Don't focus the checkbox in cert dialogues [#163371]
	* Only listen for trusted events
	* Better message on the enter-secure warning.

Bug fixes:

	* Fix logging
	* Fix profiling in builddir != srcdir builds
	* Ensure the images are loaded before starting to spin
	* Fix some memory leaks
	* Schedule a GC in finalize of EphyTab and EphyWindow [#317242]
	* Make sure we don't unref NULL objects
	* Fix crash on window close from JS [#172878, #172879, #172882, #303254, #313425]
	* Return error on failure
	* Don't free const strings
	* Fix size oscillations with the Tab States extension
	* Remove unused function.
	* Fix compile warnings.
	* Repair the previous b0rkage, see previous log
	* Mozilla printing code is braindead [#163255]
	* Depend on pygtk 2.8 [#314557]
	* Check for execinfo.h [#314776]

Contributors to this release:
Jorn Baayen, Crispin Flowerday, Peter Harvey, Philip Langdale,
Christian Persch, Jean François Rameau and Raphael Slinckx.

New and updated translations:

	* Progga (bn)
	* Nikos Charonitakis (el)
	* Adam Weinberger (en_CA)
	* Ivar Smolin (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Roozbeh Pournader (fa)
	* Ignacio Casal Quinteiro (gl)
	* Gil Osher (he)
	* Takeshi AIHANA (ja)
	* Žygimantas Beručka (lt)
	* Reinout van Schouwen (nl)
	* Afonso Celso Medina (pt_BR)
	* Nickolay V. Shmyrev (ru)
	* Marcel Telka (sk)
	* Данило Шеган (sr, sr@Latn)
	* Christian Rose (sv)
	* Liu Songhe (zh_CN)
	* Woodman Tuen (zh_TW)


==============
Epiphany 1.8.5
==============

Changes

	* Backport prompt service and directory provider
	  from 1.9.x, to fix bugs in gtkmozembed's prompt
	  service, and to fix the password manager not
	  working and preventing form submissions!

================
Epiphany 1.8.4.1
================

Changes

	* Fix compilation with firefox 1.5 backend [#330040]

Updated translations:

	* Miloslav Trmac (cs)
	* Priit Laes (et)
	* Christophe Merlet (RedFox) (fr)
	* Rajesh Ranjan (hi)
	* Åsmund Skjæveland (nn)
	* Nickolay V. Shmyrev (ru)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)


==============
Epiphany 1.8.4
==============

Changes

	* Fix crash on find bar closing with autoclosing windows
	* Don't launch epiphany as external app handler [#324828]
	* Don't ship generated ORBit files in the tarball [#319440]
	* Fix warning when Ctrl-F while the find toolbar is already shown
	* Exit ppv mode when clicking the window close button [#326136]
	* Don't require a HTML document to activate typeaheadfind [#326813]
	* Truncate URI and title strings [#329160]
	* Push a null JS context on the stack when we run a recursive
	  mainloop; fixes the epiphany equivalent of camino bug
	  https://bugzilla.mozilla.org/show_bug.cgi?id=179307
	* Add prefs to activate password manager on xulrunner

Contributors to this release: Frederic Crozat.

Updated translations:

	* Progga (bn)
	* Miloslav Trmac (cs)
	* Hendrik Richter (de)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ignacio Casal Quinteiro (gl)
	* Francesco Marletta (it)
	* Young-Ho Cha (ko)
	* Erdal Ronahi (ku)
	* Данило Шеган (sr, sr@Latn)
	* Christian Rose (sv)
	* Erçin EKER (tr)
	* Clytie Siddall (vi)


==============
Epiphany 1.8.3
==============

Changes

	* Work around crash caused by https://bugzilla.mozilla.org/show_bug.cgi?id=312241 .
	* Use gtk stock icons for fullscreen
	* Add more mime types to the list of known types
	* Use the history window as parent for the new-bookmark dialogue [#320329]
	* Scroll the view so the selected cert is visible [#320758]
	* Allow compilation against xulrunner
	* Don't put the prefs/pdm dialogue over all windows
	* Vastly improve PDM dialogue opening time
	* Delay reloads when we get many change notifications in a short time [#319993]
	* Fix HTML forms and scrollbars in lockdown mode [#316498]

Contributors to this release:
Robert O'Callahan.

Updated translations:

	* Ivar Smolin (et)
	* Clytie Siddall (vi)
	* Liu Songhe (zh_CN)

==============
Epiphany 1.8.2
==============

Changes

	* Fix crash on shutdown when only the bookmarks editor
	* Fix a mem leak
	* Don't grow the left pane of the bookmarks editor with each opening


==============
Epiphany 1.8.1
==============

Changes

		* Make Mozilla paper sizes work with gnome-print [#163255].
		* Require pygtk 2.8. Fixes [#314557].
		* Manually emit the "profile-change-net-teardown" notification; works
		  around mozilla bug https://bugzilla.mozilla.org/show_bug.cgi?id=292699
		* Don't focus the checkbox initially. Fixes [#163371].
		* If the search term is empty for a smart bookmark use the normal URL
		  instead of the smart url with the %s replaced by ""
		* Don't use "cat >" as output command, it fails inpredicably.
		  If not using gecko 1.9, translate the paper name to the one
		  mozilla expects (https://bugzilla.mozilla.org/show_bug.cgi?id=307404).
		* Use the tab label's outer hbox for the size calculation instead of
		  the label itself. Fixes size oscillations with the Tab States
		  extension.
		* Back out the fix for [#158486] by re-enabling keyword: searches.
		  Fixes [#314974].
		* Don't spin unmapped spinners. Slightly decrease the frequency.
		  Might help with [#315232].
		* Use nsIDOMWindowInternal::Close to close tabs. Delay tabs destruction
		  to an idle handler, to avoid crashes when tabs are closed from signal
		  handlers (blur, mousedown, keydown etc).
		  Fixes [#172878], [#172879], [#172882], [#303254], [#313425].
		* Schedule a GC in finalize of EphyTab and EphyWindow, to work around
		  [#317242].

Contributors to this release: Christian Persch, Jean-François Rameau,
Reinout van Schouwen and Raphaël Slinckx.

New and updated translations:

	* Progga (bn)
	* Hendrik Richter (de)
	* Ivar Smolin (et)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ignacio Casal Quinteiro (gl)
	* Francesco Marletta (it)
	* Young-Ho Cha (ko)
	* Erdal Ronahi (ku)
	* Данило Шеган (sr, sr@Latn)
	* Christian Rose (sv)
	* Erçin EKER (tr)
	* Clytie Siddall (vi)


==============
Epiphany 1.8.0
==============

Updated translations:

	* Miloslav Trmac (cs)
	* Hendrik Richter (de)
	* Roozbeh Pournader (fa)
	* Young-Ho Cha (ko)
	* Žygimantas Beručka (lt)
	* Nickolay V. Shmyrev (ru)
	* Erçin EKER (tr)


==============
Epiphany 1.7.6
==============

Changes

	* Don't empty find entry on Ctrl-F
	* Fix local file monitoring when loaded after a blank page
	* Remove check for redirected URL [#313756]
	* Fix configure check for gecko >= 1.8
	* Disable keyword searches by default [#158486]
	* Fix some compile warnings
	* Configure and makefile fixes for broken gecko header layouts
	* Define out the focus fix for gecko >= 1.8
	* Fix pointer grab lockup when gecko pops up a dialogue while
	  reordering tabs with DND
	* Don't create host node in ephy_history_get_host if not already existing
	* Add an "add-page" signal to the EphyHistory object
	* Set default prefs for warn-on-mixed-security pages [#309088]

Contributors to this release: Crispin Flowerday, Christian Persch.

Updated translations:

	* Jordi Mallach (ca)
	* Rhys Jones (cy)
	* Ivar Smolin (et)
	* Xavier Claessens (fr)
	* Ankit Patel (gu)
	* tunggul arif siswoyo (id)
	* Reinout van Schouwen (nl)
	* GNOME PL Team (pl)
	* Afonso Celso Medina (pt_BR)
	* Mugurel Tudor (ro)
	* Clytie Siddall (vi)


==============
Epiphany 1.7.5
==============

Changes

	* Find bar fixes [#307216, #311985, #312419, #312367, #311929]
	* Fix tab properties
	* Fix downloading on gecko 1.8
	* Open new tabs with blank url bar when loading the homepage [#313012]
	* Gcc 4 fixes
	* Fix download display of unknown sizes [#313215]
	* Reject favicons that are < 12x12 pixel
	* Add sanity check when opening in external handler [#310023]
	* Improve menu positioning on toolbar buttons
	* Fix some mem leaks
	* Try to save images from cache [#168554]

Contributors to this release: Crispin Flowerday, Christian Persch,
Jean-François Rameau.

Updated translations:

	* Rostislav \"zbrox\" Raykov (bg)
	* Nikos Charonitakis (el)
	* Adam Weinberger (en_CA)
	* <unknown> (es)
	* Ivar Smolin (et)
	* Ilkka Tuohela (fi)
	* Gabor Kelemen (hu)
	* Takeshi AIHANA (ja)
	* Žygimantas Beručka (lt)
	* Terance Edward Sola (nb)
	* Ganesh Ghimire (ne)
	* Reinout van Schouwen (nl)
	* Sigurd Gartmann (nn)
	* Terance Edward Sola (no)
	* GNOME PL Team (pl)
	* Duarte Loreto (pt)
	* Mugurel Tudor (ro)
	* Leonid Kanter (ru)
	* Marcel Telka (sk)
	* Laurent Dhima (sq)
	* Theppitak Karoonboonyanan (th)
	* Maxim Dziumanenko (uk)
	* Clytie Siddall (vi)
	* Liu Songhe (zh_CN)
	* Woodman Tuen (zh_TW)

Updated documentation translations:

	* Nikos Charonitakis (el)
	* Maxim Dziumanenko (uk)
	* Francisco Javier F. Serrador (es)


==============
Epiphany 1.7.4
==============

Changes
	* Only show the leaf name on bookmarksbar for hierarchical topics
	* Don't put the archive links on the unknownSocketType error message
	* Fix google search URL to include www prefix
	* Fix proxy server settings string
	* Work around gtkmozembed focus bug [#105153]
	* For empty pages, put focus in address bar
	* Be careful not to leave a GC scheduled when terminating python
	* Realise the embed first before grabbing focus on it
	* Implement ::grab-focus and remove ephy_embed_activate
	* Update the python bindings
	* String fixes [#172230, #167448]
	* Fix setting homepage to current page [#311962]
	* Allow EPHY_DEBUG_BREAK even in non-debug builds
	* Disable favicons from non-http URLs [#312291]
	* Fix location entry favicon updating
	* Fix crash on "window.get_toolbar()" [#170105]
	* Fix gcc 4.0 warnings
	* Fix crash when getting context event, [#310910]
	* Fix session saving on recovery with offline network [#147840]
	* Fix drawing of location entry with new default GNOME theme (Clearlooks)
	* Change the text on the 'unknown issuer' dialog [#151519]
	* Also clear favicon cache when clearing the cache
	* Make download dialog wording clearer

Contributors to this release: Crispin Flowerday, Christian Persch,
Jean-François Rameau and Raphael Slinckx.

Updated translations:

	* Rostislav \"zbrox\" Raykov (bg)
	* Miloslav Trmac (cs)
	* Nikos Charonitakis (el)
	* Adam Weinberger (en_CA)
	* <unknown> (es)
	* Priit Laes (et)
	* Ilkka Tuohela (fi)
	* Ankit Patel (gu)
	* Gabor Kelemen (hu)
	* Takeshi AIHANA (ja)
	* Terance Edward Sola (nb)
	* Reinout van Schouwen (nl)
	* Terance Edward Sola (no)
	* GNOME PL Team (pl)
	* Afonso Celso Medina (pt_BR)
	* Marcel Telka (sk)
	* Laurent Dhima (sq)
	* Prajasakti Localisation Team (te)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)
	* Liu Songhe (zh_CN)


==============
Epiphany 1.7.3
==============

Changes

	* Detect seamonkey trunk
	* Remove the reload workaround, mozilla bug is fixed on all supported versions
	* Fix a couple of strings [#310196]
	* More known mime types
	* Fix URL dragging to other tabs
	* Fix smart bookmark options parsing [#116709, #132761]
	* Yet another mozilla API change
	* Use gnome-doc-utils, and move existing translations over
	* Updated python bindings
	* Use libgnomeprintui for printing [Jürg Billeter; #141241, #163255, #301730]
	* Set title of loading page to the address, iff the page was blank [#115337, #171622]
	* Also ellipsise the menu entries in the toolbar overflow menu
	* Don't crash in case the backgrounds applet desktop file is not found
	* Print a less techy message if	someone tries to print to PDF [Martin Kretzschmar
	* Preserve the selection when switching tabs [#155824]
	* Maybe fix crash with gtk 2.7 [#309918]

Contributors to this release were Jürg Billeter, Martin Kretzschmar
and Christian Persch.

Updated translations:

	* Vladimir Petkov (bg)
	* Miloslav Trmac (cs)
	* Adam Weinberger (en_CA)
	* <unknown> (es)
	* Ivar Smolin (et)
	* Ankit Patel (gu)
	* Gabor Kelemen (hu)
	* Žygimantas Beručka (lt)
	* Terance Edward Sola (nb)
	* Reinout van Schouwen (nl)
	* Terance Edward Sola (no)
	* Marcel Telka (sk)
	* Clytie Siddall (vi)
	* Liu Songhe (zh_CN)

Updated document translations:

	* Francisco Javier F. Serrador (es)


==============
Epiphany 1.7.2
==============

Changes

	* Implement zeroconf-discovered bookmarks [#144969]
	* Reload local files on change [#300040]
	* Error pages! Requires Gecko 1.8 to work
	* Find: if the string includes uppercase letters, search case-sensitively.
	* Work with DBUS 0.34 [#306626, #306565]

Bug fixes

	* Uppercase letters shouldn't break history autocompletion [#308236]
	* Fix gcc4 warnings
	* Show URI in status bar when selecting Back/Forward/Up menu items [#161710]
	* Fix link activation while finding
	* Miscellaneous fixes: #307675, #306110, #307831, #307818, #151037.

Contributors to this release: Piers Cornwell, Crispin Flowerday, Adam Hooper,
Bastien Nocera, Jean-François Rameau, Reinout van Schouwen, Raphaël Slinckx,
and Matthew P. Thomas.

Updated translations by Vladimir Petkov (bg), Miloslav Trmac (cs),
Martin Willemoes Hansen (da), Hendrik Richter (de), Nikos Charonitakis (el),
<unknown> (es), Ivar Smolin (et), Ignacio Casal Quinteiro (gl),
Takeshi AIHANA (ja), Terance Edward Sola (nb), Reinout van Schouwen (nl),
Terance Edward Sola (no), Marcel Telka (sk), Данило Шеган (sr, sr@Latn),
Clytie Siddall (vi), Liu Songhe (zh_CN) and Ching-Hung Lin (zh_TW)


==============
Epiphany 1.7.1
==============

Highlights:

	* Integrated Python bindings
	* Find toolbar

Other changes:

	* Numerous improvements and UI enhancements
	* Numerous bugs fixed: #152482, #306169, #303922, #168295, #305788,
	  #124236, #305767, #301153, #304992, #173000, #301044, #159767,
	  #152490, #167319, #301093, #301065, #301048, #136288, #155395,
	  #300452, #171179, #171657, #170493, #170493, #171197, #167657,
	  #162748, #169833, #170353, #118107, #169956, #169956, #169039.


Contributors: Paolo Borelli, Colin Gibbs, James Henstridge,
Martin Kretzschmar, Thom May, Christian Persch, Jean-François Rameau,
Sjoerd Simons and Raphaël Slinckx.

New and updated translations by Vladimir Petkov (bg), Miloslav Trmac (cs),
Hendrik Richter (de), Nikos Charonitakis (el), Adam Weinberger (en_CA),
David Lodge (en_GB), <unknown> (es), <unknown> (eu), Pauli Virtanen (fi),
Ignacio Casal Quinteiro (gl), Ankit Patel (gu), Gabor Kelemen (hu),
tunggul arif siswoyo (id), Francesco Marletta (it), Takeshi AIHANA (ja),
Changwoo Ryu (ko), Terance Edward Sola (nb), <unknown> (ne),
Reinout van Schouwen (nl), Terance Edward Sola (no), GNOME PL Team (pl),
Afonso Celso Medina (pt_BR), Steve Murphy (rw), Laurent Dhima (sq),
Данило Шеган (sr), Christian Rose (sv), Baris Cicek (tr), Clytie Siddall (vi),
Liu Songhe (zh_CN) and Ching-Hung Lin (zh_TW).


==============
Epiphany 1.6.5
==============

Changes

	* Fix a mem leak
	* Work around broken mime detection which cannot detect that a .ico file from content
	* Fix signed/unsigned confusion (gcc4 fixes)
	* Update list of mime types
	* Fix default printer name [#301730]
	* Also ellipsise the menu entries in the toolbar overflow menu
	* Don't crash in case a desktop file is not found
	* Fix a crash when deactivating a dead menu [part of #309918]
	* Fix setting homepage to current page [#311962]
	* Fix focus bug [#105153]

Updated translations:

	* Priit Laes (et)
	* Ganesh Ghimire (ne)


==============
Epiphany 1.6.4
==============

Changes

	* Fix for mozilla API change on trunk
	* Fix filepicker configure check
	* Fix crash in toolbar editor with X composite extension [#159767]
	* Don't use chrome URLs in the session [#301044]
	* Update list of mime types
	* Automatically detect whether we have a mozilla debug build
	* Adapt to new DBUS API [#301153]
	* Allow View Source for XML documents [#305788]
	* Fix getting the trust setting from New CA dialogue
	* Work around mozilla bug https://bugzilla.mozilla.org/show_bug.cgi?id=296002 by
	   disallowing tabs moves to a different window [#303922]
	* Fix more signed/unsigned problems with gcc 4 [#306169]
	* Fix context menu on image maps [#152482]
	* Fix crash on exit with only downloader open [#151037]
	* Preserve session when shutting down while resuming the session
	* Fix a refcount leak in the persist object
	* Comply with gtk-button-images setting [#307818]

Contributors to this release: Colin Gibbs, Martin Kretzschmar,
Thom May, Christian Persch, Jean-François Rameau, and Raphaël Slinckx.

Updated translations:

	* Vladimir Petkov (bg)
	* Ignacio Casal Quinteiro (gl)
	* Afonso Celso Medina (pt_BR)
	* Christian Rose (sv)
	* Ching-Hung Lin (zh_TW)


==============
Epiphany 1.6.3
==============

Changes

	* Fix crash when trying to download [#301093]
	* Fix rare crash on 64-bit archs
	* Some constification [#301065]
	* Correctly restore width and height of restored popup windows [#155395]
	* Adapt to mozilla API change on trunk
	* Fix for pkg-config problem [#300452]

Contributors to this release:
Paolo Borelli, James Henstridge, Christian Persch and Sjoerd Simons, and the
translators Vladimir Petkov (bg), Gabor Kelemen (hu), Steve Murphy (rw) and
Clytie Siddall (vi).


==============
Epiphany 1.6.2
==============

Changes

	* Fix toolbar activation [#172694]
	* Adapt to mozilla API change on trunk

Translation updates

	* Francisco Javier F. Serrador (es)
	* Pauli Virtanen (fi)
	* tunggul arif siswoyo (id)
	* Changwoo Ryu (ko)
	* GNOME PL Team (pl)
	* Laurent Dhima (sq)
	* Данило Шеган (sr, sr@Latn)


==============
Epiphany 1.6.1
==============

	* Use libstartup-notification, not gnome-desktop to launch apps [#169039]
	* Disable automatic image resizing on toolkit too
	* Fix a crash on window close with active toolbar activation
	* Fix tabs menu crash [#169833]
	* Fix tabs label sizing [#167657]
	* Default to links only with the fixed-up typeaheadfind too
	* Adapt to mozilla API changes
	* Fix automatically opened downloads [#171197]
	* Revise mime type list [#170493]

Contributors to this release:
Christian Persch and Jean-François Rameau, and the translators
Hendrik Richter (de), Adam Weinberger (en_CA), Francesco Marletta (it),
Takeshi AIHANA (ja), Steve Murphy (rw), Erçin EKER (tr), and
Ching-Hung Lin (zh_TW).


==============
Epiphany 1.6.0
==============

Translation updates:
	* Dafydd Harries (cy)
	* Ole Laursen (da)
	* Christophe Merlet (RedFox) (fr)
	* Gabor Kelemen (hu)
	* Takeshi AIHANA (ja)
	* Mugurel Tudor (ro)
	* Данило Шеган (sr, st@Latn)
	* Maxim Dziumanenko (uk)


==============
Epiphany 1.5.8
==============

Changes

	* Try to approximate startup time if not given in environment [#168820, Elijah Newren]
	* Fix crash when quitting with queued downloads [#165999]
	* Depend on gtk+ >= 2.6.3


==============
Epiphany 1.5.7
==============

Code changes

	* Implement nsIWebProgressListener in MozDownload [#165328]
	* Remove ephy_tab_get_action()
	* Launch applications and handlers with user time

Bug fixes
	* Move style notifier to ephy-toolbars-model, and apply	the flags to new toolbars
	* Move all the stuff from EphyWindow::finalize to dispose
	* Keep a ref on the tray icon [#166143]
	* Fix mixing up workspaces of windows when restoring session [#130990]
	* Use event time when grabbing the pointer [#167473]
	* Unparent the fixed toolbar before destroying the dock
	* Unset size request if the fixed toolbar is present
	* Don't activate startup notification with the recovery dialogue
	* Don't switch tabs to modal alerts in ppv mode
	* Fix bookmarks import [#163341]
	* Don't assert if we don't have a new embed in new_window callback [#165445]
	* Check the favicon file type and only allow ico, gif & png [#163886]
	* Fix compress_tilde to only look at the prefix

Contributors:
Piers Cornwell, Xan Lopez, Carlos Garnacho Parro, Christian Persch
and Jean-François Rameau; and the translators Vladimir Petkov (bg),
Jordi Mallach (ca), Miloslav Trmac (cs), Ole Laursen (da),
Hendrik Richter (de), Nikos Charonitakis (el), Adam Weinberger (en_CA),
David Lodge (en_GB), Francisco Javier F. Serrador (es), Priit Laes (et),
Pauli Virtanen (fi), Vincent Carriere (fr), Ankit Patel (gu),
Takeshi AIHANA (ja), Changwoo Ryu (ko), Žygimantas Beručka (lt),
Kjartan Maraas (nb), Reinout van Schouwen (nl), Kjartan Maraas (no),
GNOME PL Team (pl), Afonso Celso Medina (pt_BR), Duarte Loreto (pt),
Leonid Kanter (ru), Marcel Telka (sk), Laurent Dhima (sq),
Christian Rose (sv) and Maxim Dziumanenko (uk)


==============
Epiphany 1.5.6
==============

Code changes

	* Move new-window signal to the embed single, and new window creation
	  from EphyTab to EphyShell
	* Make EphyWindow implement EphyLink interface
	* Make ephy-link.h public

Bug fixes

	* Better wording for the import-failed dialogue
	* Default security.warn_submit_insecure.show_once to false
	* Fix sidebar signal emission
	* Fix "Go Up" not to omit the directory if the uri references a file [#165094]
	* Alert the user when sidebar extension is not activated [#162685]
	* Don't show the Leave Fullscreen button in lockdown fullscreen mode [#165256]
	* Switch to fullscreen toolbar also in lockdown fullscreen mode [#165256]
	* Fix reference counting problem in extensions manager
	* Disable DownloadLinkAs and SetAsBackground if saving to disk is disabled
	* Add lock fullscreen key to schemas file and improve key descriptions
	* Fix LOG() statements for non-gcc varargs case
	* Some sparse fixes
	* Add title signal handler for XUL dialogues
	* Ungrab the pointer when moving tab between notebooks [#165797]
	* Set "Clear" context menu entry insensitive in lockdown mode [#165540]
	* Don't weak ref the shell when it's finalised already [#165542]
	* Chain up to GtkWindow's keypress handler in EphyWindow
	* Don't show the menubar with F10 in lockdown mode [#165550]
	* Don't disable print preview if print setup is locked down [#165552]
	* Re-enable typeaheadfind autostart [#141963, #165811]
	* Plug some mem leaks
	* Force new windows in tabs in lockdown fs mode [#165566]
	* Don't copy params with the email address [#144469]
	* Don't exit when DBUS restarts
	* Forward startup IO to the already-running ephy instance [#150085]

Documentation

	* Update documentation.


Contributors:
Piers Cornwell, Crispin Flowerday, Adam Hooper,
Christian Persch and Jean-François Rameau; and the translators
Vladimir Petkov (bg), Jordi Mallach (ca), Miloslav Trmac (cs),
Hendrik Richter (de), Nikos Charonitakis (el), Adam Weinberger (en_CA),
David Lodge (en_GB), Francisco Javier F. Serrador (es),
Pauli Virtanen (fi), Takeshi AIHANA (ja), Changwoo Ryu (ko),
Žygimantas Beručka (lt), Kjartan Maraas (nb), Reinout van Schouwen (nl),
Kjartan Maraas (no), Afonso Celso Medina (pt_BR), Duarte Loreto (pt),
Leonid Kanter (ru), Marcel Telka (sk), Laurent Dhima (sq),
Christian Rose (sv) and Liu Songhe (zh_CN).


==============
Epiphany 1.5.5
==============

New features


Interface improvements

	* Improved the fullscreen interface: show security and status indicator
	  in the popup, use new stock icon; and show it only if the toolbar is
	  hidden; otherwise embed it in the toolbar [#153270, #164676]
	* Added favicon and security icon to location entry [#116482, #149506]
	* Renamed Remove action on bookmarksbar context menu [#162132]
	* Don't focus the zoom combo on click
	* Don't use <tt> in the strings [#163378]
	* Fix button text and capitalisation in the confirm-redirect-update
	  dialogue [#164131]
	* Unify accels to Open in New _Window[s] [#164130]
	* Show profile name for mozilla bookmarks, so we can distinguish
	  between different profiles. Don't show firefox bookmarks as mozilla
	  bookmarks [#143982]
	* Ellipsize the value and path labels in the cookie content dialogue

Code changes

	* Add GDK_ACTION_ASK, and prefer _NETSCAPE_URL over uri-list drag types,
	  to match the new Nautilus _NETSCAPE_URL DnD behaviour [#163937]
	* Simplify cookie struct
	* Add a function to get the default ephy_shell, making it easier for
	  bindings to get it
	* Add boxed type for EphyNode
	* Rename the password manager's methods to give better names in the bindings
	* Remove useless ephy_node_get_property_time method
	* Make ephy-bookmarks.h's enum a named enum, generate type.[ch] for it and
	  make sure our enum type is registered
	* Added ephy_statusbar_remove_widget()
	* Add proper _NETSCAPE_URL drag support, supplying the URL as well as the
	  title [#163937]
	* Default typeaheadfindsea to on [#157435]
	* Set typeaheadfind.autostart to off [#141963]
	* Don't allow javascript to capture the context menu call
	* Divert the contract ID of the nsSecureBrowserUIImpl class [#164670]

Documentation

	* Some gtk-doc fixes

Bug fixes

	* Fix parallel (make -j) builds
	* Fix primary text of confirm-close command not to have a period
	* Remove stamp files also on make clean
	* Fix mem leak [#164302]
	* Really make confirm-overwrite dialogue have a parent window [#164189]

Contributors:
Jorn Baayen, Piers Cornwell, Crispin Flowerday, Adam Hooper, Tomasz Kłoczko,
Christian Persch, Jean-François Rameau and Matthew Schick, and the translators
Vladimir Petkov (bg), Miloslav Trmac (cs), Rhys Jones (cy), Frank Arnold (de),
Adam Weinberger (en_CA), Francisco Javier F. Serrador (es), Ivar Smolin (et),
Takeshi AIHANA (ja), Žygimantas Beručka (lt), Marcel Telka (sk),
Laurent Dhima (sq), Christian Rose (sv) and Liu Songhe (zh_CN)


==============
Epiphany 1.5.4
==============

New features

	* Make extensions loading extensible

Interface improvements

	* Open the bookmarks in the new tabs in the same order as they in the menu
	* Make "Open Image" open the image in the default application [#138396]
	* Better tab sizing [#153725]
	* Select first row when tabbing to the topics selector [#162331]
	* Don't allow focus on the tab close buttons [#119461]
	* Unify some strings
	* Add context menu on notebook [#132989]
	* Open the GNOME background properties capplet when setting the background [#161215]
	* Improved security warning dialogues [#163278]
	* Implement toolbar style overriding as per HIG [#102520]

Code changes

	* Add context to ambiguous strings [#113932]
	* Remove about: redirections
	* Add sidebar backend
	* Change C_lear to Cl_ear [#162706]
	* Add GTypes for all flags and enums in public headers
	* Adapt to mozilla API changes
	* Display open lock for low 'secure' sites too [#151709]
	* Unify the location and favicon actions
	* Don't show the description for no-secure and broken sites
	* Add more categories to desktop file [#162973]

Bug fixes

	* Don't destroy the filepicker dialogue with the parent [#156816]
	* Fix some mem leaks
	* Don't store more than 5 hidden popups [#160863]

Contributors to this release:
Piers Cornwell, Crispin Flowerday, Adam Hooper, Jean-François Rameau

and the translators: Vladimir Petkov (bg), Miloslav Trmac (cs), [unknown] (el),
Adam Weinberger (en_CA), Francisco Javier F. Serrador (es), Takeshi AIHANA (ja),
Žygimantas Beručka (lt), Kjartan Maraas (nb), Reinout van Schouwen (nl),
Leonid Kanter (ru), Marcel Telka (sk), Laurent Dhima (sq)


==============
Epiphany 1.5.3
==============

New features

	* Update bookmarks from HTTP 301 [#126312]
	* Add bookmarks export to bookmarks editor
	  (patch by John Spray, XSL stylesheet by Stefan Rotsch) [#157745]


Interface improvements

	* Fix "Open Frame" menu item name [#153816]
	* Use stock icon for "Open In New Tab" in History Window and Bookmarks Editor
	* Use ellipsised labels everywhere instead of shortening strings
	* Tell the user with which application we're going to open the content [#141327]
	* Add stock icon to "Save As..." button in content handler
	* Add "Clear" to entry context menu [#118395]
	* Add app name to content handler dialogue [#141327]
	* Implement context menu on tray icon, as per HIG [#152903]
	* Add "View Properties" to duplicated bookmarks dialogue [#117643, #138300]
	* Remove inline help in toolbar editor [#137603]

Code changes

	* Removed usage of deprecated gconf API
	* Removed usage of deprecated glade API
	* Makefile.am modernisations
	* Ensure the extensions manager UI is loaded
	* Use alignments instead of empty labels for alignment in glade files
	* Disable search in downloader window [#157157]
	* Check the encodings before we set the mozilla pref [#150266]
	* Add attach_tab and detach_tab functions to extension interface
	  (Crispin Flowerday, Adam Hooper) [#153732]
	* Use gtk_show_about_dialog(), and handle urls and mailto (Adam Hooper)
	* Disable Zoom items for images, and disable zoom, encoding and view source
	  for images and xml (xul) documents [#132240]
	* Make sure we don't have any app-modal dialogues [#110479]
	* Adapt to mozilla API changes

Bug fixes

	* Don't offer to resume if there are open windows [#160345]
	* Deactivate the context menu on window close [#156812]
	* Fix double-opening of content [backed out patch from #158466]
	* Fix name for "gd" language (Scots Gaelic) [#161509]
	* Disable Print and Print Preview while still loading the page [#116344]
	* Don't show multiple toolbar editors for the same window [#111114]
	* Correct language code for Afrikaans
	* Fix untranslated string in downloader window [#161739]

Translation updates

	* Vladimir Petkov (bg)
	* Miloslav Trmac (cs)
	* Martin Willemoes Hansen (da)
	* Adam Weinberger (en_CA)
	* David Lodge (en_GB)
	* Francisco Javier F. Serrador (es)
	* Takeshi AIHANA (ja)
	* Žygimantas Beručka (lt)
	* Reinout van Schouwen (nl)
	* Marcel Telka (sk)
	* Laurent Dhima (sq)
	* Ercin Eker (tr)
	* Liu Songhe (zh_CN)


==============
Epiphany 1.5.2
==============

Interface improvements

	* When popping up the context menu with keyboard, select the first item[#154907]
	* Don't detach the tab when releasing the mouse button while still over
	  the same window [#143954]
	* Better wording for the crash recovery dialogue (Piers, Christian)
	* Make the "duplicate bookmark" dialogue not modal
	* Better wording for the accept cert dialogue [#127234]
	* Add short-time filter in history window
	* Better positioning for the context menu popup in a treeview (Crispin Flowerday)
	* Add resize grip [#137845]
	* Warn before deleting a topic (Xan) [#149294]
	* Implement history deletion on per-site basis [#116609]
	* Add shortcut to Send To menuitem, as per HIG [#148655]
	* Make content handler dialogue not modal

Code changes

	* Bring the window to the foreground when showing a modal alert
	* Show language code in the string in languages editor [#115355]
	* More porting to GtkMessageDialog
	* Don't hardcode "epiphany" as argv[0], use g_get_prgname() instead [#118427]
	* Size-allocate the embed if it's not mapped but has never been
	  size-allocated before [#156854]
	* Fixes for mozilla API changes
	* Don't save session_crashed.xml while shutting down
	* Check favicon urls with script sec manager and content policy
	* Simplify the gconf -> mozilla prefs bridge
	* Add a way to show the cert info dialogue for the page's certificate
	* Disallow favicon links from subframes
	* Add --disable-filepicker to use when the mozilla build itself has a native gtk+ filepicker
	* Remove generic 'site' hostname fallback (Mikhail Zabaluev) [#155442]
	* If the iso-codes package is available, use that to translate
	  language names and offer a wider variety of languages [#155498]
	* Don't use deprecated gnome vfs APIs (Marco)

Bug fixes

	* Show tooltips for zoom control again[#155826]
	* Make tooltips on zoom control work for Ctrl-F1
	* Fix a mem leak (Adam)
	* Sanitise the embed popup position [#157162]
	* Fix button sensitivity setting in language editor
	* Fix check for nsIPassword.h header to look in the right place [#157743]
	* Fix time filter in history window for time zones != GMT
	* Fix signed/unsigned int confusion
	* Fix opening content with external content handlers (Marco)
	* Portability fix for 64 bit systems (James Henstridge)
	* Fix hang after --import-bookmarks [#136170]
	* Fix crash when getting the "die" signal from session manager
	* Don't access freed memory [#158202]
	* Fix wrong certificate shown [galeon #158453]
	* Fix opening of content when not downloading automatically [#158466]
	* Fix build without PSM
	* Fix tabs menu ordering with tab-groups extension
	* Fix some string comparison bugs in event context
	* Fix out-of-srcdir build (Marco, Christian)
	* Don't raise window on --new-tab [#158923]
	* Fix a mem leak (Vincent Untz)

Documentation updates

	* Added manual translation into Finnish, by Pauli Virtanen.

Translation updates

	* Jordi Mallach (ca)
	* Miloslav Trmac (cs)
	* Hendrik Richter (de)
	* Adam Weinberger (en_CA)
	* David Lodge (en_GB)
	* (es)
	* Takeshi AIHANA (ja)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Reinout van Schouwen (nl)
	* Gustavo Noronha Silva (pt_BR)
	* Marcel Telka (sk)
	* Laurent Dhima (sq)


==============
Epiphany 1.5.1
==============

New features

	* Load and unload extensions on user demand

Interface improvements

	* Separate context menu for email links [#144244]
	* Select the topic when adding it [#151925]
	* Better positioning of context menus for treeviews [#152431]
	* Install a placeholder for the view toggles group [#153767]
	* Add tooltips for context menus [#151764]
	* Support multiple printers in the print dialog
	* Add tooltips on the navigation history arrows, and fix the tooltip
	  on the "Up" button to be consistent with nautilus [#155825]
	* Add tooltip on the drag handle [#155827]
	* Add tooltip on close button [#155828]
	* Use new gtk+ HIG message dialogue API [#130232]
	* Make the confirm-close-with-form-data dialogue window modal
	* When showing a modal alert put up by a web page, switch the window
	  to that tab

Code changes

	* Adapt to mozilla API changes
	* Use ellipsisation support in GtkLabel
	* Use new gtk+ GtkCellRendererProgress
	* Use more icons from icon theme
	* Use the gtk setting for the menubar accel instead of hardcoding F10
	* Use new GtkMenuToolButton
	* Just pass a GType to ephy_embed_factory_new_object()
	* Add another mimetype to import types file filter
	* Install ephy-embed-factory.h
	* Add ephy_window_get_ui_manager(), and remove the manager
	  from the public EphyWindow struct
	* Use GtkAboutDialog
	* Make ephy-state.h public [#153809]
	* Improved debugging support [#153805]
	* Don't reference private objects from public headers [#153766]
	* Split the default prefs into the common part, and mozilla/new toolkit
	  specific parts.
	* Use gtk_window_set_default_icon_name()
	* Recognise "Desktop" special downloads directory [#152926]
	* Notify when entering or leaving print preview mode [#154591]
	* Initialize plugins path env var for backward compatibility
	* Allow to set the default window state to maximize, default to maximise
	* Read extension descriptions from .xml, load them with the specified
	  loader (for now, just only .so is supported)
	* Add extensions-manager-ui as default active extension
	* Validate extension XML files against an XSD Schema
	* Add varargs version of ephy_dialog_get_control to get more than one widget
	  at a time
	* Remove ephy_string_parse_uri_list, and use new glib function
	  g_uri_list_extract_uris() instead
	* Only multiplex [attach|detach]_window to extensions implementing the
	  EphyExtension interface
	* Annotate "if (type == 0)" in get_type functions with G_UNLIKELY
	* Add EPHY_NODE_CHANGED signal [Peter Harvey]
	* Save tons of strdups in bookmarks menu
	* Unset the use-underline label property instead of doubling the underscores
	* Use named icon for the logo in about dialogue
	* Use gtk_entry_set_width_chars() to set the smart bookmark entry width
	* Use ellipsising labels to shorten the bookmarks and topics titles [#147765]
	* Avoid strdups in entry completion func [Peter Harvey]
	* Make bookmarks menu take a configurable path where to merge its UI
	* Allow localised extensions names and descriptions
	* Disable description file validation for now
	* Fix node signal [dis]connection while a signal emission is running
	* Make sure there's only one properties dialogue per bookmark [#148398]
	* Remove remaining time from tooltip of tray icon [#145955]

Bug fixes

	* Remove -s switch which was used by now-gone nautilus view
	* Use a small custom icon for tabs close button [#144772]
	* Fix navigation and Go button proxy menu items [#151648, #141548]
	* Use rm -f as remove command, not rm -r
	* Use SAME_APP flag for drag destination [#152388]
	* Keep popup position synced with his size requisition [#143585]
	* Enable conversion for favicon downloads [#152866]
	* Fix download progress indicator in downloader view
	* Fix overflow in remaining time calculation [#153136, Jhon Spray]
	* Initialise position passed to gtk_editable_insert_text()
	* Fix some mem leaks
	* Remove explicit PAC autoconf call, it works perfectly ok without it
	* Don't size-allocate unmapped tabs, fixing slow resizes [#128191]
	* Fix print preview and fullscreen mode interaction [#154456]
	* Don't allow activation of the hidden menubar in ppv mode
	* Grammar fix in schema [#154605]
	* Fix crash in bookmarks menu [#154805]
	* Remove duplicate AM_PROG_INTLTOOL [#155028]
	* Fix EphyNode callback data destruction [#152718, Peter Harvey]
	* Fix import of bookmarks in root folder [#152443]
	* Activate tray with double-click, as per HIG [#152899]
	* Always chain up to parent's dispose handler
	* Fix return type of tab_delete slot
	* Move window destruction after tab-removed signal emission [#151607]
	* De-couple instantiation and initialisation of the extensions manager
	* Correctly change the statusbar children's frams's shadow type when
	  the statusbar shadow type changes
	* Don't open all bookmarks in tabs [#156843]
	* Depend on libxml >= 2.6.12, for its fix of bug #150647
	* Fix restoring window size on crash recovery [#156881]
	* Fix crash when deleting bookmark with open properties dialogue [#155880]
	* Fix activation of the Go button while in toolbar activation mode [#155650]

Documentation updates

	* Document EPHY_DEBUG_BREAK
	* Add manpage [#156067, Jordi Mallach]

Translation updates

	* Abdulaziz Al-Arfaj (ar)
	* Vladimir Petkov (bg)
	* Miloslav Trmac (cs)
	* Marie Lund (da)
	* Adam Weinberger (en_CA)
	* David Lodge (en_GB)
	* Francisco Javier F. Serrador (es)
	* Meelad Zakaria (fa)
	* Olivier Cortes (fr)
	* Žygimantas Beručka (lt)
	* Hasbullah Bin Pit (ms)
	* Reinout van Schouwen (nl)
	* Marcel Telka (sk)
	* Laurent Dhima (sq)
	* Danilo Segan (sr)


==============
Epiphany 1.4.9
==============

Changes

	* Fix several focus issues (some with security implications)
	* Fix crash when updating tray icon
	* Fix lock up with the move cursor showing
	* Fix some leaks
	* Fix getting the trust setting from New CA dialogue
	* Don't activate the location entry if it's hidden


==============
Epiphany 1.4.8
==============

Changes

	* Fix crash when closing window while filepicker is up [#156816]
	* Use gnome_vfs_url_show() for Send To [#162532]
	* Set selection mode to BROWSE in topics selector [#162331]
	* We don't need to implement nsIBrowserHistory
	* Don't focus the close-tab button on click [#119461]
	* Don't store more than 5 hidden popups [Adam Hooper, #160863]
	* Fix a mem leak [#164302]
	* Really make confirm-overwrite dialogue have a parent window [#164189]
	* Rename EphyTab's "visible" property to not clash with GtkWidget property
	* Default typeaheadfindsea to on [#157435]
	* Switch to fullscreen toolbar also in lockdown fullscreen mode [#165256]
	* Disable DownloadLinkAs and SetAsBackground if saving to disk is disabled
	* Don't crash if we need to open an orphan non-chrome window [part of #165445]
	* Some sparse fixes
	* Ungrab the pointer when moving tab between notebooks [#165797]
	* Don't weak ref the shell when it's finalised already [#165542]
	* Don't show the menubar with F10 in lockdown mode [#165550]
	* Don't disable print preview if print setup is locked down [#165552]
	* Adapt to mozilla API changes
	* Implement nsIWebProgressListener [#165328]
	* Fix window destruction [#165992]


==============
Epiphany 1.4.7
==============

Changes

	* Use stock icon for "Open In New Tab" in History Window and Bookmarks Editor
	* Don't offer to resume if there are open windows [#160345]
	* Deactivate the context menu on window close [#156812]
	* Fix build in !MOZILLA_HAVE_PSM case
	* Make the extensions modules resident [#160945]
	* Disable Print and Print Preview while still loading the page [#116344]
	* Correct language code for Afrikaans
	* Adapt to changed mozilla APIs
	* Wrap the label in the Confirm Overwrite dialogue [#161771]

Translation updates

	* Ercin Eker (tr)


==============
Epiphany 1.4.6
==============

Changes

	* Fix wrong certificate stored (Christian) [#158453]
	* Disallow favicon links from subframes (Christian)
	* Fix opening of content when not downloading automatically (Marco) [#158466]
	* Add --disable-filepicker configure option (Christian)
	* Fix tabs menu ordering when using the tab-groups extension (Christian)
	* Fix event context computation (Christian)
	* Adapt to mozilla API changes (Christian; patch adapted from a galeon patch
	  by Crispin Flowerday)
	* Fix out-of-srcdir build (Marco, Christian)
	* Don't raise windows when using --new-tab (Christian) [#158923]

Translation updates

	* Jordi Mallach (ca)


==============
Epiphany 1.4.5
==============

Changes

	* Fix session remove command
	* Fix import of bookmarks in root folder [#152443]
	* Activate tray icon with double-click [#152899]
	* Add manpage (Jordi Mallach) [#156067]
	* Don't open all bookmarks in new tabs [#156843]
	* When showing a modal alert put up by a web page,
	  switch the window to that tab
	* Emit ::tab-removed after the tab has been removed [#151607]
	* Fix disconnect on node destroy [Peter Harvey]
	* Fix node signal [dis]connection while signal emission is running
	* Make sure there's only one properties diaogue per bookmark [#148398]
	* Fix crash when removing bookmark with open properties dialogue [#155880]
	* Fix toolbar activation [#155650]
	* Check favicon urls with script sec manager and content policy
	* Fix zoom control so that it shows tooltips again [#155826]
	* Make the tooltip on the zoom control also work on Ctrl-F1
	* When popping up the context menu with keyboard, select the first item [#154907]
	* Sanitise the embed popup position [#157162]
	* Fix button sensitivity setting in language editor not to first
	* Fix history date filter to work correctly in time zones != UTC
	* Better positioning for the context menu popup in a treeview (Crispin Flowerday)
	* Fix opening content with external content handlers (Marco)
	* Remove remaining time tooltip from tray icon [#145955]
	* Fix hang after importing bookmarks from command line [#136170]
	* Fix crash when no tool windows are open when the session manager
	  sends us the "die" signal
	* Fix opening anchored links in new tabs [#156854]
	* Adapted to Mozilla API changes
	* Fix a freed memory read

Documentation translations

	* Add manual translation into Finnish, by Pauli Virtanen

Translation updates

	* Ole Laursen (da)
	* Žygimantas Beručka (lt)
	* Leonid Kanter (ru)


==============
Epiphany 1.4.4
==============

Bug fixes

	* Add a list of printers to the print dialog. Fix printing
	  in several recent distributions. (Marco)
	* Remove duplicate AC_PROG_INTLTOOL (Christian) [#155028]
	* Fix a crash when rebuilding bookmarks menu (Christian) [#154805]

==============
Epiphany 1.4.3
==============

Bug fixes

	* Fix compilation with gtk+ 2.4.x.


==============
Epiphany 1.4.2
==============

Bug fixes

	* Set dialogs icon to default ephy icon (Christian)
	* Fix slow resize of the window with many tabs (Christian)
	* Don't allow activation of the hidden menubar
	  in print preview mode. (Christian)
	* Recognise "Desktop" special downloads directory. (Christian) [#152926]
	* Backwards compatibility with old mozilla plugins
	  location (Marco)

Translation updates

	* Changwoo Ryu (ko)
	* Gareth Owen (en_GB)

==============
Epiphany 1.4.1
==============

Code changes

	* Adapt to mozilla API changes (Christian)

Bug fixes

	* Auto-check new topics (Marco) [#151925]
	* Don't accept dragged toolbar items from other apps (Marco) [#152388]
	* Fix toolbar overflow menu items (Christian) [#151648]
	* Fix for too small tab close buttons (Marco) [#144772]
	* Enable conversion for favicon downloads (Marco) [#152866]
	* Fix overflow in remaining time calculation (Jhon Spray, Marco) [#153136]
	* Fix some mem leaks (Christian)
	* Fix ephy-bookmarks.h header (Christian) [#153766]
	* Fix compiler warnings (Christian)

Translation updates

	* Adam Weinberger (en_CA)
	* Olivier Cortes (fr)
	* Francesco Marletta (it)


==============
Epiphany 1.4.0
==============

Bug fixes

	* Fix invisible status icon (Christian) [#151501]

Documentation updates

	* Document popup window functionality (Adam) [#145412]

Translation updates

	* Abdulaziz Al-Arfaj (ar)
	* Vladimir "Kaladan" Petkov (bg)
	* Progga (bn)
	* Kenan Hadžiavdić (bs)
	* Jordi Mallach (ca)
	* Dafydd Harries (cy)
	* Ole Laursen (da)
	* Nikos Charonitakis (el)
	* Hasbullah Bin Pit (ms)
	* Kjartan Maraas (nb)
	* Pawan Chitrakar (ne)
	* Reinout van Schouwen (nl)
	* Åsmund Skjæveland (nn)
	* Kjartan Maraas (no)
	* Estêvão Samuel Procópio (pt_BR)
	* Isriya Paireepairit (th)
	* Ercin Eker (tr)
	* Mugurel Tudor (ro)
	* Ching-Hung Lin (zh_TW)


==============
Epiphany 1.3.8
==============

Code changes

	* Track mozilla API change on 1.7 branch (Christian)

Bug fixes

	* Make save-as obey lockdown key (Christian) [#151039]
	* Correct stored tab positioning after tab_added signal (Justin Wake)
	* Fix for bookmarks on main toolbar (Christian) [#151267]
	* Fix signal handler return values for popup_menu signal (Christian)
	* Fix crash on print to filename with nonabsolute path (Christian) [#148849]

Documentation

	* Added japanese translation of the manual, translated by 佐藤 暁 (SATOH Satoru)

Translation updates

	* Ole Laursen (da)
	* Christian Neumair (de)
	* Nikos Charonitakis (el)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ankit Patel (gu)
	* Gurban Mühemmet Tewekgeli (tk)


==============
Epiphany 1.3.7
==============

Bug fixes

	* Fix crash when loading a bookmark from the menu (Christian) [150982]

Translation updates

	* Francisco Javier F. Serrador (es)


==============
Epiphany 1.3.6
==============

Bug fixes

	* Fix mozilla components path (Marco) [#150358]
	* Fix default horizontal scroll wheel action (Christian) [#148557]
	* Fix for newer libtools (Christian) [#150673]
	* Keep passwords list in pdm dialogue up-to-date (Christian) [#150296]
	* Fix warning when moving tabs between windows (Christian) [#150822]
	* Partially fix bookmarks menu speed issue (Christian) [#150822]
	* Fix bookmarks menu hierarchy and auto-updating (Christian)
	  [#147470, #147786, #150246]
	* Change bookmarks hierarchy separator (Christian) [#149150]
	* Also pop up context menus with menu key (Christian) [#149150]

New and updated translations:

	* Mətin Əmirov (az)
	* Vladimir "Kaladan" Petkov (bg)
	* Kenan Hadžiavdić (bs)
	* Pauli Virtanen (fi)
	* Dvornik László (hu)
	* Takeshi AIHANA (ja)
	* Kjartan Maraas (nb)
	* GNOME PL Team (pl)
	* Laurent Dhima (sq)
	* Christian Rose (sv)
	* Jayaradha N (ta)
	* Maxim Dziumanenko (uk)


==============
Epiphany 1.3.5
==============

Code changes

	* Get rid of the startup script, and use rpath linking instead
	  (ported from galeon)
	* Adapt to changed mozilla APIs (Christian)

Bug Fixes

	* Fix application name i18n (Christian) [#148948]
	* Some mem leak fixes (Jean-François Rameau)
	* Fix restoring the history window on resume (Christian)
	* Fix dragging of urls which gnome-vfs can't handle (Christian)
	* Fix new tab positioning when opening tabs from drags (Christian)
	* Make keyword search URL localisable (Christian) [#144909]
	* Fix crash in ellipsising label (Christian) [#149114]
	* Sort topics by name in bookmark properties dialogue
	  (Christian Neumair) [#149639]
	* Fix some compiler warnings (Christian)
	* Fix compilation with gcc 2.95 (Christian)
	* Fix context menu on links with namespaced tag (Mikael Brockman) [#150208]

Translation updates

	* Arafat Medini (ar)
	* Mətin Əmirov (az)
	* Vladimir Petkov (bg)
	* Miloslav Trmač (cs)
	* Martin Willemoes Hansen (da)
	* Adam Weinberger (en_CA)
	* Gareth Owen (en_GB)
	* Francisco Javier F. Serrador (es)
	* Pauli Virtanen (fi)
	* Christophe Merlet (RedFox) (fr)
	* Alastair McKinstry (ga)
	* Ravishankar Shrivastava (hi)
	* Laszlo Dvornik (hu)
	* Takeshi AIHANA (ja)
	* Changwoo Ryu (ko)
	* Hasbullah Bin Pit (ms)
	* Reinout van Schouwen (nl)
	* Åsmund Skjæveland (nn)
	* GNOME PL Team (pl)
	* Duarte Loreto (pt)
	* Estêvão Samuel Procópio (pt_BR)
	* Mugurel Tudor (ro)
	* Dmitry G. Mastrukov (ru)
	* Laurent Dhima (sq)
	* Danilo Segan (sr, sr@Latn)
	* Maxim Dziumanenko (uk)
	* Liu Songhe (zh_CN)


==============
Epiphany 1.3.4
==============

Code changes

	* Add mime types to .desktop file (Xan)
	* Simplify proxy PAC handling (Christian)
	* Reworked node views (Marco)
	* Adapt to mozilla API change (Christian)
	* Don't use -include which isn't portable (Christian) [#143094]
	* Fix signedness warnings with gcc 3.5 (Jon Oberheide)
	* Misc popup blocker code cleanup (Adam)

Bug Fixes

	* Fix downloader crash on shutdown (Marco) [#141928]
	* Fix mem leaks in gtk NSS dialogues (Christian, ported from galeon)
	* Fix crash when importing bookmarks from mozilla (Marco) [#145611]
	* Gracefully handle inability to create downloads directory
	  (Marco) [#146902]
	* Fix profiler output for times > 1 s (Christian, ported from galeon)
	* Fix crash in the new bookmark dialogue with deleted topics
	  (Marco) [#144770]
	* Use our stock icon for the downloader icon in tray (Christian)
	* Fix dialogue title of Save Link As filechooser (Christian) [#138208]
	* Correctly update toolbar's not-removable flag (Christian)
	* Fix mem leak from toolbars model (Christian)
	* Fix non-ascii topic titles in the bookmarks menu (Christian) [#147469]
	* Fix download directory chooser initial directory (Christian) [#146055]
	* Confirm overwriting file from content handler (Christian) [#143501]
	* Fix crash when screen size changes after using fullscreen (Christian)
	* Fix print-to-file filechooser modality (Christian) [#147628]

New and updated translations:

	* Владимир Петков (bg)
	* Miloslav Trmač (cs)
	* Christian Neumair (de)
	* Francisco Javier F. Serrador (es)
	* Νίκος Χαρωνιτάκης (el)
	* Gareth Owen (en_GB)
	* रविशंकर श्रीवास्तव (hi)
	* 相花 毅 (ja)
	* Changwoo Ryu (ko)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (no)
	* GNOME PL Team (pl)
	* Duarte Loreto (pt)
	* Laurent Dhima (sq)


==============
Epiphany 1.3.3
==============

New features

	* Lockdown: disable_quit, disable_new_window,
	  first_window_fullscreen (Christian, Christopher James Lahey)

Interface changes

	* Sort history items by last visit
	* Improve bookmarks toolbar direct manipulation (Marco)

Bug Fixes

	* Fix print dialog filename encoding (Christian)
	* Fix some memory leaks (Xan, Christian)

New Translations:

	* רועי קרשטיין, גיל אשר (he)

Updated Translations:

	* Vladimir Petkov (bg)
	* Miloslav Trmac (cs)
	* Ole Laursen (da)
	* Nikos Charonitakis (el)
	* Gareth Owen (en_GB)
	* Francisco Javier F. Serrador (es)
	* Gil Osher (he)
	* Laszlo Dvornik (hu)
	* Takeshi AIHANA (ja)
	* Estêvão Samuel Procópio (pt_BR)
	* Laurent Dhima (sq)

==============
Epiphany 1.3.2
==============

Bug fixes

	* Fix crash when download finishes (Xan)

Translations

	* Xavier Conde Rueda (ca)


==============
Epiphany 1.3.1
==============

New features

	* Load extensions from ~/.gnome2/epiphany/extensions too (Ross Burton) [#143835]
	* Allow importing of our own bookmarks format (Christian) [#144699]
	* Support for working offline (Christian)
	* Integrated popup blocking (Adam)

Removed features

	* Removed support for mozilla 1.6 (Marco)

Interface changes

	* Append new tabs to the end instead of grouping them (Marco)
	* Add "New Topic" button to the New Bookmark dialogue (Marco) [#110640]
	* Improved import and presentation of hierarchical bookmarks (Marco)
	* Implemented "Open in tabs" from toolbar topics (Marco) [#108143]
	* New tab load animation (Christian)
	* Reordering of bookmarks on toolbar by DND (Marco)
	* Add Open In Tabs to toolbar topics (Marco)
	* Add context menus for bookmarks and topics on toolbars (Marco)
	* Use Blank Page icon as default icon (Marco)
	* Add mim-type icon in downloader (Xan)

Code changes

	* Ported to mozilla embed strings (Marco, Christian, Xan)
	* Moved external protocol handler prefs to js file (Marco)
	* Disabe xpinstall by default (Christian) [#144035]
	* Separate bookmarks from other toolbars (Christian, Marco)
	* Implement popup-blocked signals (Adam) [part of #111930]
	* Includes cleanup (Marco)
	* Allow custom types in the permissions manager (Christian)
	* EphyNode ID cleanups (Marco)
	* Simplify printing code (Marco)
	* Track mozilla trunk API changes (Christian)

Bug fixes

	* Fixed "Exit Fullscreen" popup position in RTL locales (Christian) [#140828]
	* Fix filechooser default name in !modeSave mode (Christian)
	* Fix webcal: uris (Marco) [#143899]
	* Don't hide clipboard actions on input context (Marco) [#139040]
	* Fix CSS background context menu (Crispin Flowerday) [#143602]
	* Retain custom data when moving toolbar items around (Marco)
	* Fix spinner in gradient themes (Crispin Flowerday) [#134686]
	* Escape some strings when using them in labels with markup
	  (Crispin Flowerday, Christian)
	* Fix reload of framed pages not to go to top url (Christian) [#115800]
	* Use generic name in .desktop file (Marco) [#144284]
	* Fix Control-L location bar activation (Christian) [#144191]
	* Hide non-toplevel urls from history (Christian) [#142143]
	* Fix crash with confused toolbars file (Christian) [#144698]
	* Fix toolbar visibility after fullscreen (Christian) [#144785]
	* Fix serials on files with 2 extensions (.tar.gz) (Xan)
	* Always show menubar on F10 (Christian) [#141999]
	* Fix context menu on form elements (Christian) [#143942]
	* Fix display of IDN domain names for cookies and password (Christian) [#130930]
	* Unescape email address when copying to clipboard (Christian) [144462]
	* Don't delete bookmark when dragging to a tab (Marco) [#145254]

Documentation translations

	* New translation of documentation into spanish
	  by Francisco Javier F. Serrador

Translations

	* Mətin Əmirov (az)
	* Владимир Петков (bg)
	* Miloslav Trmač (cs)
	* Christian Neumair (de)
	* Ole Laursen (da)
	* Νίκος Χαρωνιτάκης (el)
	* Alexander Winston (en_CA)
	* Gareth Owen (en_GB)
	* 相花 毅  (ja)
	* Reinout van Schouwen (nl)
	* GNOME PL Team (pl)
	* Estêvão Samuel Procópio (pt_BR)
	* Marcel Telka (sk)
	* Данило Шеган  (sr, st@Latn)
	* Laurent Dhima (sq)
	* Liu Songhe (zh_CN)


==============
Epiphany 1.3.0
==============

Removed features

	* Dropped support for mozilla < 1.6 (Christian)
	* Removed nautilus view (Christian)

Interface improvements

	* Fix duplicate accesskey, use correct case for button text and make
	  message selectable in the confirm-close dialogue (Piers)
	* Use verb for action button and various minor tidy ups on the import
	  dialogue (Piers)
	* Add "Save Link As..." to Image/Link popup (Christian) [#138207]
	* Remove "Open Image in New [Tab|Window]" from the context menu
	  (Christian)
	* Remove extraneous separators in context menus (Christian) [#115897]
	* Use right capitalisation for fonts lang label in prefs (Piers)
	* Make buttons the same size in Industrial theme and make text
	  selectable in history confirm-clear dialogue (Piers)
	* Make prefs, pdm and print setup dialogues transient to their parent
	  and destroy with parent (Christian) [#139124]
	* Make warning message selectable in content handler dialogue (Piers)
	* Sort the actions in the location entry autocompletion dropdown
	  (Christian) [#139575]
	* Add Ctrl+S as an alternate accel for "Save As" (Piers) [#139415]
	* Add "Downloads" folder shortcut to our file chooser dialogues
	  (Christian)
	* HIGified confirm-overwrite dialogue (Patanjali Somayaji, Piers)
	  [#133152]
	* Make Escape cancel overwrite dialog (Piers)
	* Add some filters to the file chooser dialogues (Christian) [#139418]
	* Jump to new tabs created from command lines (Christian) [#141168]
	* Fix accelerator for OpenImage action (Christian)
	* Statusbar re-design: Move lock icon to left; hide progress bar when
	  no activity (Christian) [#137845]
	* Simplify context menu wrt. frames (Christian) [#138442]
	* Open bookmark in new tab on middle-click (Christian) [#106250]

Code changes

	* Made sure every file includes config.h (Christian)
	* Use more efficient mozilla string conversion routines (Christian)
	* Adapt to various mozilla API changes (Marco, Christian, Xan, Piers)
	* Improve chrome handling (Marco)
	* Cleanup after making EphyTab a GtkBin (Christian)
	* Some API cleanups (Adam)
	* Some comment cleanups (Adam)
	* Register stock icons (Christian)
	* Added/improved some debug output (Christian)
	* Get rid of #if GTK_CHECK_VERSION() stuff and remove optionmenu code
	  in the Gtk NSS dialogues (Christian)
	* Synchronise editable toolbar changes from galeon, this fixes simple
	  usage, stops crashes when dragging items to and from other
	  applications, and adds the ability to override the toolbar style
	  (Crispin Flowerday)
	* Track the active window with focus events (Christian)
	* Eliminate ExternalProtocolHandlers in favor of setting prefs to make
	  Mozilla not handle the protocols internally (Christian Biesinger)
	* Add defines for private mozilla api usage to make it easier to track
	  what we need to port to embed string and what we need to be using only
	  public api (Marco)
	* Make the statusbar's GtkTooltips publicly accessibly (Christian)
	* Clean up encoding handling (Christian)
	* Allow compilation without mozilla wallet extension (Christian)
	* Some fixes for compilation with gcc 2.95 (Christian)
	* Backport changed from the new gtkcellrendererprogress which
	  was based on ephy's, to support RTL and fix overflow bug (Christian)
	* Various solaris portability fixes (Brian Cameron, Christian)

Bug fixes

	* Remove unnecessary g_object_notify()s (Marco)
	* Fix test for toolbar removability (Christian)
	* Don't crash when draggin a toolbar separator around (Christian)
	* Make location entry not have a proxy menu item (Christian)
	* Make select-by-key support unsorted lists (Xan) [#137054]
	* Don't unref NULL icons (Christian) [#137715]
	* Fix content policy contract-ID (Christian)
	* Set window border icon on the about dialogue (Christian) [#137806]
	* Fix width of "Add" button in PDM dialogue with some themes
	  (Christian) [#137811]
	* Fix XBEL mime type for import (Marco)
	* Fixes to API documentation build (Adam, Christian)
	* Make the "Go" button actually work (Christian)
	* Fix arg type of dom_* signals to match the closure (Christian)
	* Use stock icon for "Open" on content handler dialogue
	  (Christian) [#135765]
	* Use stock icon for "Download" on content handler dialogue (Christian)
	* Fix proxy tool item disconnection on location entry (Christian)
	* Fix opening of bookmarks in new tabs when there is no existing window
	  (Christian) [#138343]
	* Fix context menu on anchors without href attribute (Christian) [#138200]
	* Make startup script work on older solarises (Christian) [#138088]
	* Fix filechooser response codes (Federico Mena Quintero) [#138263]
	* Fix compilation with -fdata-sections (Christian) [#136878]
	* Don't allow a font size less than 1 (Piers)
	* Fix bookmarks toolbar visibility in fullscreen and print preview mode
	  as well as for javascript popups (Christian) [#138520]
	* Fix link drag-and-drop to empty space on notebook (Christian) [#138902]
	* Don't abort on gconf errors, just display a message on console
	  (Christian) [#139247]
	* Make ephy-node refcount initialize to 1 and not 0 (Adam)
	* Fix various filename encoding bugs (Christian)
	* Don't quit the filechooser when selecting "No" from the confirm-
	  overwrite dialogue (Christian) [#139400]
	* Set the action's accel_path, fixes crash when dynamically assigning
	  accels (Christian) [#139641]
	* Fix saving of linked content. Don't create the directory; mozilla
	  will do it for us if necessary (Christian)
	* Make the "Files" suffix translatable (Christian)
	* Removed the ge_popup_blocked signal on EphyEmbed (Adam)
	* Do not uncompress when the type is not html (Marco) [#131778]
	* Fix chrome for new windows opened from _blank target (Marco) [#139512]
	* Fix font selection combo box issues (Christian) [#138560]
	* Fix encoding of saved content (Marco) [#141050]
	* Exit print preview mode before closing a window; fixes a crash
	  (Christian) [galeon #121298]
	* Fix crash when trying to get URL from unrealizes EphyEmbed (Marco)
	* Fix some mem and refcount leaks (Christian)
	* Always pass the cache key to the persist object so we don't re-fetch
	  the page on save (Christian) [#141652]
	* Forward download nsIAuthPrompt interface to the single sign-on prompt
	  (Christian)
	* Destroy the EphyBrowser in destroy handler, but delete it only on
	  finalize. Make public EphyBrowser methods safe for calling after
	  Destroy (Christian) [#142184]
	* Fix LD_LIBRARY_PATH in startup script never to (implicitly) include
	  current dir (Christian) [#141576]
	* Fix observer topic check for cookie "cleared" notification (Christian)
	* Fix capitalisation in filechoose filter names (Christian)
	* Emit the "tab_removed" signal also for the window's last tab
	  (Christian) [#142078]
	* Fix stupid bug which prevented compilation with gcc 3.4 (Christian)
	* Eliminate indeterminate progress (Christian) [#142303, #142305]
	* Fix toolbar editor drag icon theming bug (Crispin Flowerday)
	* Fix reload not to use forced reload by default (C. J. N. Breame) [#143365]

Documentation

	* xml docs validity fixes (Piers)
	* xml docs validity fixes (Sebastian Heinlein) [#140918]
	* Improve description of 'secure' cookies (Piers) [#136443]
	* API documentation (Adam)
	* Maintenance of 1.4 plan (Piers, Marco)
	* Update screenshots (Piers)
	* Updated Smart Bookmarks help content (Matthew Gatto) [#139616]
	* Minor updates to match UI (Piers)

Documentation translations

	* Francisco F. Serrador (es)
	* Hizkuntza Politikarako Sailburuordetza (eu)

Translations

	* عرفات المديني، تونس (ar)
	* Владимир Петков (bg)
	* Xavier Conde Rueda (ca)
	* Miloslav Trmač (cs)
	* Ole Laursen (da)
	* Alexander Winston (en_CA)
	* Gareth Owen (en_GB)
	* Iñaki Larrañaga Murgoitio (eu)
	* Francisco Javier F. Serrador (es)
	* Alastair McKinstry (ga)
	* નીરવ, અંકિત, અંકુર, અતિત, ભાવિન, કાર્તિક, ખુશ્બુ, શ્વેતા (gu)
	* Dvornik László (hu)
	* helgi (is)
	* Žygimantas Beručka (lt)
	* Åsmund Skjæveland" (nn)
	* ਅਮਨਪ੍ੀਤ ਸਿੰਘ ਅਾਲਮ (pa)
	* Duarte Loreto (pt)
	* Дмитрий Мастрюков (ru)
	* Marcel Telka (sk)
	* Laurent Dhima (sq)
	* Ma SivaKumar (ta)
	* อิสริยะ ไพรีพ่ายฤทธิ์ (th)
	* Pablo Saratxaga (wa)
	* Liu Songhe (zh_CN)


===============
Epiphany 1.2.10
===============

Changes

	* Fix proxy PAC loading (Christian)
	* When showing a modal alert put up by a web page, switch the window
	  to that tab (Christian)
	* Check favicon urls with script sec manager and content policy


==============
Epiphany 1.2.9
==============

Code changes

	* Drop support for Mozilla 1.8a2
	* Support for Mozilla 1.8a3 and 1.8a4

Bug fixes

	* Fix default horizontal scroll wheel action (Christian) [#148557]
	* Fix glade symbol lookup with newer libtools (Christian) [#150673]
	* Pop up context menu with menu keys too (Christian) [#150830]
	* Fix printing to file with a non-absolute path (Christian) [#148849]
	* Fix session file remove command (Christian)

Translations

	* Iñaki Larrañaga Murgoitio (eu)
	* Nirav, Ankit, Ankur, Atit, Bhavin, Kartik, Khushbu, Sweta (gu)
	* Isriya Paireepairit (th)


==============
Epiphany 1.2.8
==============

Code changes

	* Adapt to Mozilla API changes (Christian)
	* Confirm before overwriting a file (Christian) [#143501]

Bug fixes

	* Fix compilation of nautilus view (Christian) [#148995]
	* Fix some memory leaks (Jean-François Rameau)
	* Really translate the program name (Christian) [#148948]
	* Fix restoring the history window on resume (Christian)
	* Fix new tab position (Christian)
	* Fix a crash in content handler (Christian) [#149550]
	* Fix context menu on links with namespaced tag (Mikael Brockman) [#150208]


==============
Epiphany 1.2.7
==============

Code changes

	* Adapt to mozilla API changes (Christian)
	* Use nsIDOMWindow2 to get the root event target on
	  mozilla >= 1.7rc3 (Christian)

Bug fixes

	* Work around mozilla bug #246392 which causes reloads of framed pages to
	  go back to original URI (backported from HEAD) (Christian) [#115800]
	* Escape markup in string in the duplicate bookmarks dialogue
	  and topics menu (Christian)
	* Escape markup in strings in the NSS dialogues (Crispin Flowerday)
	* Work around mozilla bug #246392 which causes reload of framed pages to go
	  back to initial frameset (Christian, Crispin Flowerday) [#115800]
	* Don't show redirected and non-toplevel pages in history (Christian) [#142143]
	* Allow importing of Epiphany bookmarks format too (Christian) [#144699]
	* Fix crash with corrupted toolbars file (Christian) [#144698]
	* Fix prefs persistence with non-existent or bogus initial values (Christian)
	* Unescape mailto: addresses (Christian) [#144462]
	* Fix filename encoding for print-to-file (Christian)
	* Depend on libgnomeui >= 2.6.0 (Christian) [#145776]
	* Make print and print setup go through nsIPrintingPromptService (Christian,
	  backported from HEAD)
	* Fix print-to-file filechooser modality (Christian) [#147628]
	* Fix mem leaks in gtk NSS dialogues (Christian, ported from galeon)
	* Gracefully handle failure to create downloads directory (Marco) [#146902]
	* Fix single observer ownership and reference counting (Christian) [#146873, #146461]
	* Fix downloader crash on shutdown (Marco) [#141928]
	* Fix build with old mozilla versions (1.4.x, 1.5) (Christian)
	* Use nsACString instead of nsCString in a few places in EphyWrapper (Christian)
	* Fix crash on screen size change after using fullscreen (Christian)

New translations

	* רועי קרשטיין, גיל אשר (he)

Updated translations

	* Владимир Петков (bg)
	* Xavier Conde Rueda (ca)
	* Trịnh Minh Thanh (vi)


==============
Epiphany 1.2.6
==============

Code changes

	* Support for mozilla 1.7rc1, 1.7rc2, 17rc3, 1.7 branch and trunk
	  (Christian, Marco, Carlos Romero)
	* Eliminate external protocol handlers and use prefs instead (Christian Biesinger)
	* Various solaris portability fixes (Brian Cameron, Christian)
	* Filter unwanted urls from history (Christian) [#142143]
	* Disable xpinstall by default (Christian) [144035]

Bugfixes

	* Fix some compile warnings (Christian)
	* Use single sign-on prompt for downloads too (Christian)
	* Fix crash with popup window and when opening windows from command line
	  (Christian) (backported from HEAD) [#142184]
	* Fix compilation with gcc 2.95 (Christian)
	* Fix LD_LIBRARY_PATH setting in startup script (Christian) [#141576]
	* Fix a mem leak in the toolbar editor (Christian)
	* Fix cookies-cleared notification (Christian)
	* Fix toolbar editor dragging theme bug (Crispin Flowerday)
	* Fix reload not to use forced reload by default (C. J. N. Breame) [#143365]
	* Fix filechooser default filename shown from web form file inputs (Christian)
	* Fix opening of webcal: urls (Marco) [#139040]
	* Fix check for firefox bookmarks file import (Christian)
	* Fix contextmenu on unfocused text fields (Marco) [#139040]

Documentation translations

	* Translated to spanish (es) by Francisco F. Serrador

Translations

	* Владимир Петков (bg)
	* Νίκος Χαρωνιτάκης  (el)
	* อิสริยะ ไพรีพ่ายฤทธิ์ (th)
	* Gurban Mühemmet Tewekgeli (tk)
	* Дмитрий Мастрюков (ru)


==============
Epiphany 1.2.5
==============

Bugfixes
	* Make saving a web page not re-fetch the page (Christian) [#141652]
	* Fix crash on startup (Marco) [#141262]

Translations
	* Duarte Loreto (pt)

Documentation
	* New translation of help into Basque (eu) by
	  Hizkuntza Politikarako Sailburuordetza
	* Updated screenshots in help (Piers)
	* Updated help on smart bookmarks (Matthew Gatto) [#139616]


==============
Epiphany 1.2.4
==============

Bugfixes
	* Fix problem with font selection in prefs dialogue (Christian)
	* Fix encoding of downloaded and saved content (Marco) [#126571, #141050]
	* Fix crash when closing a window while in print preview
	  mode (Christian) [#121298]

Translations
	* John C Barstow (mi)


==============
Epiphany 1.2.3
==============

Code changes
	* Cleanup chrome handling (Marco)

Bugfixes
	* Fix bookmarks import from XBEL (Marco)
	* Set window icon on "About" dialogue (Christian)
	* Fix "Add" button appearance for some themes (Christian)
	* Fix "Go" button (Christian)
	* Fix "Open In New Tabs" from bookmarks editor (Christian) [#138343]
	* Fix context menu for anchors without href (Christian) [#138200]
	* Fix context menu for linked images (Christian) [#138200]
	* Fix startup script on solaris (Marco) [#138088]
	* Fix filechooser handling (Federico Mena Quintero) [#138263]
	* Fix compilation with -fdata-sections (Christian) [#136878]
	* Check for invalid font size pref (Piers)
	* Fix clear-history dialogue button size with themes (Piers)
	* Fix bookmarks toolbar visibility in fullscreen and ppview
	  mode (Christian) [#138520]
	* Fix link dragging to new notebook tabs (Christian) [#138902]
	* Sync toolbar code with galeon gtk 2.4 port; fixes crash when
	  dragging items from other applications (Crispin Flowerday)
	* Fix homepage setting to current page (Christian) [#139124]
	* Make pdm, prefs and print setup dialogue transient (Christian)
	* Sort the actions in location entry drop-down (Christian) [#139575]
	* Don't quit filechooser when choosing not to overwrite an
	  existing file (Christian) [#139400]
	* Fix filename encoding in confirm-overwrite dialogue (Christian)
	* Fix accel setting for dynamic menus (Christian) [#139641]
	* Don't gunzip downloaded files (Marco) [#131778]
	* Fix content policy contract ID (Christian)
	* Fix chrome handling for new windows from _blank target links
	  (Marco) [#139512]
	* Make message selectable in content handler dialogue (Piers)

Translations
	* Vladimir Petkov (bg)
	* Iñaki Larrañaga, Hizkuntza Politikarako Sailburuordetza (eu)
	* helgi (is)
	* Dvornik László (hu)
	* Kjartan Maraas (no)
	* Amanpreet Singh Alam (pa)
	* Дмитрий Мастрюков (ru)


==============
Epiphany 1.2.2
==============

Translations:
	* Amanpreet Singh Alam (pa)
	* Duarte Loreto (pt)
	* Åsmund Skjævelan (nn)
	* Gujarati team at Magnet-i (gu)
	* Trinh Minh Thanh (vi)


===============
Epiphany 1.2.1
===============

Bug fixes:
	* Fix a crash when opening bookmarks properties (Christian)

Translations:
	* Arafat Medini (ar)
	* Dmitry G. Mastrukov (ru)
	* Gabor Kelemen (hu)
	* Åsmund Skjæveland (nn)
	* Liu Songhe (zh_CN)
	* Marcel Telka (sk)
	* Ma SivaKumar (ta)
	* Rhys Jones (cy)
	* Sanlig Badral (mn)
	* Vladimir Petkov (bg)
	* Xavier Conde Rueda (ca)


==============
Epiphany 1.2.0
==============

Bug fixes:
	* Fix a crash when dragging an url from an external application to
	  epiphany (Marco)
	* Fix crash when downloading a link on Freebsd (Joe Marcus Clarke)

Translations:

	* Åsmund Skjæveland (nn)
	* Gustavo Maciel Dias Vieira (pt_BR)
	* John C Barstow (mi)
	* Ma SivaKumar (ta)
	* Miloslav Trmac (cs)
	* Priit Laes (et)
	* Progga (bn)
	* Roozbeh Pournader (fa)
	* Takeshi AIHANA (ja)
	* tunggul arif siswoyo (id)
	* Vladimir Petkov (bg)

===============
Epiphany 1.1.12
===============

Bug fixes:
	* Fix toolbar remove (Christian)
	* Fix crash when dragging a separator from toolbar back to tbe (Christian)
	* Fix crash when trying to activate the location entry's proxy menu item (Christian)

Translations:

	* Алесь Няхайчык (be)
	* Rhys Jones (cy)
	* Adam Weinberger (en_CA)
	* GNOME PL Team (pl)
	* Mugurel Tudor (ro)


===============
Epiphany 1.1.11
===============

Code changes
	* Change EphyTab to a GtkBin containing the MozillaEmbed widget
	  (Christian)
	* Backup bookmarks files before overwriting them when loading failed (Christian)
	* Adapt to changed Mozilla API (1.7b) (Christian)

Bugfixes
	* Fix check if link can be opened in new tab (Marco)
	* Unescape the suggested filename in the filechooser (Xan)
	* Respect max-size property of EphyEmbedPersist (Marco)
	* Don't show "about:blank" to the user (Marco)
	* Replace entities in imported folder names from mozilla (Christian)
	* Fix for gtk+ filechooser API change (Christian)
	* Don't make windows larger than the screen (Marco)
	* Fix check for firebird bookmarks directory (André Dahlqvist)
	* Fix toolbar dnd to the location entry (Marco)
	* XBEL bookmarks importer fixes (Christian)
	* Fix uncategorising a bookmark (Marco)
	* Don't restore windows in reverse order (Marco)
	* Fix filename decoding in Content-Disposition headers (Christian)
	* Fix double-unref of failed/cancelled favicon downloads (Christian)
	* Fix "Open" button label in content handler (Marco)
	* Fix MozDownload lifecycle bug, was crashing on aborting downloads (Marco)
	* Fix EphyDownload lifecycle interaction with MozDownload bug (Christian)
	* Check for NULL subtree before trying to parse it on node db load (Christian)
	* Activate the downloader tray icon with double-click not single-click (Marco)
	* Ensure we always have a BookmarksBar in the toolbars model (Christian)
	* Fix smart bookmark property update on bmk location change (Christian)
	* Fix smart bookmark property sync on toolbar item (Christian)
	* Don't show two resume dialogues, just raise the existing one (Marco)
	* Don't remember filechooser size, fixes dialogue sizing in Save mode (Christian)
	* Don't ask about unsubmitted changes when the embed is closed from js (Marco)
	* Fix favicon updating in bookmarks menu and toolbar (Christian)
	* Fix bookmarks re-categorising by dnd (Christian)
	* Fix high CPU usage on download by lowering update interval (Christian)
	* Fix "About" dialogue icon (Christian)
	* Fix crash when closing a still-loading popup (Christian)
	* Fix filename validation not to produce invalid unicode string (Christian)
	* Don't assume Desktop location, check with gconf pref (Christian)
	* Fix unsubmitted change check code not to return error for XUL documents (Christian)
	* Fix user-changed accelerator persistence (Christian)
	* Also pop up context menu from Menu key (Christian)

Translations
	* Mətin Əmirov (az)
	* Ole Laursen (da)
	* Κώστας Παπαδήμας (el)
	* Priit Laes (et)
	* Pauli Virtanen (fi)
	* Christophe Merlet (fr)
	* रविशंकर श्रीवास्तव (hi)
	* Laszlo Dvornik (hu)
	* Francesco Marletta (it)
	* Changwoo Ryu (ko)
	* Žygimantas Beručka (lt)
	* Hasbullah Bin Pit (ms)
	* Reinout van Schouwen (nl)
	* Kjartan Maraas (no)
	* Duarte Loreto (pt)
	* Laurent Dhima (sq)
	* Christian Rose (sv)


===============
Epiphany 1.1.10
===============

Bugfixes
	* Adapt to mozilla API changes (Christian)
	* Fix predictable temp file name (Marco)
	* Fix an error in the schema file (Julio M. Merino Vidal)
	* Fix --with-html-dir configure arg (Julio M. Merino Vidal)
	* Fix toolbar editor table layout off-by-one error (Christian)
	* When removing a toolbar make its items available again in the
	  toolbars editor (Christian)
	* Typo fixes in help file (Alexander Winston)
	* Fix toolbar height when adding the first item (Christian)

Translations

	* Adam Weinberger (en_CA)
	* Алесь Няхайчык (be)
	* Changwoo Ryu (ko)
	* Christian Neumair (de)
	* Christian Rose (sv)
	* Данило Шеган (sr, sr@Latn)
	* Duarte Loreto (pt)
	* Francisco Javier F. Serrador (es)
	* GNOME PL Team (pl)
	* Laurent Dhima (sq)
	* Miloslav Trmač (cs)
	* Ole Laursen (da)
	* Reinout van Schouwen (nl)
	* 相花 毅 (ja)


==============
Epiphany 1.1.9
==============

Bugfixes
	* Fix compilation with certain gcc version
	* Fix filechooser filters when shown from mozilla
	* Hide filechooser after response, since it won't be destroyed immediately
	  when shown from javascript

Translations:
	* Christophe Merlet (fr)
	* Kjartan Maraas (no)
	* Miloslav Trmac (cs)
	* Mətin Əmirov (az)

==============
Epiphany 1.1.8
==============

Code changes

	* Use gnome-common to generate help makefiles (Marco)

Interface improvements

	* Use title capitalisation in the clear history dialog (Piers Cornwell)
	* Use a default width/height for dialogs with treeviews
	  that don't have a fixed requisition (Biggest Flake Ever)
	* Set a default height/width for the encoding dialog (Dave)
	* Don't show Find, Add Language, and Encodings dialogue in
		  window list.
	* Now that GtkComboBox supports mnemonic activation,
		  set the focus target of the combos labels (Christian)
	* Make resume dialog warning message selectable
	  per HIG (Piers Cornwell)
	* Make columns resizable (Marco Pesenti Gritti)

Bugfixes

	* Fix a lot of memleaks (Christian)
	* Fix toolbar overflow menus creation (Christian)
	* Honour the --with-gconf-schema-file-dir and
	  --disable-schemas-install configure options
	  (Julio M. Merino Vidal)
	* Fixup completion matching and priority calculation (Marco)
	* Put the serial numbers in duplicated filenames just before
		  the last dot so we won't confuse apps like file-roller. (Xan)
	* In downloader when open is explicitly requested from
	  the dialog use a temporary file (Marco)
	* Sync with mozilla 1.7a api (Christian)
	* Reenable indentation of node xml (Christian)
	* Fix numerous places where we weren't properly
	  converting between UTF-8 and filename encoding. (Christian)
	* Unify fallback downloads dir to get the
	  home directory (Christian)
	* Don't set entries insensitive, only set the non-editable when the
		  gconf key isn't writable. (Christian)
	* Changed .pc file version to 1.2 (Christian)
	* Make statusbar api public for plugins (Christian)
	* Fix several problems in the safe/unsafe downloads logic (Marco)

Translations

	* Ales Nyakhaychyk (be)
	* Arafat Medini (ar)
	* Changwoo Ryu (ko)
	* Christian Neumair (de)
	* Christophe Merlet (RedFox) (fr)
	* Danilo Segan (sr)
	* Duarte Loreto (pt)
	* Francisco Javier F. Serrador (es)
	* Funda Wang (zh_CN)
	* GNOME PL Team (pl)
	* Hasbullah Bin Pit (ms)
	* John C Barstow (mi)
	* Kjartan Maraas (no)
	* Kostas Papadimas (el)
	* Laurent Dhima (sq)
	* Maxim Dziumanenko (uk)
	* Miloslav Trmac (cs)
	* Pauli Virtanen (fi)
	* Žygimantas Beručka (lt)

==============
Epiphany 1.1.6
==============

Code changes

	* Add default width/height to EphyDialogs (Marco)
	* Add a way to get the downloads dir (Marco, Christian, Adam Hooper)

Interface improvements

	* Use EPHY_STOCK_DOWNLOAD for download link icon (David Bordoley)
	* Add a hidden "Tools" menu that extensions can use (David Bordoley)

Bugfixes

	* ephy-tab LOAD_PROGRESS property typo fix (Adam Hooper)
	* Fix many, many memory leaks in 28 functions (Christian)
	* Fix property getter of favicon "icon" property (Christian)
	* Fix encoding conversion of "Untitled" filename suggestion (Christian)
	* Don't crash when reading RDF file fails on bookmark import (Christian)
	* Use rdf:resource instead of rdf:about on bookmark export (Christian)
	* Sync topic names in the bookmarks menu (Christian)
	* Fix bookmarks options parsing (Christian)
	* Fix linking with nautilus view enabled (Christian Persch)
	* Don't initialize EphyBrowser multiple times (Marco)
	* Fix download cancelling (Marco)
	* Fix compilation with Mozilla 1.4 (Christian)
	* Don't display accelerators in tab titles (Christian)
	* Remove misleading comment for ephy_string_blank_chr (Adam Hooper)
	* When checking forms for modifications, handle text
	  entries with default value longer than maxlength (Christian)

Documentation

	* Update documentation (Piers Cornwell)
	* Update screenshot (David Bordoley)
	* Update copyright date (Christian)

Translations

	* Changwoo Ryu (ko)
	* Kjartan Maraas (no)
	* Hasbullah Bin Pit (ms)
	* Francisco Javier F. Serrador (es)
	* Miloslav Trmac (cs)
	* Danilo Segan (sr)
	* Danilo Segan (sr@Latn)
	* Christophe Merlet (RedFox) (fr)
	* GNOME PL Team (pl)
	* Žygimantas Beručka (lt)
	* Sanlig Badral (mn)
	* Kostas Papadimas (el)
	* Christian Neumair (de)
	* Reinout van Schouwen (nl)
	* Laurent Dhima (sq)
	* Alastair McKinstry (ga)
	* Duarte Loreto (pt)
	* Christian Rose (sv)

==============
Epiphany 1.1.5
==============

Bugfixes

	* Fix dialogs size persistance

==============
Epiphany 1.1.4
==============

Code changes

	* Make EphyEmbedEvent abstract, implemented by MozillaEmbedEvent (Christian)
	* Api to get the page content into a string (Lee Willis)
	* Use ngettext for number of downloads and remaining minutes display in
	  the tooltip of the tray icon. (Piers Cornwell)
	* Allow to open glade files not inside epiphany dirs (Adam Hooper)
	* Make Cancel safe against non active downloads (Xan)
	* Allow passing the translation domain to ephy_dialog_construct,
		  to make extension's dialogues translatable. (Christian)

Interface improvements

	* Allow to  show/hide downloader clicking on tray icon (Xan)
	* Show help for menu items in the statusbar (Christian)
	* Use a Downloads folder on the desktop by default (Marco)
	* Allow to disable automatic downloads (Marco)
	* Re-enable fonts language font filtering (Christian)
	* Better string for history disabling lockdown pref (Marco)
	* Delete UTF-7 from our list of known encodings (Christian)
	* Persist downloader position (Marco)

Bugfixes

	* Fix crash closing windows/tabs (Christian)
	* Actually save the file in downloads dir and then
		  open it (Marco)
	* Create an epiphany temp dir in /tmp so that we can have
	  the right permissions on it (Christopher James Lahey)
	* Work around a bug in mozilla where  0xa0 (NBSP) are
	  converted to spaces (Christian)
	* Fix force reload (Christian)
	* Do not use the same pref of 1.0 for the download dir,
	  they are different things (Marco)
	* Do not use the downloader folder key to persist
	  Save As actions (Marco)

Translations

	* Miloslav Trmac (cs)
	* Christian Neumair (de)
	* Nikos Charonitakis (el)
	* Francisco Javier F. Serrador (es)
	* Alastair McKinstry (ga)
	* Changwoo Ryu (ko)
	* Hasbullah Bin Pit (ms)
	* Reinout van Schouwen (nl)
	* Kjartan Maraas (no)
	* Artur Flinta (pl)
	* Danilo Šegan  (sr, sr@Latn)
	* Laurent Dhima (sq)

==============
Epiphany 1.1.3
==============

Code changes

	* Add API to clear http auth cache (Christian)
	* Fix compilation with mozilla 1.4 (Christian)
	* Some API naming unification (Christian)
	* Add API to get the EphyTab from its EphyEmbed (Christian)
	* Better error checking in mozilla glue code (Christian)
	* Track mozilla trunk API changes (Christian)

New features

	* Set SOCKS host from GNOME global preferences (Christian)
	* Check if there was input in forms before closing the tab/window,
	  and warn user if there are unsubmitted changes (Christian)
	* More lockdown features (Christopher J. Lahey, Christian)
	* Caret browsing (enabled/disabled with F7) (Christian)
	* Add back "Download Link As..." to the context menu (Xan)

Interface improvements

	* Always show "Copy" in the context menu when there is a selection
	  (Michael Terry)
	* Add "Help" buttons to all dialogues (Piers Cornwell)

Bugfixes

	* Fix some mem leaks (Christian)
	* Fix the encoding menu in the case that the encoding is unknown to us
	  (Christian)
	* Fix logic error in window position restoring (Dave Jones)
	* Fix startup crash when lockdown enabled (Christopher J. Lahey)
	* Fix gobject implementation error in notebook finalize (Christian)

Documentation

	* Updated OMF file (Piers Cornwell)

Translations

	* Arafat Medini (ar)
	* Changwoo Ryu (ko)
	* Christian Neumair (de)
	* Christian Rose (sv)
	* Danilo Segan (sr, sr@Latn)
	* Duarte Loreto (pt)
	* Francesco Marletta (it)
	* Francisco Javier F. Serrador (es)
	* GNOME PL Team (pl)
	* Joao Emanuel (pt_BR)
	* Michael Everson (ga)
	* Miloslav Trmač (cs)
	* Progga (bn)
	* Robert Sedak (hr)
	* Roozbeh Pournader (fa)
	* Sanlig Badral (mn)
	* Sebastien Bacher (fr)
	* tunggul arif siswoyo (id)


==============
Epiphany 1.1.2
==============

Code changes

	* Reformat spinner code to conform to epiphany coding style. (Christian)
	* Allow plugins to access the statusbar (Adam Hooper)
	* Use statusbar api directly instead of wrapping it around, so that
	  we can have different groups of messages (Marco)
	* No need to have EphyNode thread safe since we never use
	  it in threads anyway (Marco)
	* Brought toolbar editor code type macros in line with the
	  rest of libegg; use gobject instance private data (Christian)

New features

	* Lockdown: set buttons insensitive when their
		  pref key is not writable. (Christian)
	* Allow to move languages up and down in language editor (Christian)

Interface improvements

	* Make ctrl-click equivalent of middle click on links. Make shift-click
		  save the link. (Christian)
	* Sort the list of fonts alphabetically (Christian)
	* Make toolbar editing drag icons use the same icon size as the
		  actual toolbar icons (Jorn Baayen)
	* In history show only site title by default (Marco)
	* Make print dialogue spacing HIG-compliant (Christian)
	* Use stock icon for print setup (Christian)
	* Better way of mapping hierarchy to topics when importing
		  bookmarks from mozilla (Christian)
	* In-line the language editor in the prefs dialog (Christian)
	* Use favicons in the back/forward menus (Christian)
	* Set the download folder selection label to "Home" if download folder
		  is home folder (Christian Neumair)

Bugfixes

	* Fix several mem leaks (Christian)
	* Depend on automake 1.7, fix compilation from
	  cvs on systems with 1.6 installed (Marco)
	* Restore tabs menu shortcut keys ALT-1 .. ALT-0 (Christian)
	* Don't try to save the submit button image instead of submitting
		  the form
	* Destroy file chooser with its parent window; fixes crashes (Christian)
	* Fix coordinates of under widgets popup in RTL mode (Christian)
	* Do not try to pickup already set MOZILLA_FIVE_HOME,
		  hopefully fix crashes opening links from thunderbird (Marco)
	* Re-implement Pause/Resume in downloader (Xan)
	* Correctly cancel the download instead of just
		  cancelling the request. (Marco)

Documentation

	* Updated printing docs (Piers Cornwell)
	* GDK_Meta_L is a keycode, not a modifier code.
		  Map meta to GDK_MOD2_MASK. (Christian)

Translations

	* ar (Arafat Medini)
	* be (Ales Nyakhaychyk)
	* cs (Miloslav Trmac)
	* de (Christian Neumair)
	* el (Kostas Papadimas)
	* en_GB (Christian Persch)
	* es (Francisco F. Serrador)
	* nl (Vincent van Adrighem)
	* no (Kjartan Maraas)
	* pt_BR (Gustavo Noronha Silva)
	* sr (Danilo Šegan)
	* sr@Latn (Danilo Šegan)
	* sq (Laurent Dhima)

==============
Epiphany 1.1.1
==============

Code changes

	* Adapt to mozilla API changes (Marco, Xan, Christian)
	* Sync gtk+ NSS dialogues from galeon (Marco)
	* Embed commands interface for clipboard commands (Marco)
	* Re-sync egg-editable-toolbar with gtk+ toolbar api changes (Marco)
	* New file chooser wrapper class (Christian)
	* Re-sync nautilus view with nautilus api changes (Marco)
	* Cleanup of EphyWrapper to use higher-level mozilla api (Marco)
	* Initialize EphyWrapper on realize (Marco)
	* Instantiate an about:blank automatically (Marco)
	* Show filechooser from header sniffer (Marco, Christian)
	* Use content document dom to determine is_framed (Marco)
	* Sync egg-editable-toolbar api with gtk+ toolbar api (Soren Sandmann)
	* Use gnome-vfs helpers to launch apps, drop our own helpers (Marco)
	* Only save history db if it's changed (Christian)
	* Implement new downloading from ContentHandler (Xan)
	* Use stock gcclosure-marshals where they exist (Christian)
	* Implement commands state api (Marco)
	* Rework ContentHandler to use auto_open of downloads (Xan)
	* Resync eel-gconf-extensions from eel (Marco)
	* Migrate old font settings (Marco)
	* Get rid of gresult type (Christian)
	* Remove unused function from ephy-gui (Marco)
	* Use glib gi18n header instead of bonobo/libgnome one (Marc, Christian)
	* Don't cache the dom document since it changes for every load (Marco)
	* List of safe mime types, and script to update it (Marco)
	* Use list of safe mime types to determine if we auto-open (Marco)
	* Use gtk icon theme instead of gnome icon theme (Marco)
	* Better ephy completion model (Marco)
	* Port ephy node db saving and bookmarks RDF export to new libxml
	  xmlWriter api (Christian)
	* Remove some unneeded prototypes (Marco)
	* Cleanup session, also persist bme and history window (Marco)
	* Re-use gtkmozembed signals (Marco)
	* Hack to make tooltips on toolbar items work (Marco)
	* New extensions API (Christian)
	* Port session to new extensions api (Christian)
	* Reworked automation/activation (Marco)
	* Enable deprecations and -Werror only in maintainer mode (Marco)
	* Move gnome session code in the shell (Marco)
	* Port to changed gtk+ combo box api (Marco)
	* gtk-doc support (Marco)
	* handle_content signal on EphyEmbedSingle for external downloader
	  support (Marco)
	* Refactor embed single apis into new EphyCookieManager,
	  EphyPasswordManager and EphyPermissionManager interfaces (Christian)
	* Implement arbitrary_url lockdown pref (Marco, Christopher Lahey)
	* Don't build external protocol handlers with mozilla 1.6, it has
	  its own (Marco)
	* Merge exthandler/content implementation (Marco)
	* Refactored PDM dialogue implementation (Christian)
	* Lockdown: disable loading from unsafe protocols (Christian)
	* Port zoom control to new GtkComboBox (Christian)
	* Show time remaining in download tray icon tooltip (Marco)
	* Lockdown: disable chrome changes from js (Marco, Christopher Lahey)
	* Port EphyDialog and all users to new GtkComboBox (Christian)
	* Remove GtkOptionMenu support from EphyDialog (Christian)
	* Re-enable deprecation when in maintainer mode (Marco)
	* Port GtkNSSClientAuthDialogs to new GtkComboBox (Christian)
	* Remove some unused includes (Marco, Christian)

New features

	* Persist zoom setting per host (Christian)
	* Undo/Redo in forms (Dave, Marco)
	* Gtk+ NSS Auth Dialogues (Crispin Flowerday, from galeon)
	* Tray icon support for downloader (Marco)
	* Beginnings of lockdown mode (Marco, Christian, Christopher Lahey)

Interface improvements

	* Improved downloader interface (Marco, Xan)
	* Move the spinner in its own mini-toolbar (Marco)
	* New hand cursor adapted from eog (Dave)
	* Use hand cursor in toolbar editor (Marco)
	* Made encodings dialogue auto-apply (Christian)
	* Don't pollute statusbar with the "done" message (Dave)
	* Auto-close downloader when no more items
	  left (Xan)
	* Use new gtk+ file chooser (Christian)
	* Better sorting of encoding autodetectors (Christian)
	* Implement smart selection in downloader view (Xan)
	* Smoother toolbar drag highlighting (Soren Sandmann)
	* Update commands sensitivity in menus (Marco)
	* Implement UI for download folder (Xan)
	* Make prefs and PDM dialogues global (Christian)
	* Improved cookie properties dialogue (Piers Cornwell)
	* Split print into print setup and print (Christian)

Bugfixes

	* Remove invalid items from toolbars on load (Marco)
	* Don't hide a separator item while dragging it (Marco)
	* Fix delete event handling for downloader (Xan)
	* Add missing default prefs for some language groups (Christian)
	* Fix default prefs file for new mozilla parser changes (Christian)
	* Remember upload path (Christian)
	* Fix bookmarks import dialogue button duplication (Christian)
	* Convert filenames to/from utf-8 before using them (Christian)
	* Fix spinner refcounting (Christian)
	* Fix fullscreen toolbar visibility (Marco)
	* Force encoding on changes, so we can go back to automatic (Christian)
	* Build nautilus server only when view is enabled (Marco)
	* Fix leak of liststores from combo boxes (Marco)
	* Fix dnd data provided by drag handle (Marco)
	* Fix toolbar drag type creation (Marco)
	* Don't require parent window for filechooser (Marco)
	* Fix toolbar highlighting (Marco)
	* Set sensible cursor hotspot in toolbar editor (Marco)
	* Fix filechooser directory persistence (Christian)
	* Unset silent mode after printing (Christian)
	* Don't unref print dialogue twice when shown from mozila (Christian)
	* Fix return value from print dialogue so mozilla won't show erroneous
	  error dialogue (Christian)
	* EphyDialog needs to be initialised when run, too (Christian)
	* Use signal accumulators for boolean-return signals (Christian)
	* Do not try to set sensitivity "Paste" menu items, the wait api
	  cause bad crashes (Marco)
	* Only allow printing the selection if there really is one (Christian)
	* Use show() when run()ning an EphyDialog (Christian)
	* Fix completion model crash on deleting a bookmark (Marco)
	* Fix ephy location entry finalisation (Christian)
	* Fix bookmarks editor crash from gtk clipboard wait api (Marco)
	* Fix history db saving not to save "All" node (Marco)
	* Don't unref the icon theme, we don't own it (Christian)
	* Unlink session file when all windows are closed (Marco)
	* Fix conversion on saving, fixes view-source (Marco)
	* Fix recovery from corrupt toolbar layout file (Christian)
	* Fix completion model column use (Marco)
	* Import gtk NSS dialogues glade file from galeon, too (Christian)
	* Build XUL dialogues with a gtkmozembed in a gtkwindow (Marco)
	* Fix warning when showing the encodings dialogue (Christian)
	* Link up toolbar editor help (Christian)
	* Fix some typos (Marco)
	* Unref on timeout when in server mode (Marco)
	* Expand cmd line args (Marco)
	* Nautilus view refcounting bug fix (Marco)
	* Fix crash when starting with --bookmarks-editor, correctly instantiate
	  a session (Marco)
	* Don't re-fetch POST pages for show-source (Marco)
	* Make encodings dialogue transient (Christian)
	* Remove unused enum values (Christian)
	* Mark EphyFooPriv structs as private for gtk-doc (Christian)
	* Don't assert, return instead in impl_go_up (Marco)
	* Fix context menu leak (Marco)
	* Make session saving low disk safe (Marco)
	* Fix "Download Link" context menu item text (Marco)
	* Use stock icons where provided (Marco)
	* Only set autoproxy url if non-empty (Christian)
	* User ephy filechooser in download folder picker (Xan)
	* Fix RDF export to export 100% instead of only 50% of bookmarks
	  (Christian)
	* Fix cookie manager signal marshaller type (Christian)
	* Restore copy and paste menu items on form fields (Marco)
	* Live updates of cookies list in PDM dialogue (Christian)
	* Don't blindly overwrite files when downloading (Xan)
	* Fix some mem leaks (Christian)
	* Fix ephy_embed_get_location() on an unrealized widget (Marco)
	* Monitor /system/http_proxy for proxy changes (Christian)
	* Set pref widget sensitivity from gconf key writeablility (Christian)
	* Fix strftime(3) usage (Christian)
	* Fix GtkExpander state persistence in NSS dialogue (Christian)
	* Remove duplicate signal from EphyEmbed (Christian)

Documentation

	* Documentation neatening, organisation (Piers Cornwell)
	* Some new sections documented (Piers Cornwell)
	* Some docs fixes (Dave)
	* Beginnings of API documentation (Marco, Christian)
	* Document preferences and downloader (Piers Cornwell)
	* Document security and certificates section (Piers Cornwell)

Translations
	* Christian Neumair (de)
	* Christian Rose (sv)
	* Danilo Segan (sr)
	* Francisco Javier F. Serrador (es)
	* Gustavo Noronha Silva (pt_BR)
	* Hasbullah Bin Pit (ms)
	* KAMAGASAKO Masatoshi (ja)
	* Kostas Papadimas (el)
	* Marcel Telka (sk)
	* Mətin Əmirov(az)
	* Miloslav Trmac (cs)
	* Ole Laursen (da)
	* Paul Duffy (ga)
	* Vincent van Adrighem (nl)


==============
Epiphany 1.1.0
==============

Code changes

	* Remove most egg code and port to the gtk 2.3 api for toolbars and
	  menus (Marco, Christian)
	* Cleanup gobjects using the new add_private api (Christian)
	* Rewrote xbel bookmarks importer using xmlreader api (Christian)
	* Use new dynamic api to create dynamic menus (Marco, Christian)
	* Load default mozilla prefs from a javascript file,
		  this is way is possible to override defaults in about:config (Marco)
	* Use gtk invisible event boxes (Christian)
	* Remove deprecated g_value_set_object_take_ownership() (Christian)
	* Use new gnome vfs show_url api (Christian)
	* Refactor node db loading functions into a common one in
		  ephy-node-db. Switch to using xmlReader api. (Christian)
	* Use gconf_client_notify to initialize prefs (Christian)
	* Refactor initialization/automation code to ensure we dont
	  use dying shell (Marco)
	* Use GtkIconTheme (Marco)
	* Use ngettext where useful (Christian)
	* New implementation of location entry using GtkComboBox (Marco)
	* New downloads implementation (user interface being worked on) (Xan, Marco)
	* Remove our custom implementation and use gtk api for
	  empty bookmarks menu (Marco, credits to Matthias Clasen for gtk implementation)
	* Make the favourites menu self-updating (Christian)
	* Port history and bookmarks combos to new api (Marco)

New features

	* Added migration from galeon settings (Christopher James Lahey)
	* Add an --import-bookmarks command line option, and really implement
		  the --add-bookmark one. (Christian)
	* Ability to choose visible columns in bookmarks and history (Marco)
	* History time filter (Marco)
	* Import bookmarks from Firebird (Christian)
	* Ability to import bookmarks from a custom file (Marco)
	* Allow dragging of tabs to a window even when the tabs bar is not
		  shown. (Christian)

Interface improvements

	* Simplify font selection and make it use points instead
	  of pixels like everything in Gnome (Marco)
	* Use a line to make more clear Language/Fonts relation (Marco)
	* Sync spinner with the current active tab (Marco)
	* HIGgify new bookmark dialogue title (Christian)
	* Special, more compact, toolbar layout for fullscreen (Marco)
	* Gtk versions of the mozilla certificate prompts (from galeon)
	* Use Bookmarks instead of All as label in toolbars (Marco)
	* Use radio buttons for tabs menu (Marco)
	* Fix spacing in a few dialogs (Marco)
	* Better icons on mime dialog (Marco)
	* Case insensitive bookmarks matching in autocompletion
	  (Marco, credits to Kristian Rietveld for rocking new widget)
	* Show bookmarks at the top of autocompletion list (Marco)
	* Speedup history dialog (Marco)
	* Visual progress bar in downloader (Marco)
	* Better encoding menu interface. Show most common/most used
	  entry in the menu, split the others out to a dialog. Allow
	  to revert to Automatic. Show current selected encoding with
	  radio buttons (Christian, credits to Matthew Thomas for user
	  interface ideas)
	* Toolbar editor improvements. Show a different cursor when
	  hovering the items. Pickup and drop behavior. Make space
	  for the item instead of showing a line (Marco, credits to
	  Soeren Sandmann for gtk changes)
	* Make location a normal entry, removing the hard to click,
	  vastly unused arrow for typed urls. (Marco)
	* Focus bookmarks search entry by default (Ettore Perazzoli)

Bugfixes

	* Enable dragging the tab from a single-tab window too (Christian)
	* Do not fail if prefs.js is corrupted (Marco)
	* Fix location entry losing content when editing toolbar (Christian)
	* Fix directory selection persistence (Christian)
	* Fix a bug that could have caused bookmarks loss with low disk (Christian)
	* Save session also when closing windows (Marco)
	* Make mime dialogs interrupt download on Esc, simplify the code
	  using response signal (Marco)
	* Fix compilation on Solaris (Marco)
	* Set a MOZ_PLUGIN_PATH default. (Christopher James Lahey)
	* Fix a warning when printing to a file (Christian)
	* Fix intermittent nautilus view activation failure (Mark McLoughlin)
	* Fix downloads with authentication (Marco)
	* Fix history clear, sometimes sites was not removed
	  completely (Marco)
	* Fix some treeview model leaks (Christian, Marco)

Translations

	* cs (Miloslav Trmac)
	* en_GB (Christian Persch)
	* fr (Eric Seigne)
	* ga (Paul Duffy)
	* hi (Guntupalli Karunakar)
	* hu (Andras Timar)
	* lt (Zygimantas Berucka)
	* ml (Abel Cheung)
	* mn (Sanlig Badral)
	* nl (Vincent van Adrighem)
	* pt_BR (Evandro Fernandes Giovanini)
	* ro (Misu Moldovan)
	* sk (Marcel Telka)
	* sq (Laurent Dhima)
	* sr.po (Danilo Segan)
	* sr@Latn.po (Danilo Segan)
	* sv (Christian Rose)
	* ta (Dinesh Nadarajah)
	* vi (Pablo Saratxaga)


==============
Epiphany 1.0.8
==============

Bugfixes:
	* Fix a crash when the icon theme doesn't have our "about" icon
	  (Christian)
	* Fix a crash when pressing delete after deleting the last cookie
	  in the pdm dialogue (backported from HEAD) (Christian)
	* Fix session saving for urls with "&" (Christian)


==============
Epiphany 1.0.7
==============

Code changes:

	* Support for mozilla 1.6 (ported from HEAD) (Christian)

Bugfixes:

	* Fix a compiler warning introduced in 1.0.6 (Christian)
	* Monitor /system/http_proxy too (Christian)
	* Fix recovery from corrupted session, bookmarks and
	  history files (Christian)
	* Fix some mem leaks (JF Rameau)
	* Don't remember last action from location entry,
	  fixes short hostname urls (Marco, Christian)
	* Fix crash when printing from js (Christian)
	* Delete host entries from history db when there are no more
	  pages from that host in the history (Marco, Christian)
	* Fix crash of nautilus view after using the find dialogue (Christian)
	* Fix toolbar drag handle drag data (Christian)
	* Fix a crasher when deleting a bookmark (Marco, Christian)
	* Fix epiphany freezing when editing a bookmark while loading the page
	  it points to (Marco, Christian)
	* Fix crash when calling epiphany from thunderbird (Marco, Christian)
	* Don't close all epiphany window when exiting the last nautilus view
	  (Christian)
	* Fix crash when printing a frame from javascript (Christian)
	* Fix window position restoring (Dave Jones)
	* Fix documentation OMF file (ported from HEAD) (Christian, Piers Cornwell)
	* Fix a mem leak (Christian)

Translations:

	* Danilo Segan (sr)
	* Priit Laes (et)
	* Alessio Frusciante (it)
	* Орчуулагчдын тухай (mn)


==============
Epiphany 1.0.6
==============

Bugfixes:

	* Fix a crash in the bookmarks editor (Marco)
	* Fix session resume (Marco)
	* Fix RDF export to encode entities (Christian)
	* Fix session saving to encode entities (Christian)
	* Fix recovery from corrupted toolbar layout file (Christian)

Translations:

	* ko (Changwoo Ryu)


==============
Epiphany 1.0.5
==============

Bugfixes

	* Fixes for printing dialogue when shown from mozilla (Christian)
	* Don't show a failure dialogue when cancelling the print dialogue
	  shown from mozilla (Christian)
	* Initialise the print dialogue also when shown from mozilla
	  (Christian)
	* Always show the print dialogue when printing from mozilla
	  (Christian)
	* Only allow printing the selection when there really is one
	  (Christian)

Translations

	* ca (Jordi Mas)
	* ga (David O'Callaghan)
	* hi (रविशंकर श्रीवास्तव)
	* sk (Marcel Telka)
	* sv (Christian Rose)


==============
Epiphany 1.0.4
==============

Code

	* Grab focus to the search entry when showing bookmarks editor
	  (Ettore Perazzoli, Marco)

Bugfixes

	* Fix intermittent nautilus view activation failure (Mark McLoughlin)
	* Fix autocompletion window popping up unexpectedly (Marco)

Translations

	* kn (ಪ್ರಮೋದ್.ಆರ್)
	* pt_BR (Gustavo Noronha Silva)


==============
Epiphany 1.0.3
==============

Code

	* Add support for mozilla 1.5 final (Kristian Rietveld)

Documentation

	* Translated to Ukrainian by Максим Дзюманенко

Translations

	* it (Francesco Marletta)
	* uk (Максим Дзюманенко)


==============
Epiphany 1.0.2
==============

Bugfixes
	* Don't show session resume dialogue in server mode (Christian)
	* Fix http accept language header when running in C locale (Christian)

Translations
	* hu (Tímár András)
	* sr, sr@Latn (Danilo Šegan)


==============
Epiphany 1.0.1
==============

Code

	* Add support for mozilla 1.4.1 (Marco)
	* Add support for mozilla 1.6a (Xan)

Bugfixes

	* Fix XBEL (Galeon/Konqueror) bookmarks importer (Christian)
	* Use the translated names for the default bookmarks and topics
	  when creating them (Christian)
	* Set MOZ_PLUGIN_PATH in the startup script (Christopher James Lahey)
	* Remove the autocompletion window timeout also when the window is
	  still not visible (Marco)
	* Add supported protocols to epiphany.application (Marco)
	* Fix persistence of directory selection (Christian)
	* Initialise completion visibility flag (Maroc)
	* Fix check for return value of xmlSaveFileFormat (Christian)
	* Specify UTF-8 encoding for the keyword: url (Christian)
	* Check for NULL return of gtk_get_current_event (Christian)
	* Fix session saving crash when run in --server mode (Christian)
	* Stop download when cancelling the unknown mime type dialogue
	  (Christian)
	* Follow tabs pref on double click in the history window (Marco)
	* Fix compile warning on Solaris (Marco)
	* Fix loading of bookmarks and toolbar files when they are corrupted
	  (Christian)
	* Don't pass NULL to gnome_vfs_expand_initial_tilde (Marco, Christian)

Translations:

	* el (Νίκος Χαρωνιτάκης)
	* et (Priit Laes)
	* fr (Eric Seigne)
	* hu (Tímár András)
	* lt (Žygimantas Beručk)
	* pt_BR (Evandro Fernandes Giovanini, Augusta Marques da Silva)
	* sk (Marcel Telka)
	* sv (Christian Rose)

==============
Epiphany 1.0
==============

Bugfixes

	* fix crashes when dragging on bookmarks topics (Marco)
	* fix wrap around option in find dialog (Marco)

Translations

	* bn (Taneem Ahmed)
	* fi (Pauli Virtanen)
	* el (Nikos Charonitakis)
	* hi (Guntupalli Karunakar)
	* ja (Takayuki KUSANO)
	* ko (Young-Ho Cha)
	* mn (Sanlig Badral)
	* sk (Marcel Telka)

==============
Epiphany 0.9.3
==============

Translations

	* cy (Dafydd Harries)
	* es (Francisco Javier F. Serrador)
	* fr (Eric Seigne)
	* it (Alessio Frusciante)
	* ko (Changwoo Ryu)
	* nl (Vincent van Adrighem)
	* sq (Laurent Dhima)
	* ta (Dinesh Nadarajah)
	* zh_CN (Wang Jian)

==============
Epiphany 0.9.2
==============

Bugfixes
	* Use WARN_CXXFLAGS for mozilla code, fix warnings
	  on gcc 3.2 (Marco)
	* Fix a possible crash when setting zoom (Christian Persch)
	* Fix a warning when trying to remove items with CANC
	  from empty history (Christian Persch)
	* Use small spinner with text beside icon style (Anders Carlsson)
	* Fix reimporting logic when bookmarks file has
	  a wrong version (Christian Persch)

==============
Epiphany 0.9.1
==============

Bugfixes
	* Do not distribute corba generated files (Marco)

==============
Epiphany 0.9.0
==============

Code
	* Fix some warnings and missing includes (Christian Persch)

Bugfixes

	* Respect toolbar priority text preference (Marco)
	* Do not show context menus on print preview (Marco)
	* Fix print preview navigation (Marco)
	* Fix opening bookmarks in new window (Xan Lopez)
	* Expand initial ~ in file name to print to (Christian Persch)
	* Fix print preview options when saving on file is
	  selected (Christian Persch)
	* Fix a bug in navigation/html targets interaction (Marco)
	* Fix a crash when closing downloader with both completed
	  and in progress downloads (Marco)
	* Fix some bookmarks editor drag on topics problems (Marco)
	* Actually overwrite existing files when the user requested it (Marco)
	* Fix crash with bookmarks title == NULL (Marco)

Documentation

	* More sections written and add some screenshots (Patanjali Somayaji)

Translations

	* az (Metin Amiroff)
	* el (Nikos Charonitakis)
	* et (Priit Laes)
	* fi (Pauli Virtanen)
	* ga (Paul Duffy)
	* hi (Guntupalli Karunakar)
	* is (Samuel Jon Gunnarsson)
	* no (Kjartan Maraas)

==============
Epiphany 0.8.4
==============

New features

	* Respect the new system wide pref to not use
	  proxy for a list of urls (Malcolm Tredinnick, Marco)

Bugfixes

	* Fix multiple items drag and drop behavior and one
	  crash caused by the old code. (Marco)
	* Make it compile with mozilla head (Xan Lopez)

Documentation

	* Wrote section about bookmarks (Patanjali Somayaji)

Translations

	* ca (Jordi Mallach)
	* cy (Dafydd Harries)
	* da (Ole Laursen)
	* pt_BR (Evandro Fernandes Giovanini)

==============
Epiphany 0.8.3
==============

Interface improvements

	* use kB instead of KB consistently (Xan Lopez)

Bugfixes

	* Fix several memory leaks (Christian Persch)
	* Use link text as bookmark title when no title
		  is specified (Marco)
	* Disable clipboard context menu. No way to make
		  it work correctly for 1.0 (Marco)
	* Fix blank homepage loading (Christian Persch)
	* Fix tab positioning logic (Christian Persch)
	* Gconf notifiers from mozilla prefs now respect the schemas,
	  fix crashes on --unset (Marco)
	* Clamp progress values between 0 and 100 to fix warnings (Marco)
	* Fix crash when adding bookmark with no page loaded (Marco)
	* Do not allow duplicate bookmark items to respect the editor
	  checkbox (Marco)
	* Fix "host" categorization of local files in history
	  (Christian Persch)

Translations

	* az (Metin AMiroff)
	* be (Dmitry G. Mastrukov)
	* ca (Francesc Dorca)
	* cs (Miloslav Trmac)
	* da (Ole Laursen)
	* en_GB (Christian Persch)
	* es (Francisco Javier F. Serrador)
	* ko (Young-Ho Cha)
	* ms (Hasbullah Bin Pit)
	* nl (Vincent van Adrighem)
	* pl (Artur Flinta)
	* ru (Dmitry G. Mastrukov)
	* sr (Danilo Degan)
	* sr@Latn (Danilo Degan)
	* sv (Christian Rose)

==============
Epiphany 0.8.2
==============

Code changes

	* Improve toolbar editor api for costum items (Marco)
	* Rework find implementation to integrate better
		  with type ahead and to simplify the code (Marco)
	* Usual memory leaks fixes (Christian Persch)
	* Add some comments for translators (Christian Persch, Marco)
	* Use string valid also externally for drag and drop
	  Url for bookmarks, a special uri for topics (Marco)
	* Cleanup toolbars model (Marco)
	* Set a version on the toolbar xml and make it low disk safe (Marco)

Interface improvements

	* Allow drag and drop of urls on the bookmarks toolbar (Xan Lopez)
	* Disable smooth scroll and image autoresize (Marco)
	* Remove useless icons from the print dialog (Marco)
	* Fix inconsistency between all topic on the toolbar and bookmarks menu (Marco)
	* If the page is about:blank, set title to "Blank page" (Christian Persch)
	* More friendly description for cache preferences (Marco)
	* Add a show in bookmarks toolbar item on the bookmarks editor
	  context menu (Marco)
	* Always open bookmarks and history pages in new window/tab according
	  to pref on double click (Marco)

Bugfixes

	* Fix a crash when mozilla returns no system fonts on enumeration (Marco)
	* Remove bookmarks from the toolbar also when no windows are open (Marco)
	* If there are invalid bookmarks in the toolbar dont crash on startup
	  but remove them (Marco)
	* Support mozilla language packs (Christian Persch)
	* Fix type ahead/normal find interaction (Marco)
	* Fixes transparency issue on tab label and site icon (Christian Persch)
	* Do not try to open javascript links in new tab with
	  middle click (Marco)
	* Fix crash when deleting all bookmarks/cookies (Christian Persch)
	* Fix session management, typo in the executable name (Nikolai Weibull)
	* Fix dialogs properties persistance (Marco)
	* Fix a crash when clicking on bookmarks while exiting fullscreen (Marco)

Translations

	* Dutch manual (Reinout van Schouwen)

	* be (Dmitry G. Mastrukov)
	* cy (Keith Willoughby)
	* cs (Miloslav Trmac)
	* de (Christian Neumair)
	* el (Nikos Charonitakis)
	* en_GB (Christian Persch)
	* es (Francisco Javier Fernandez)
	* fi (Pauli Virtanen)
	* ms (Hasbullah Bin Pit)
	* nl (Vincent van Adrighem)
	* pl (Artur Flinta)
	* pt (Duarte Loreto)
	* pt_BR (Evandro Fernandes Giovanini)
	* sr (Danilo Segan)
	* sr@Latn (Danilo Segan)
	* sv (Christian Rose)
	* zh_CN (Wang Jian)

==============
Epiphany 0.8.0
==============

Code changes

	* Replace "0" with "false" in .desktop Terminal entries
	  (Jordi Mallach)
	* Fix node signal emission to work on Freebsd and alpha
	  (Christian Persch)
	* Sync content handler api with mozilla head (Xan Lopez)
	* Remove use of acconfig.h (Marco)
	* Gconf schema cleanups (Christian Persch)
	* Remove last bits of nautilus theme support from the
	  spinner code (Christian Persch)
	* Use url/name to store topics and bookmarks in the toolbar
	  configuration. This is more maintainable but toolbar
	  settings are lost (Marco)
	* Improve bookmarks rdf format (Marco, Edd Dumbill)
	* Freeze all xml formats and update version to 1.0.
	  Bookmarks are reimported from the rdf.
	* Fix saving of smart bookmarks on the rdf (Lee Willis)
	* Very simple plugin framework, unused for now (Marco)
	* Cleanup header dependencies. Now we have a basic set
	  of independent headers that will be useful for the
	  plugins. (Marco)

Interface improvements

	* Remove ellipses from find toolbar item (Dave Bordoley)
	* Tooltip for location entry, navigation buttons,
	  go button (Christian Persch)
	* Use normal google search for keywords instead of feel
	  lucky (Marco)
	* Implement toolbar overflow menu item for bookmark
	  topics (Christian Persch)
	* Use the browser icon from gnome icon theme (Marco)
	* Ellipsise the bookmarks titles in topics menus (Christian Persch)
	* Show an alert when mozilla cant start instead of crashing (Marco)
	* Ever save bookmarks when changed (Marco)
	* Implement toolbar overflow menu item for the
	  go button (Christian Persch)
	* Show the document context menu on ctrl+f10 (Marco)
	* Fast search for bookmarks and history.
	  Pressing a key will make ephy select the first entry beginning with
		  that character (Xan Lopez)
	* Shorten session history menu items (Christian Persch)
	* Delete key remove personal data manager entries (Xan Lopez)
	* Higgy titles for all file pickers (Marco)

Bugfixes

	* Fix bug with location entry no more sensible on clicks (Marco)
	* Fix utf8 handling in the preferences dialog (Christian Persch)
	* Fix a lot of memory leaks (Christian Persch)
	* Add a news:// protocol handler (Marco)
	* Rewrite autocompletion selection logic (Marco)
	* Fix Tab key binding in location entry (Marco)
	* Fix page load progress update logic (Christian Persch)
	* Update the spinner when a tab is removed (Christian Persch)
	* Sync autocompletion searches color with theme changes
	  (Dave Bordoley)
	* Fall back to about:blank when first page load fails (Marco)
	* Actually show the list of fonts in preference dialog
	  entries (Marco)

Updated translations

	* ar (Arafat Medini)
	* da (Ole Laursen)
	* de (Christian Neumair)
	* en_GB (Christian Persch)
	* es (Francisco Javier F. Serrador)
	* ms (Hasbullah Bin Pit)
	* nl (Vincent van Adrighem)
	* pt_BR (Evandro Fernandes Giovanini)
	* ru (Valek Filippov)
	* sr (Danilo Segan)
	* sr@Latn (Danilo Segan)
	* sv (Christian Rose)
	* zh_CN (Wang Jian)

==============
Epiphany 0.7.3
==============

Interface improvements

	* Display tooltips on toolbars (Marco)

Bugfixes

	* Fix a potential crash when fetching favicons (Marco)
	* Fix site icon in tabs (Christian Persch)
	* Fix crashes when changing location (Christian Persch)

==============
Epiphany 0.7.2
==============

Code changes

	* Rewrite window updating code to use properties (Christian Persch)
	* Rewrite tabs menu and gtknotebook signals (Christian Persch)
	* Rewrite fullscreen to use the new gtk api (Marco)
	* Rewrite the url typed by user overwrite logic (Marco
	* For langauges use functions instead of declaring static
	  vars in the header (Christian Persch)
	* Remove unused gconf prefs, cleanup paths and use strings instead
	  of numeric enumerations (Marco)
	* Use new AM_INIT macro (Marco)
	* Add a context menu signal on the embed to handle both keys and
	  mouse (Marco)
	* Do not override the UA but set vendor prefs so
		  that mozilla can build it correctly (Marco)
	* Remove BonoboWindow/Control popup separation, as the first
	  is no more needed (Marco)
	* Translatable string for the locale-dependent http-accept-language
	  list (Christian Persch)
	* Get rid of the gobject macros (Marco)

Interface improvements

	* Better security state icons (suggested by Luca Ferretti, designed by Jimmac)
	* Rename Appearance preferences tab to be less generic (Marco)
	* Remove memory cache prefs, now mozilla can deal with it automagically. (Marco)
	* Delays bookmarks/history searches a bit after the user pressed key,
	  so that it feel more responsive (Marco)
	* Fixup embed context menu accesskeys (Piers Cornwell)
	* Get rid of starthere: and default homepage to google (Marco)
	* Add a way to import bookmarks from the editor (Marco)
	* Allow to edit smart bookmarks in the user interface (Marco)
	* Provide toolbar overflow menu items for bookmarks (Christian Persch)
	* Better description for cookies preferences (Marco)
	* HIGified Import Bookmarks dialog (Christian Neumair)
	* Persist the language selected for the fonts preferences (Christian Persch)
	* Convert dialog to metric units (Christian Persch)
	* Suggest the address as bookmark title when web page has no title (Marco)
	* Shift+F10 show context menus on the embed (Marco)
	* Implement help button for personal data manager dialog (Christian Persch)
	* Unify the "Copy Email Address" and "Copy Link Address"
	  context menu items (Christian Persch)
	* Higgify history clear dialog (Marco)
	* Add ellipse to Find menu item (Piers Cornwell)
	* Give up on page cloning until we find a good way to do it (Marco)
	* If there's no background image, disable the Save Background As
		  menu entry. (Christian Persch)
	* Do not allow to open properties of multiple cookies (Marco)
	* Ever put cursor at the end of the text when selecting autocompletion
		items. (Marco)
	* Use page url as title when there is no page title. (Marco)

Bugfixes

	* Fix several memleaks (Christian Persch)
	* Do not convert spaces to _ on bookmarks importing (Marco)
	* Explicitly create pointer to avoid strict aliasing
	  warnings with gcc 3.3. (Jeremy Katz)
	* size_t fixes for 64 bit platforms (Jeremy Katz)
	* Use va_copy for the valist instead of
		  directly accessing it (Jeremy Katz)
	* Dont crash when adding a bookmark without topics. (Marco)
	* Dont crash when closing add bookmark menu quickly (Marco)
	* Fix crashes when adding bookmarks with more than one
	  browser window (Marco)
	* Correctly select the topic to rename when adding one (Xan Lopez)
	* Use our own parser to import mozilla bookmarks so that it actually
	  works. (Marco)
	* Respect the bookmarks bar visibility user choice also
		  for popups. (Marco)
	* Update find dialog when user select another tab or load a new url
	  (Christian Persch)
	* Use g_snprintf to not break gcc 2.95
	* Sanitize location entry. Completion will work with pasted text and
	  not ascii characters. (Marco)
	* Fix downloader progress overflow (Marco)
	* Fix add bookmark from link (Marco)
	* Make sure tabs are hidden when going in print preview mode. (Marco)
		* Make print dialog transient. (Marco)
	* Select the old find text when opening find dialog (Marco)

Updated translations

	* cs (Miloslav Trmac)
	* de (Christian Neumair)
	* en_GB (Christian Persch)
	* es (Francisco Javier F. Serrador)
	* mk (Ivan Stojmirov)
	* nl (Vincent van Adrighem)
	* no (Kjartan Maraas)
	* sv (Christian Rose)
	* zh_TW (Abel Cheung)

==============
Epiphany 0.7
==============

Code changes

	* Extend node api to allow to branch different databases, deobjectify
		nodes for better performance, smarter id factory. (Marco)
	* Use stock icons instead of the files directly to set window
		  border icons. (Dave Bordoley)
	* Cleanup zoom code (Christian Persch)
	* Cleanup tab opening logic (Marco)
	* Rewrite large parts of the encodings/languages code (Christian Persch)
	* Use the spinner icon from gnome-icon-theme (Marco)
	* Start to cleanup schemas for 1.0 (Christian Persch)
	* Use bookmark action for the most used bookmarks menu (Marco)

New features

	* Zoom control for the toolbar (Christian Persch)
	* Holding shift and pressing reload button bypass the cache (Christian Persch)
	* Implement a traditional bookmarks menu (Marco)
	* Exit fullscreen button (Marco)

Interface improvements

	* Remove fine grain color settings. Always use the system theme
		  colors (Dave Bordoley)
	* Remove the on new page pref, try to make it behave in a way
	  that fit all cases. (Dave Bordoley)
	* Made (hopefully) all dialogs HIG compliant (Christian Neumair)
	* Make find dialog unresizable (Xan Lopez)
	* Make double click select the whole address in toolbar entry (Marco)
	* Cleanup downloader ui and remove keep open option (Christian Neumair)
	* Tweak mozilla default settings. Don't fetch sidebar whats related stuff.
		  Line Wrap View->Source. CTRL-Mousewheel scrolls by one page.
		  Enable Image Auto-Resizing. (Dave Bordoley)
	* Activate the menu on button press down (Dave Bordoley)
	* Several interface fixes in print dialog (Piers Cornwell)
	* Add accelerators on the encoding menus (Piers Cornwell)

Bugfixes
	* Mark download time format strings for translation (Christian Neumair)
	* Make xml saving low disk safe (Marco)
	* Fix crashes on node removal (Marco)
	* Rebuild tabs menu only when necessary (Christian Persch)
	* Fix crash on download pause (Xan Lopez)
	* Ever ask for path when saving a file, persist the path
	  also on Cancel (Marco)

Updated translations

	* be (Dmitry G. Mastrukov)
	* cs (Miloslav Trmac)
	* da (Ole Laursen)
	* es (Pablo Gonzalo del Campo)
	* li (Mathieu van Woerkom)
	* ja (Takayuki KUSANO)
	* nl (Vincent van Adrighem)
	* pt (Duarte Loreto)
	* se (Christian Neumair)
	* sv (Christian Rose)
	* vi (Pablo Saratxaga)

==============
Epiphany 0.6.1
==============

Code changes

	* Initialize mozilla prefs on startup, so changing gconf prefs while
	  epiphany is not running works again (Marco)
	* Convenience function to display help, avoid a lot
	  of code duplication (Dave Bordoley)
	* Rework prefs dialog code to use a notebook directly from glade
	  and to fit in one file (Marco)
	* Export bookmarks in rdf format, it will be more useful when
	  it's possible to import from it (Marco, Edd Dumbill)
	* Use gtk api for fullscreen (Marco)
	* Do not allow to have more than one bookmark with the same address in
	  the bookmarks collection (Xan Lopez)

New features

	* Drag and drop of links to tabs (Christian Persch)
	* Wrote the structure of the help and 30% of the contents (Dave Bordoley)
	* Security preferences (Marco)
	* Autodetect the user primary language (Marco)
	* Show a list of tabs at the bottom of tabs menu (Dave Bordoley)

Interface improvements

	* ctrl+u show page source (Marco)
	* Use address as title when the page is untitled (Christian Persch)
	* Confirmation dialog for clearing history (Jon Svendsen)
	* Improve find dialog readability, avoid vertical resizing
	  of it (Dave Bordoley, Xan Lopez)
	* Use the term Address instead of Location as discussed
	  with docs guys (Dave Bordoley)
	* Show bookmarks icons in the toolbar only when there
	  is a specific one (Dave Bordoley)
	* Do not show empty submenus for empty topics, show
	  an "Empty" insensitive item instead (Lee Willis)
	* Some cleanups of the preferences dialog, work in progress (Marco)
	* Alphabetical sort of bookmarks menu (Xan Lopez)
	* Show the full page title in tooltip on the tab label (Christian Persch)
	* On Go->Location, show the toolbar if it's hidden, and hide it again
	  when the user finished to type (Marco)

Bugfixes

	* Remove toolbar for context menu works (Marco)
	* Insert new toolbars before the bookmarks toolbar (Marco)
	* Improve default topics, add google smart bookmark
	  to the toolbar by default (Dave Bordoley)
	* Fix menu sensitivity for the history dialog (Marco)
	* Fix leak in bookmarks importing and improve its speed.
	  This make importing large collection of bookmarks
	  actually possible  (Osma Ahvenlampi)
	* Use AM_CXX_FLAGS instead of CXX_FLAGS, make
	  life easier to packagers (Edd Dumbill)
	* Fix 64 bit problems (Jeremy Katz)
	* Middle click actions on click event, not on mouse down (Marco)
	* Fix leak of tooltips in the statusbar (Christian Persch)
	* Fix smartbookmarks and non ascii characters (Marco)
	* Fix external handlers like mailto, ftp ... (Marco)
	* Make uncategorized special topic work consistently (Xan Lopez)
	* Do not save position for browser windows (Dave Bordoley)
	* Make our string ellipsizing helper utf8 save (Christian Persch)
	* Various internationalization fixes (Christian Neumair)

Updated translations

	* cs (Miloslav Trmac)
	* da (Ole Laursen)
	* de (Christian Neumair)
	* es (Francisco Javier Fernandez)
	* ja (Takayuki KUSANO)
	* ms (Hasbullah Bin Pit)
	* pt_BR (Evandro Fernandes Giovanini)

==============
Epiphany 0.6.0
==============

Code changes

	* Abstract implementation of EphyNodeView and EphyNodeTreeModel,
	  so they can be shared by history and bookmarks (Marco, Jorn Baayen)
	* Rewrite toolbar editor: more flexible model, do not use xml to build
	  toolbars internally but EggAction directly (Marco)
	* EphyDnd, EphyShell, Session cleanups (Christian Persch)
	* Remove --geometry parameter (it was not being respected anyway) (Xan Lopez)

Interface improvements

	* Update smart bookmarks explanation (Marco)
	* Remove "Epiphany" from desktop files (Marco)
	* Always show tab bar if the user choose to default to tabs (Frank Belew)
	* Add Help menu to the bookmarks editor (David Bordoley)
	* All bookmarks menu on the bookmarks toolbar (Marco)
	* Change the start page uri to home: (Marco)
	* Not categorized special topic (Marco)
	* Ever open tab as last on File->New tab and similars (Marco)
	* Hidden pref for middle click open url, it can be confusing (Marco)
	* Rework the design of the history dialog, not completed,
	  but it's already more usable (Marco, Dave Bordoley)
	* Merge (and fix) Pause/Resume buttons of the downloader (Xan Lopez)
	* Open view source next to the current tab (Xan Lopez)
	* Update View, Zoom, Tabs main menu bar items sensitivity according
	  to the state (Marco)
	* Default bookmarks toolbar. Do not allow to drag items to the
	  other toolbars because it can be confusing. Accessible and more visible
	  way to add bookmarks to the toolbar, in addition to drag and drop (Marco)
	* Add tooltips to all the history and bookmarks menus (Dave Bordoley)
	* Respect user selected font sizes in the home page (Xan Lopez)
	* Add a down arrow to topics in bookmarks toolbars (Dave Bordoley)
	* Save page content by default (Christian Persch)
	* Make new bookmark dialog transient instead of modal (Dave Bordoley)
	* Use epiphany logo in the about window (Xan Lopez)
	* Add and help button to toolbar editor (Dave Bordoley)
	* Allow to resize the two views in bookmarks editor and history using
	  a pane (Dave Bordoley)
	* Save the position of windows on the screen (Dave Bordoley)
	* Consistent use of the term "Bookmarks Bar" in the code, ui and schema.
	  (Dave Bordoley)
	* New default toolbar layout (Dave Bordoley)
	* In the history and bookmarks view pack the icon in the same
	  column of the title (Marco)
	* Respect View menu toggles also in fullscreen (Lee Willis)

Bugfixes
	* Add bugzilla info (Mark Finlay)
	* Register application info (for mimetypes) (Mark Finlay)
	* Fix a compilation bug on 2.95 (Vincent Untz)
	* Fix select all for the bookmarks view (Dave Bordoley)
	* Paste is only sensitive when in a text entry (Dave Bordoley)
	* Fix bookmarks editor context menus to ever refer to the right view (Marco)
	* Update bookmarksmenus sensitivity when the context change
	  rather than after the menu is showed (Marco)
	* Fix crash when opening popups (Marco)
	* Fix crash when accessing secure sites (Dave Camp)
	* Fix back and forward buttons prelighting randomly (Marco)
	* Fix translation of some menus (Christian Neumair)
	* Fix the downloader to remove/pause only current download, not all
	  (Xan Lopez)
	* "Intelligent" selection when an item is removed
	  for history and bookmarks. (Xan Lopez)

Updated translations

	* da (Ole Laursen)
	* es (Francisco Javier Fernandez)
	* ms (Hasbullah Bin Pit)
	* nl (Vincent van Adrighem)
	* no (Kjartan Maraas)
	* pt (Duarte Loreto)
	* pt_BR (Evandro Fernandes Giovanini)
	* sv (Christian Rose)
	* zh_TW (Abel Cheung)

==============
Epiphany 0.5.0
==============

Code changes

	* Port to EggMenu API
	* Make GaleonShell subclass GaleonEmbedShell.
	  Now also embed services like downloader
	  are able to reference it. (Marco)
	* Use mozilla prompts dialogs implementation.
	  (This means you will see XUL dialogs with older
	   mozilla versions) (Marco)
	* Fix embed persist lifetime issues to avoid leaks (Marco)
	* Reimplement ephy-state using xml (Marco)
	* Add to EphyNode the ability to specify reserved id for nodes,
	  useful for toplevel nodes (Marco)
	* Rework drag and drop api to deal with more than the urls types (Marco)
	* Autoupdate EggX. Use the toolbar editor stuff from libegg. (Marco)
	* Use the latest suggested way to initialize mozilla services.
	  (Marco, from galeon)

New features

	* Ability to drag bookmarks, smart bookmarks and topics
	  to the toolbar (Marco)
	* Optional Go button (Dave Bordoley)
	* Help support (Patanjali Somayaji)

Interface improvements

	* Site icons in topics menus (Johan Dahlin)
	* Site icons on tabs (Christian Persch)
	* Set icons for History, Find, Bookmarks, Preferences dialogs
	  (Dave Bordoley)
	* Bookmarks editor redesign: better interface to assign multiple
	  topics, better editor interface using a toplevel window with a
	  menubar, file manager like editing capabilities, ability to open
	  the editor independently, "most used" special topic.
	  They certainly need love, but I think we have a good direction now.
	  (Marco, Dave Bordoley, Xan Lopez)
	* Properly save maximized/unmaximized state of the main window (Marco)
	* Remove spinner configuration and default to Gnome spinner,
	  this should be part of gnome icon theme at some point. (Marco)
	* Remove bookmarks with delete key (Xan Lopez)
	* Alphabetical sort of topics and bookmarks in the editor (Xan Lopez)
	* Remove tab autocompletion to avoid accessibility issues (Marco)
	* Focus the location entry when opening a new window and do not
	  put the url in it, so the user can more easily insert
	  the location he wants to load.
	  Try to not disturb the user when he is editing the url with
	  focus removals.
	  All these works more or less well depending on mozilla versions :/
	  (Marco)
	* Make the start-here: page use the theme colors. (James Willcox)
	* Tab load notification, using an animated image (James Willcox)
	* Several improvements to the main menubar layout and labels
	  (Dave Bordoley)
	* Add "Go to" button to the history (Xan Lopez)
	* Have just one Close menu item and make it behave like
		  other gnome apps, closing document by document (Marco)
	* More clear buttons labels on resume dialog (Lee Willis)
	* Make the bookmarks editor remember the last selected keyword
	  (James Willcox)
	* Spinner is no more a button, like in Nautilus (Marco)
	* Ability to import galeon and konqueror
	  bookmarks (James Willcox)
	* Use the title instead of url in Back/Forward history
	  and in the history dialog (Marco)
	* Use favorites icons in bookmarks (Marco)
	* More usable toolbar editor based on drag and drop (Marco)
	* Enable startup feedback (Marco)
	* Disable annoying security dialogs (Marco)

Bugfixes

	* fix incorrect figures on small files downloads (Rob Clews)
	* do not leak the history xml every 5 minutes (Lee Willis)
	* Error handling in Mozilla bookmarks import (Xan Lopez)
	* Make nautilus view actually work (Marco)
	* Fix session saving (Lee Willis)
	* Fix casting on big-endian. Context menus are now working
	  on PPC (from Galeon)
	* Compile fix for gcc 2.95 (Dan Damian)
	* Properly autocomplete when topics have national characters
	  (Xan Lopez)
	* Use default widget color for smart bookmarks background
	  (Dan Damian)

Translations
	* am (Daniel Yacob)
	* ca (Pablo Saratxaga)
	* da (Ole Laursen)
	* de (Christian Neumair)
	* el (Kostas Papadimas)
	* es (Javier Fernandez)
	* fr (Christophe Fergeau, Laurent Richard)
	* ja (Takayuki KUSANO)
	* ko (Kang Jeong-Hee)
	* no (Kjartan Maraas)
	* nl (Vincent van Adrighem)
	* pl (Zbigniew Chyla),
	* pt (Duarte Loreto)
	* pt_BR (Evandro Fernandes Giovanini)
	* ru (Dmitry G. Mastrukov)
	* sv (Christian Rose)
	* tr (Fatih Demir)
	* zh_TW (Abel Cheung)

